;;;
;;; Copyright (c) 2003,2004 uim Project http://uim.freedesktop.org/
;;;
;;; All rights reserved.
;;;
;;; Redistribution and use in source and binary forms, with or without
;;; modification, are permitted provided that the following conditions
;;; are met:
;;; 1. Redistributions of source code must retain the above copyright
;;;    notice, this list of conditions and the following disclaimer.
;;; 2. Redistributions in binary form must reproduce the above copyright
;;;    notice, this list of conditions and the following disclaimer in the
;;;    documentation and/or other materials provided with the distribution.
;;; 3. Neither the name of authors nor the names of its contributors
;;;    may be used to endorse or promote products derived from this software
;;;    without specific prior written permission.
;;;
;;; THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
;;; ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
;;; IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
;;; ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
;;; FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
;;; DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
;;; OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
;;; HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
;;; LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
;;; OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
;;; SUCH DAMAGE.
;;;;

(define ja-azik-rule
  '(

(((":"). ())("".""))
(((";"). ())("".""))
((("b" "d"). ())("٤"."٥"))
((("b" "g" "a"). ())("Ӥ"."ӥ"))
((("b" "g" "d"). ())("Ӥ"."ӥ"))
((("b" "g" "e"). ())("Ӥ"."ӥ"))
((("b" "g" "h"). ())("Ӥ夦"."ӥ奦"))
((("b" "g" "j"). ())("Ӥ"."ӥ"))
((("b" "g" "l"). ())("Ӥ"."ӥ"))
((("b" "g" "n"). ())("Ӥ"."ӥ"))
((("b" "g" "o"). ())("Ӥ"."ӥ"))
((("b" "g" "p"). ())("Ӥ礦"."ӥ祦"))
((("b" "g" "q"). ())("Ӥ㤤"."ӥ㥤"))
((("b" "g" "u"). ())("Ӥ"."ӥ"))
((("b" "g" "w"). ())("Ӥ"."ӥ"))
((("b" "g" "z"). ())("Ӥ"."ӥ"))
((("b" "h"). ())("֤"."֥"))
((("b" "j"). ())("֤"."֥"))
((("b" "k"). ())("Ӥ"."ӥ"))
((("b" "l"). ())("ܤ"."ܥ"))
((("b" "n"). ())("Ф"."Х"))
((("b" "p"). ())("ܤ"."ܥ"))
((("b" "q"). ())("Ф"."Х"))
((("b" "t"). ())("Ӥ"."ӥ"))
((("b" "w"). ())("٤"."٥"))
((("b" "y" "d"). ())("Ӥ"."ӥ"))
((("b" "y" "h"). ())("Ӥ夦"."ӥ奦"))
((("b" "y" "j"). ())("Ӥ"."ӥ"))
((("b" "y" "l"). ())("Ӥ"."ӥ"))
((("b" "y" "n"). ())("Ӥ"."ӥ"))
((("b" "y" "p"). ())("Ӥ礦"."ӥ祦"))
((("b" "y" "q"). ())("Ӥ㤤"."ӥ㥤"))
((("b" "y" "w"). ())("Ӥ"."ӥ"))
((("b" "y" "z"). ())("Ӥ"."ӥ"))
((("b" "z"). ())("Ф"."Х"))
((("c" "a"). ())("".""))
((("c" "d"). ())("".""))
((("c" "e"). ())("".""))
((("c" "h"). ())("夦"."奦"))
((("c" "j"). ())("".""))
((("c" "l"). ())("".""))
((("c" "n"). ())("".""))
((("c" "o"). ())("".""))
((("c" "p"). ())("礦"."祦"))
((("c" "q"). ())("㤤"."㥤"))
((("c" "u"). ())("".""))
((("c" "w"). ())("".""))
((("c" "y" "a"). ())("".""))
((("c" "y" "e"). ())("".""))
((("c" "y" "i"). ())("".""))
((("c" "y" "o"). ())("".""))
((("c" "y" "u"). ())("".""))
((("c" "z"). ())("".""))
((("d" "c" "i"). ())("Ǥ"."ǥ"))
((("d" "c" "u"). ())("ɤ"."ɥ"))
((("d" "d"). ())("Ǥ"."ǥ"))
((("d" "h"). ())("Ť"."ť"))
((("d" "j"). ())("Ť"."ť"))
((("d" "k"). ())("¤"."¥"))
((("d" "l"). ())("ɤ"."ɥ"))
((("d" "m"). ())("Ǥ"."ǥ"))
((("d" "n"). ())("".""))
((("d" "p"). ())("ɤ"."ɥ"))
((("d" "q"). ())("".""))
((("d" "s"). ())("Ǥ"."ǥ"))
((("d" "t"). ())("".""))
((("d" "w"). ())("Ǥ"."ǥ"))
((("d" "z"). ())("".""))
((("f" "d"). ())("դ"."ե"))
((("f" "h"). ())("դ"."ե"))
((("f" "j"). ())("դ"."ե"))
((("f" "k"). ())("դ"."ե"))
((("f" "l"). ())("դ"."ե"))
((("f" "n"). ())("դ"."ե"))
((("f" "p"). ())("դ"."ե"))
((("f" "q"). ())("դ"."ե"))
((("f" "w"). ())("դ"."ե"))
((("f" "z"). ())("դ"."ե"))
((("g" "d"). ())("".""))
((("g" "h"). ())("".""))
((("g" "j"). ())("".""))
((("g" "k"). ())("".""))
((("g" "l"). ())("".""))
((("g" "n"). ())("".""))
((("g" "p"). ())("".""))
((("g" "q"). ())("".""))
((("g" "r"). ())("".""))
((("g" "t"). ())("".""))
((("g" "w"). ())("".""))
((("g" "w" "a"). ())("".""))
((("g" "w" "e"). ())("".""))
((("g" "w" "i"). ())("".""))
((("g" "w" "o"). ())("".""))
((("g" "w" "u"). ())("".""))
((("g" "y" "d"). ())("".""))
((("g" "y" "h"). ())("夦"."奦"))
((("g" "y" "j"). ())("".""))
((("g" "y" "l"). ())("".""))
((("g" "y" "n"). ())("".""))
((("g" "y" "p"). ())("礦"."祦"))
((("g" "y" "q"). ())("㤤"."㥤"))
((("g" "y" "w"). ())("".""))
((("g" "y" "z"). ())("".""))
((("g" "z"). ())("".""))
((("h" "d"). ())("ؤ"."إ"))
((("h" "g" "a"). ())("Ҥ"."ҥ"))
((("h" "g" "d"). ())("Ҥ"."ҥ"))
((("h" "g" "e"). ())("Ҥ"."ҥ"))
((("h" "g" "h"). ())("Ҥ夦"."ҥ奦"))
((("h" "g" "j"). ())("Ҥ"."ҥ"))
((("h" "g" "l"). ())("Ҥ"."ҥ"))
((("h" "g" "n"). ())("Ҥ"."ҥ"))
((("h" "g" "o"). ())("Ҥ"."ҥ"))
((("h" "g" "p"). ())("Ҥ礦"."ҥ祦"))
((("h" "g" "q"). ())("Ҥ㤤"."ҥ㥤"))
((("h" "g" "u"). ())("Ҥ"."ҥ"))
((("h" "g" "w"). ())("Ҥ"."ҥ"))
((("h" "g" "z"). ())("Ҥ"."ҥ"))
((("h" "h"). ())("դ"."ե"))
((("h" "j"). ())("դ"."ե"))
((("h" "k"). ())("Ҥ"."ҥ"))
((("h" "l"). ())("ۤ"."ۥ"))
((("h" "n"). ())("Ϥ"."ϥ"))
((("h" "p"). ())("ۤ"."ۥ"))
((("h" "q"). ())("Ϥ"."ϥ"))
((("h" "t"). ())("Ҥ"."ҥ"))
((("h" "w"). ())("ؤ"."إ"))
((("h" "y" "d"). ())("Ҥ"."ҥ"))
((("h" "y" "h"). ())("Ҥ夦"."ҥ奦"))
((("h" "y" "j"). ())("Ҥ"."ҥ"))
((("h" "y" "l"). ())("Ҥ"."ҥ"))
((("h" "y" "n"). ())("Ҥ"."ҥ"))
((("h" "y" "p"). ())("Ҥ礦"."ҥ祦"))
((("h" "y" "q"). ())("Ҥ㤤"."ҥ㥤"))
((("h" "y" "w"). ())("Ҥ"."ҥ"))
((("h" "y" "z"). ())("Ҥ"."ҥ"))
((("h" "z"). ())("Ϥ"."ϥ"))
((("j" "d"). ())("".""))
((("j" "h"). ())("夦"."奦"))
((("j" "j"). ())("".""))
((("j" "l"). ())("".""))
((("j" "n"). ())("".""))
((("j" "p"). ())("礦"."祦"))
((("j" "q"). ())("㤤"."㥤"))
((("j" "w"). ())("".""))
((("j" "y" "a"). ())("".""))
((("j" "y" "e"). ())("".""))
((("j" "y" "i"). ())("".""))
((("j" "y" "o"). ())("".""))
((("j" "y" "u"). ())("".""))
((("j" "z"). ())("".""))
((("k" "d"). ())("".""))
((("k" "g" "a"). ())("".""))
((("k" "g" "d"). ())("".""))
((("k" "g" "e"). ())("".""))
((("k" "g" "h"). ())("夦"."奦"))
((("k" "g" "j"). ())("".""))
((("k" "g" "l"). ())("".""))
((("k" "g" "n"). ())("".""))
((("k" "g" "o"). ())("".""))
((("k" "g" "p"). ())("礦"."祦"))
((("k" "g" "q"). ())("㤤"."㥤"))
((("k" "g" "u"). ())("".""))
((("k" "g" "w"). ())("".""))
((("k" "g" "z"). ())("".""))
((("k" "h"). ())("".""))
((("k" "j"). ())("".""))
((("k" "k"). ())("".""))
((("k" "l"). ())("".""))
((("k" "m"). ())("".""))
((("k" "n"). ())("".""))
((("k" "p"). ())("".""))
((("k" "q"). ())("".""))
((("k" "r"). ())("".""))
((("k" "t"). ())("".""))
((("k" "w"). ())("".""))
((("k" "y" "d"). ())("".""))
((("k" "y" "h"). ())("夦"."奦"))
((("k" "y" "j"). ())("".""))
((("k" "y" "l"). ())("".""))
((("k" "y" "n"). ())("".""))
((("k" "y" "p"). ())("礦"."祦"))
((("k" "y" "q"). ())("㤤"."㥤"))
((("k" "y" "w"). ())("".""))
((("k" "y" "z"). ())("".""))
((("k" "z"). ())("".""))
((("l" "a"). ())("".""))
((("l" "e"). ())("".""))
((("l" "i"). ())("".""))
((("l" "o"). ())("".""))
((("l" "u"). ())("".""))
((("l" "y" "a"). ())("".""))
((("l" "y" "e"). ())("ꤧ"."ꥧ"))
((("l" "y" "i"). ())("ꤣ"."ꥣ"))
((("l" "y" "o"). ())("".""))
((("l" "y" "u"). ())("".""))
((("m" "d"). ())("".""))
((("m" "g" "a"). ())("ߤ"."ߥ"))
((("m" "g" "d"). ())("ߤ"."ߥ"))
((("m" "g" "e"). ())("ߤ"."ߥ"))
((("m" "g" "h"). ())("ߤ夦"."ߥ奦"))
((("m" "g" "j"). ())("ߤ"."ߥ"))
((("m" "g" "l"). ())("ߤ"."ߥ"))
((("m" "g" "n"). ())("ߤ"."ߥ"))
((("m" "g" "o"). ())("ߤ"."ߥ"))
((("m" "g" "p"). ())("ߤ礦"."ߥ祦"))
((("m" "g" "q"). ())("ߤ㤤"."ߥ㥤"))
((("m" "g" "u"). ())("ߤ"."ߥ"))
((("m" "g" "w"). ())("ߤ"."ߥ"))
((("m" "g" "z"). ())("ߤ"."ߥ"))
((("m" "h"). ())("द"."०"))
((("m" "j"). ())("".""))
((("m" "k"). ())("ߤ"."ߥ"))
((("m" "l"). ())("".""))
((("m" "n"). ())("".""))
((("m" "p"). ())("⤦"."⥦"))
((("m" "q"). ())("ޤ"."ޥ"))
((("m" "s"). ())("ޤ"."ޥ"))
((("m" "t"). ())("ޤ"."ޥ"))
((("m" "w"). ())("ᤤ"."ᥤ"))
((("m" "y" "d"). ())("ߤ"."ߥ"))
((("m" "y" "h"). ())("ߤ夦"."ߥ奦"))
((("m" "y" "j"). ())("ߤ"."ߥ"))
((("m" "y" "l"). ())("ߤ"."ߥ"))
((("m" "y" "n"). ())("ߤ"."ߥ"))
((("m" "y" "p"). ())("ߤ礦"."ߥ祦"))
((("m" "y" "q"). ())("ߤ㤤"."ߥ㥤"))
((("m" "y" "w"). ())("ߤ"."ߥ"))
((("m" "y" "z"). ())("ߤ"."ߥ"))
((("m" "z"). ())("ޤ"."ޥ"))
((("n"). ())("".""))
((("n" "b"). ())("ͤ"."ͥ"))
((("n" "d"). ())("ͤ"."ͥ"))
((("n" "g" "a"). ())("ˤ"."˥"))
((("n" "g" "d"). ())("ˤ"."˥"))
((("n" "g" "e"). ())("ˤ"."˥"))
((("n" "g" "h"). ())("ˤ夦"."˥奦"))
((("n" "g" "j"). ())("ˤ"."˥"))
((("n" "g" "l"). ())("ˤ"."˥"))
((("n" "g" "n"). ())("ˤ"."˥"))
((("n" "g" "o"). ())("ˤ"."˥"))
((("n" "g" "p"). ())("ˤ礦"."˥祦"))
((("n" "g" "q"). ())("ˤ㤤"."˥㥤"))
((("n" "g" "u"). ())("ˤ"."˥"))
((("n" "g" "w"). ())("ˤ"."˥"))
((("n" "g" "z"). ())("ˤ"."˥"))
((("n" "h"). ())("̤"."̥"))
((("n" "j"). ())("̤"."̥"))
((("n" "k"). ())("ˤ"."˥"))
((("n" "l"). ())("Τ"."Υ"))
((("n" "p"). ())("Τ"."Υ"))
((("n" "q"). ())("ʤ"."ʥ"))
((("n" "r"). ())("ʤ"."ʥ"))
((("n" "t"). ())("ˤ"."˥"))
((("n" "w"). ())("ͤ"."ͥ"))
((("n" "x" "2" "7"). ())("".""))
((("n" "y" "d"). ())("ˤ"."˥"))
((("n" "y" "h"). ())("ˤ夦"."˥奦"))
((("n" "y" "j"). ())("ˤ"."˥"))
((("n" "y" "l"). ())("ˤ"."˥"))
((("n" "y" "n"). ())("ˤ"."˥"))
((("n" "y" "p"). ())("ˤ礦"."˥祦"))
((("n" "y" "q"). ())("ˤ㤤"."˥㥤"))
((("n" "y" "w"). ())("ˤ"."˥"))
((("n" "y" "z"). ())("ˤ"."˥"))
((("n" "z"). ())("ʤ"."ʥ"))
((("p" "d"). ())("ڤ"."ڥ"))
((("p" "g" "a"). ())("Ԥ"."ԥ"))
((("p" "g" "d"). ())("Ԥ"."ԥ"))
((("p" "g" "e"). ())("Ԥ"."ԥ"))
((("p" "g" "h"). ())("Ԥ夦"."ԥ奦"))
((("p" "g" "j"). ())("Ԥ"."ԥ"))
((("p" "g" "l"). ())("Ԥ"."ԥ"))
((("p" "g" "n"). ())("Ԥ"."ԥ"))
((("p" "g" "o"). ())("Ԥ"."ԥ"))
((("p" "g" "p"). ())("Ԥ礦"."ԥ祦"))
((("p" "g" "q"). ())("Ԥ㤤"."ԥ㥤"))
((("p" "g" "u"). ())("Ԥ"."ԥ"))
((("p" "g" "w"). ())("Ԥ"."ԥ"))
((("p" "g" "z"). ())("Ԥ"."ԥ"))
((("p" "h"). ())("פ"."ץ"))
((("p" "j"). ())("פ"."ץ"))
((("p" "k"). ())("Ԥ"."ԥ"))
((("p" "l"). ())("ݤ"."ݥ"))
((("p" "n"). ())("Ѥ"."ѥ"))
((("p" "p"). ())("ݤ"."ݥ"))
((("p" "q"). ())("Ѥ"."ѥ"))
((("p" "w"). ())("ڤ"."ڥ"))
((("p" "y" "d"). ())("Ԥ"."ԥ"))
((("p" "y" "h"). ())("Ԥ夦"."ԥ奦"))
((("p" "y" "j"). ())("Ԥ"."ԥ"))
((("p" "y" "l"). ())("Ԥ"."ԥ"))
((("p" "y" "n"). ())("Ԥ"."ԥ"))
((("p" "y" "p"). ())("Ԥ礦"."ԥ祦"))
((("p" "y" "q"). ())("Ԥ㤤"."ԥ㥤"))
((("p" "y" "w"). ())("Ԥ"."ԥ"))
((("p" "y" "z"). ())("Ԥ"."ԥ"))
((("p" "z"). ())("Ѥ"."ѥ"))
((("q"). ())("".""))
((("q" "q"). ())("".""))
((("r" "d"). ())("".""))
((("r" "g" "a"). ())("".""))
((("r" "g" "d"). ())("ꤧ"."ꥧ"))
((("r" "g" "e"). ())("ꤧ"."ꥧ"))
((("r" "g" "h"). ())("夦"."奦"))
((("r" "g" "j"). ())("".""))
((("r" "g" "l"). ())("".""))
((("r" "g" "n"). ())("".""))
((("r" "g" "o"). ())("".""))
((("r" "g" "p"). ())("礦"."祦"))
((("r" "g" "q"). ())("㤤"."㥤"))
((("r" "g" "u"). ())("".""))
((("r" "g" "w"). ())("ꤧ"."ꥧ"))
((("r" "g" "z"). ())("".""))
((("r" "h"). ())("뤦"."륦"))
((("r" "j"). ())("".""))
((("r" "k"). ())("".""))
((("r" "l"). ())("".""))
((("r" "n"). ())("".""))
((("r" "p"). ())("".""))
((("r" "q"). ())("餤"."饤"))
((("r" "r"). ())("".""))
((("r" "w"). ())("줤"."쥤"))
((("r" "y" "d"). ())("ꤧ"."ꥧ"))
((("r" "y" "h"). ())("夦"."奦"))
((("r" "y" "j"). ())("".""))
((("r" "y" "l"). ())("".""))
((("r" "y" "n"). ())("".""))
((("r" "y" "p"). ())("礦"."祦"))
((("r" "y" "q"). ())("㤤"."㥤"))
((("r" "y" "w"). ())("ꤧ"."ꥧ"))
((("r" "y" "z"). ())("".""))
((("r" "z"). ())("".""))
((("s" "d"). ())("".""))
((("s" "h"). ())("".""))
((("s" "j"). ())("".""))
((("s" "k"). ())("".""))
((("s" "l"). ())("".""))
((("s" "n"). ())("".""))
((("s" "p"). ())("".""))
((("s" "q"). ())("".""))
((("s" "r"). ())("".""))
((("s" "t"). ())("".""))
((("s" "w"). ())("".""))
((("s" "y" "d"). ())("".""))
((("s" "y" "h"). ())("夦"."奦"))
((("s" "y" "j"). ())("".""))
((("s" "y" "l"). ())("".""))
((("s" "y" "n"). ())("".""))
((("s" "y" "p"). ())("礦"."祦"))
((("s" "y" "q"). ())("㤤"."㥤"))
((("s" "y" "w"). ())("".""))
((("s" "y" "z"). ())("".""))
((("s" "z"). ())("".""))
((("t" "b"). ())("".""))
((("t" "c" "h"). ())("".""))
((("t" "d"). ())("Ƥ"."ƥ"))
((("t" "g" "i"). ())("Ƥ"."ƥ"))
((("t" "g" "u"). ())("Ȥ"."ȥ"))
((("t" "h"). ())("Ĥ"."ĥ"))
((("t" "j"). ())("Ĥ"."ĥ"))
((("t" "k"). ())("".""))
((("t" "l"). ())("Ȥ"."ȥ"))
((("t" "m"). ())("".""))
((("t" "n"). ())("".""))
((("t" "p"). ())("Ȥ"."ȥ"))
((("t" "q"). ())("".""))
((("t" "r"). ())("".""))
((("t" "s" "a"). ())("Ĥ"."ĥ"))
((("t" "s" "e"). ())("Ĥ"."ĥ"))
((("t" "s" "i"). ())("Ĥ"."ĥ"))
((("t" "s" "o"). ())("Ĥ"."ĥ"))
((("t" "t"). ())("".""))
((("t" "w"). ())("Ƥ"."ƥ"))
((("t" "y" "d"). ())("".""))
((("t" "y" "h"). ())("夦"."奦"))
((("t" "y" "j"). ())("".""))
((("t" "y" "l"). ())("".""))
((("t" "y" "n"). ())("".""))
((("t" "y" "p"). ())("礦"."祦"))
((("t" "y" "q"). ())("㤤"."㥤"))
((("t" "y" "w"). ())("".""))
((("t" "y" "z"). ())("".""))
((("t" "z"). ())("".""))
((("w" "d"). ())("".""))
((("w" "k"). ())("".""))
((("w" "l"). ())("".""))
((("w" "n"). ())("".""))
((("w" "p"). ())("".""))
((("w" "q"). ())("襤"."磻"))
((("w" "r"). ())("".""))
((("w" "s" "o"). ())("".""))
((("w" "t"). ())("錄"."勵"))
((("w" "u"). ())("".""))
((("w" "z"). ())("".""))
((("x" "a"). ())("".""))
((("x" "d"). ())("".""))
((("x" "e"). ())("".""))
((("x" "h"). ())("夦"."奦"))
((("x" "j"). ())("".""))
((("x" "l"). ())("".""))
((("x" "n"). ())("".""))
((("x" "o"). ())("".""))
((("x" "p"). ())("礦"."祦"))
((("x" "q"). ())("㤤"."㥤"))
((("x" "u"). ())("".""))
((("x" "w"). ())("".""))
((("x" "z"). ())("".""))
((("y" "e"). ())("".""))
((("y" "h"). ())("椦"."楦"))
((("y" "i"). ())("".""))
((("y" "j"). ())("".""))
((("y" "l"). ())("".""))
((("y" "n"). ())("".""))
((("y" "p"). ())("褦"."襦"))
((("y" "q"). ())("䤤"."䥤"))
((("y" "r"). ())("".""))
((("y" "w"). ())("".""))
((("y" "z"). ())("".""))
((("z" "c"). ())("".""))
((("z" "d"). ())("".""))
((("z" "g" "a"). ())("".""))
((("z" "g" "d"). ())("".""))
((("z" "g" "e"). ())("".""))
((("z" "g" "h"). ())("夦"."奦"))
((("z" "g" "j"). ())("".""))
((("z" "g" "l"). ())("".""))
((("z" "g" "n"). ())("".""))
((("z" "g" "o"). ())("".""))
((("z" "g" "p"). ())("礦"."祦"))
((("z" "g" "q"). ())("㤤"."㥤"))
((("z" "g" "u"). ())("".""))
((("z" "g" "w"). ())("".""))
((("z" "g" "z"). ())("".""))
((("z" "h"). ())("".""))
((("z" "j"). ())("".""))
((("z" "k"). ())("".""))
((("z" "l"). ())("".""))
((("z" "n"). ())("".""))
((("z" "p"). ())("".""))
((("z" "q"). ())("".""))
((("z" "r"). ())("".""))
((("z" "v"). ())("".""))
((("z" "w"). ())("".""))
((("z" "x"). ())("".""))
((("z" "y" "d"). ())("".""))
((("z" "y" "h"). ())("夦"."奦"))
((("z" "y" "j"). ())("".""))
((("z" "y" "l"). ())("".""))
((("z" "y" "n"). ())("".""))
((("z" "y" "p"). ())("礦"."祦"))
((("z" "y" "q"). ())("㤤"."㥤"))
((("z" "y" "w"). ())("".""))
((("z" "y" "z"). ())("".""))
((("z" "z"). ())("".""))
))