;;;
;;; Copyright (c) 2003,2004 uim Project http://uim.freedesktop.org/
;;;
;;; All rights reserved.
;;;
;;; Redistribution and use in source and binary forms, with or without
;;; modification, are permitted provided that the following conditions
;;; are met:
;;; 1. Redistributions of source code must retain the above copyright
;;;    notice, this list of conditions and the following disclaimer.
;;; 2. Redistributions in binary form must reproduce the above copyright
;;;    notice, this list of conditions and the following disclaimer in the
;;;    documentation and/or other materials provided with the distribution.
;;; 3. Neither the name of authors nor the names of its contributors
;;;    may be used to endorse or promote products derived from this software
;;;    without specific prior written permission.
;;;
;;; THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
;;; ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
;;; IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
;;; ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
;;; FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
;;; DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
;;; OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
;;; HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
;;; LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
;;; OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
;;; SUCH DAMAGE.
;;;;

;; utf8
(define latin-compose-rule '(
((('Multi_key " " " " ))(" "))
((('Multi_key " " "'" ))("'"))
((('Multi_key " " "(" ))("˘"))
((('Multi_key " " "-" ))("~"))
((('Multi_key " " "<" ))("ˇ"))
((('Multi_key " " ">" ))("^"))
((('Multi_key " " "^" ))("^"))
((('Multi_key " " "`" ))("`"))
((('Multi_key " " "~" ))("~"))
((('Multi_key "!" "!" ))("¡"))
((('Multi_key "!" "P" ))("¶"))
((('Multi_key "!" "S" ))("§"))
((('Multi_key "!" "p" ))("¶"))
((('Multi_key "!" "s" ))("§"))
((('Multi_key "\"" "\"" ))("¨"))
((('Multi_key "\"" "A" ))("Ä"))
((('Multi_key "\"" "E" ))("Ë"))
((('Multi_key "\"" "I" ))("Ï"))
((('Multi_key "\"" "O" ))("Ö"))
((('Multi_key "\"" "U" ))("Ü"))
((('Multi_key "\"" "Y" ))("Ÿ"))
((('Multi_key "\"" "a" ))("ä"))
((('Multi_key "\"" "e" ))("ë"))
((('Multi_key "\"" "i" ))("ï"))
((('Multi_key "\"" "o" ))("ö"))
((('Multi_key "\"" "u" ))("ü"))
((('Multi_key "\"" "y" ))("ÿ"))
((('Multi_key "'" " " ))("'"))
((('Multi_key "'" "'" ))("´"))
((('Multi_key "'" "A" ))("Á"))
((('Multi_key "'" "C" ))("Ć"))
((('Multi_key "'" "E" ))("É"))
((('Multi_key "'" "I" ))("Í"))
((('Multi_key "'" "L" ))("Ĺ"))
((('Multi_key "'" "N" ))("Ń"))
((('Multi_key "'" "O" ))("Ó"))
((('Multi_key "'" "R" ))("Ŕ"))
((('Multi_key "'" "S" ))("Ś"))
((('Multi_key "'" "U" ))("Ú"))
((('Multi_key "'" "Y" ))("Ý"))
((('Multi_key "'" "Z" ))("Ź"))
((('Multi_key "'" "a" ))("á"))
((('Multi_key "'" "c" ))("ć"))
((('Multi_key "'" "e" ))("é"))
((('Multi_key "'" "i" ))("í"))
((('Multi_key "'" "l" ))("ĺ"))
((('Multi_key "'" "n" ))("ń"))
((('Multi_key "'" "o" ))("ó"))
((('Multi_key "'" "r" ))("ŕ"))
((('Multi_key "'" "s" ))("ś"))
((('Multi_key "'" "u" ))("ú"))
((('Multi_key "'" "y" ))("ý"))
((('Multi_key "'" "z" ))("ź"))
((('Multi_key "(" " " ))("˘"))
((('Multi_key "(" "(" ))("["))
((('Multi_key "(" "-" ))("{"))
((('Multi_key "(" "A" ))("Ă"))
((('Multi_key "(" "G" ))("Ğ"))
((('Multi_key "(" "c" ))("©"))
((('Multi_key "(" "a" ))("ă"))
((('Multi_key "(" "g" ))("ğ"))
((('Multi_key "(" "r" ))("®"))
((('Multi_key ")" ")" ))("]"))
((('Multi_key ")" "-" ))("}"))
((('Multi_key "*" "0" ))("°"))
((('Multi_key "*" "A" ))("Å"))
((('Multi_key "*" "U" ))("Ů"))
((('Multi_key "*" "a" ))("å"))
((('Multi_key "*" "u" ))("ů"))
((('Multi_key "+" "+" ))("#"))
((('Multi_key "+" "-" ))("±"))
((('Multi_key "," "," ))("¸"))
((('Multi_key "," "-" ))("¬"))
((('Multi_key "," "A" ))("Ą"))
((('Multi_key "," "C" ))("Ç"))
((('Multi_key "," "E" ))("Ę"))
((('Multi_key "," "G" ))("Ģ"))
((('Multi_key "," "I" ))("Į"))
((('Multi_key "," "K" ))("Ķ"))
((('Multi_key "," "L" ))("Ļ"))
((('Multi_key "," "N" ))("Ņ"))
((('Multi_key "," "R" ))("Ŗ"))
((('Multi_key "," "S" ))("Ş"))
((('Multi_key "," "U" ))("Ų"))
((('Multi_key "," "a" ))("ą"))
((('Multi_key "," "c" ))("ç"))
((('Multi_key "," "e" ))("ę"))
((('Multi_key "," "g" ))("ģ"))
((('Multi_key "," "i" ))("į"))
((('Multi_key "," "k" ))("ķ"))
((('Multi_key "," "l" ))("ļ"))
((('Multi_key "," "n" ))("ņ"))
((('Multi_key "," "r" ))("ŗ"))
((('Multi_key "," "s" ))("ş"))
((('Multi_key "," "u" ))("ų"))
((('Multi_key "-" " " ))("~"))
((('Multi_key "-" "(" ))("{"))
((('Multi_key "-" ")" ))("}"))
((('Multi_key "-" "+" ))("±"))
((('Multi_key "-" "," ))("¬"))
((('Multi_key "-" "-" ))("­"))
((('Multi_key "-" ":" ))("÷"))
((('Multi_key "-" "A" ))("Ã"))
((('Multi_key "-" "D" ))("Đ"))
((('Multi_key "-" "E" ))("Ē"))
((('Multi_key "-" "I" ))("Ī"))
((('Multi_key "-" "L" ))("£"))
((('Multi_key "-" "N" ))("Ñ"))
((('Multi_key "-" "O" ))("Õ"))
((('Multi_key "-" "U" ))("Ū"))
((('Multi_key "-" "Y" ))("¥"))
((('Multi_key "-" "^" ))("¯"))
((('Multi_key "-" "a" ))("ã"))
((('Multi_key "-" "d" ))("đ"))
((('Multi_key "-" "e" ))("ē"))
((('Multi_key "-" "i" ))("ī"))
((('Multi_key "-" "l" ))("£"))
((('Multi_key "-" "n" ))("ñ"))
((('Multi_key "-" "o" ))("õ"))
((('Multi_key "-" "u" ))("ū"))
((('Multi_key "-" "y" ))("¥"))
((('Multi_key "." "." ))("˙"))
((('Multi_key "." "B" ))("Ḃ"))
((('Multi_key "." "C" ))("Ċ"))
((('Multi_key "." "D" ))("Ḋ"))
((('Multi_key "." "E" ))("Ė"))
((('Multi_key "." "F" ))("Ḟ"))
((('Multi_key "." "G" ))("Ġ"))
((('Multi_key "." "I" ))("İ"))
((('Multi_key "." "M" ))("Ṁ"))
((('Multi_key "." "P" ))("Ṗ"))
((('Multi_key "." "S" ))("Ṡ"))
((('Multi_key "." "T" ))("Ṫ"))
((('Multi_key "." "Z" ))("Ż"))
((('Multi_key "." "^" ))("·"))
((('Multi_key "." "b" ))("ḃ"))
((('Multi_key "." "c" ))("ċ"))
((('Multi_key "." "d" ))("ḋ"))
((('Multi_key "." "e" ))("ė"))
((('Multi_key "." "f" ))("ḟ"))
((('Multi_key "." "g" ))("ġ"))
((('Multi_key "." "i" ))("ı"))
((('Multi_key "." "m" ))("ṁ"))
((('Multi_key "." "p" ))("ṗ"))
((('Multi_key "." "s" ))("ṡ"))
((('Multi_key "." "t" ))("ṫ"))
((('Multi_key "." "z" ))("ż"))
((('Multi_key "/" "/" ))("\\"))
((('Multi_key "/" "<" ))("\\"))
((('Multi_key "/" "C" ))("¢"))
((('Multi_key "/" "O" ))("Ø"))
((('Multi_key "/" "T" ))("Ŧ"))
((('Multi_key "/" "U" ))("µ"))
((('Multi_key "/" "^" ))("|"))
((('Multi_key "/" "c" ))("¢"))
((('Multi_key "/" "o" ))("ø"))
((('Multi_key "/" "t" ))("ŧ"))
((('Multi_key "/" "u" ))("µ"))
((('Multi_key "0" "*" ))("°"))
((('Multi_key "0" "C" ))("©"))
((('Multi_key "0" "S" ))("§"))
((('Multi_key "0" "X" ))("¤"))
((('Multi_key "0" "^" ))("°"))
((('Multi_key "0" "c" ))("©"))
((('Multi_key "0" "s" ))("§"))
((('Multi_key "0" "x" ))("¤"))
((('Multi_key "1" "S" ))("¹"))
((('Multi_key "1" "^" ))("¹"))
((('Multi_key "1" "s" ))("¹"))
((('Multi_key "2" "S" ))("²"))
((('Multi_key "2" "^" ))("²"))
((('Multi_key "2" "s" ))("²"))
((('Multi_key "3" "S" ))("³"))
((('Multi_key "3" "^" ))("³"))
((('Multi_key "3" "s" ))("³"))
((('Multi_key ":" "-" ))("÷"))
((('Multi_key "<" " " ))("ˇ"))
((('Multi_key "<" "/" ))("\\"))
((('Multi_key "<" "<" ))("«"))
((('Multi_key "<" "C" ))("Č"))
((('Multi_key "<" "D" ))("Ď"))
((('Multi_key "<" "E" ))("Ě"))
((('Multi_key "<" "L" ))("Ľ"))
((('Multi_key "<" "N" ))("Ň"))
((('Multi_key "<" "R" ))("Ř"))
((('Multi_key "<" "S" ))("Š"))
((('Multi_key "<" "T" ))("Ť"))
((('Multi_key "<" "Z" ))("Ž"))
((('Multi_key "<" "c" ))("č"))
((('Multi_key "<" "d" ))("ď"))
((('Multi_key "<" "e" ))("ě"))
((('Multi_key "<" "l" ))("ľ"))
((('Multi_key "<" "n" ))("ň"))
((('Multi_key "<" "r" ))("ř"))
((('Multi_key "<" "s" ))("š"))
((('Multi_key "<" "t" ))("ť"))
((('Multi_key "<" "z" ))("ž"))
((('Multi_key "=" "C" ))("€"))
((('Multi_key "=" "L" ))("£"))
((('Multi_key "=" "Y" ))("¥"))
((('Multi_key "=" "e" ))("€"))
((('Multi_key "=" "l" ))("£"))
((('Multi_key "=" "y" ))("¥"))
((('Multi_key ">" " " ))("^"))
((('Multi_key ">" ">" ))("»"))
((('Multi_key ">" "A" ))("Â"))
((('Multi_key ">" "E" ))("Ê"))
((('Multi_key ">" "I" ))("Î"))
((('Multi_key ">" "O" ))("Ô"))
((('Multi_key ">" "U" ))("Û"))
((('Multi_key ">" "a" ))("â"))
((('Multi_key ">" "e" ))("ê"))
((('Multi_key ">" "i" ))("î"))
((('Multi_key ">" "o" ))("ô"))
((('Multi_key ">" "u" ))("û"))
((('Multi_key "?" "?" ))("¿"))
((('Multi_key "A" "\"" ))("Ä"))
((('Multi_key "A" "'" ))("Á"))
((('Multi_key "A" "(" ))("Ă"))
((('Multi_key "A" "*" ))("Å"))
((('Multi_key "A" "," ))("Ą"))
((('Multi_key "A" "-" ))("Ã"))
((('Multi_key "A" ">" ))("Â"))
((('Multi_key "A" "A" ))("Å"))
((('Multi_key "A" "E" ))("Æ"))
((('Multi_key "A" "^" ))("Â"))
((('Multi_key "A" "_" ))("ª"))
((('Multi_key "A" "`" ))("À"))
((('Multi_key "A" "~" ))("Ã"))
;((('Multi_key "A" "diaeresis" ))("Ä"))
;((('Multi_key "A" "acute" ))("Á"))
((('Multi_key "B" "." ))("Ḃ"))
((('Multi_key "C" "'" ))("Ć"))
((('Multi_key "C" "," ))("Ç"))
((('Multi_key "C" "." ))("Ċ"))
((('Multi_key "C" "/" ))("¢"))
((('Multi_key "C" "<" ))("Č"))
((('Multi_key "C" "=" ))("€"))
((('Multi_key "C" "0" ))("©"))
((('Multi_key "C" "O" ))("©"))
((('Multi_key "C" "o" ))("©"))
((('Multi_key "C" "|" ))("¢"))
((('Multi_key "D" "-" ))("Đ"))
((('Multi_key "D" "." ))("Ḋ"))
((('Multi_key "D" "<" ))("Ď"))
((('Multi_key "E" "\"" ))("Ë"))
((('Multi_key "E" "'" ))("É"))
((('Multi_key "E" "," ))("Ę"))
((('Multi_key "E" "-" ))("Ē"))
((('Multi_key "E" "." ))("Ė"))
((('Multi_key "E" "<" ))("Ě"))
((('Multi_key "E" ">" ))("Ê"))
((('Multi_key "E" "^" ))("Ê"))
((('Multi_key "E" "_" ))("Ē"))
((('Multi_key "E" "`" ))("È"))
;((('Multi_key "E" "diaeresis" ))("Ë"))
;((('Multi_key "E" "acute" ))("É"))
((('Multi_key "F" "." ))("Ḟ"))
((('Multi_key "G" "(" ))("Ğ"))
((('Multi_key "G" "," ))("Ģ"))
((('Multi_key "G" "." ))("Ġ"))
((('Multi_key "G" "U" ))("Ğ"))
;((('Multi_key "G" "breve" ))("Ğ"))
((('Multi_key "I" "\"" ))("Ï"))
((('Multi_key "I" "'" ))("Í"))
((('Multi_key "I" "," ))("Į"))
((('Multi_key "I" "-" ))("Ī"))
((('Multi_key "I" "." ))("İ"))
((('Multi_key "I" ">" ))("Î"))
((('Multi_key "I" "^" ))("Î"))
((('Multi_key "I" "_" ))("Ī"))
((('Multi_key "I" "`" ))("Ì"))
((('Multi_key "I" "~" ))("Ĩ"))
;((('Multi_key "I" "diaeresis" ))("Ï"))
;((('Multi_key "I" "acute" ))("Í"))
((('Multi_key "K" "," ))("Ķ"))
((('Multi_key "L" "'" ))("Ĺ"))
((('Multi_key "L" "," ))("Ļ"))
((('Multi_key "L" "-" ))("£"))
((('Multi_key "L" "<" ))("Ľ"))
((('Multi_key "L" "=" ))("£"))
((('Multi_key "L" "V" ))("|"))
((('Multi_key "M" "." ))("Ṁ"))
((('Multi_key "N" "'" ))("Ń"))
((('Multi_key "N" "," ))("Ņ"))
((('Multi_key "N" "-" ))("Ñ"))
((('Multi_key "N" "<" ))("Ň"))
((('Multi_key "N" "G" ))("Ŋ"))
((('Multi_key "N" "~" ))("Ñ"))
((('Multi_key "O" "\"" ))("Ö"))
((('Multi_key "O" "'" ))("Ó"))
((('Multi_key "O" "-" ))("Õ"))
((('Multi_key "O" "/" ))("Ø"))
((('Multi_key "O" ">" ))("Ô"))
((('Multi_key "O" "C" ))("©"))
((('Multi_key "O" "E" ))("Œ"))
((('Multi_key "O" "R" ))("®"))
((('Multi_key "O" "S" ))("§"))
((('Multi_key "O" "X" ))("¤"))
((('Multi_key "O" "^" ))("Ô"))
((('Multi_key "O" "_" ))("º"))
((('Multi_key "O" "`" ))("Ò"))
((('Multi_key "O" "c" ))("©"))
((('Multi_key "O" "x" ))("¤"))
((('Multi_key "O" "~" ))("Õ"))
;((('Multi_key "O" "diaeresis" ))("Ö"))
;((('Multi_key "O" "acute" ))("Ó"))
((('Multi_key "P" "!" ))("¶"))
((('Multi_key "P" "." ))("Ṗ"))
((('Multi_key "R" "'" ))("Ŕ"))
((('Multi_key "R" "," ))("Ŗ"))
((('Multi_key "R" "<" ))("Ř"))
((('Multi_key "R" "O" ))("®"))
((('Multi_key "S" "!" ))("§"))
((('Multi_key "S" "'" ))("Ś"))
((('Multi_key "S" "," ))("Ş"))
((('Multi_key "S" "." ))("Ṡ"))
((('Multi_key "S" "0" ))("§"))
((('Multi_key "S" "1" ))("¹"))
((('Multi_key "S" "2" ))("²"))
((('Multi_key "S" "3" ))("³"))
((('Multi_key "S" "<" ))("Š"))
((('Multi_key "S" "O" ))("§"))
;((('Multi_key "S" "cedilla" ))("Ş"))
((('Multi_key "T" "-" ))("Ŧ"))
((('Multi_key "T" "." ))("Ṫ"))
((('Multi_key "T" "/" ))("Ŧ"))
((('Multi_key "t" "<" ))("ť"))
((('Multi_key "T" "H" ))("Þ"))
((('Multi_key "U" "\"" ))("Ü"))
((('Multi_key "U" "'" ))("Ú"))
((('Multi_key "U" "*" ))("Ů"))
((('Multi_key "U" "," ))("Ų"))
((('Multi_key "U" "-" ))("ū"))
((('Multi_key "U" "/" ))("µ"))
((('Multi_key "U" ">" ))("Û"))
((('Multi_key "U" "^" ))("Û"))
((('Multi_key "U" "_" ))("ū"))
((('Multi_key "U" "`" ))("Ù"))
((('Multi_key "U" "~" ))("Ũ"))
;((('Multi_key "U" "diaeresis" ))("Ü"))
;((('Multi_key "U" "acute" ))("Ú"))
((('Multi_key "V" "L" ))("|"))
((('Multi_key "W" "^" ))("Ŵ"))
((('Multi_key "X" "0" ))("¤"))
((('Multi_key "X" "O" ))("¤"))
((('Multi_key "X" "o" ))("¤"))
((('Multi_key "Y" "\"" ))("Ÿ"))
((('Multi_key "Y" "'" ))("Ý"))
((('Multi_key "Y" "-" ))("¥"))
((('Multi_key "Y" "=" ))("¥"))
((('Multi_key "Y" "^" ))("Ŷ"))
;((('Multi_key "Y" "diaeresis" ))("Ÿ"))
;((('Multi_key "Y" "acute" ))("Ý"))
((('Multi_key "Z" "'" ))("Ź"))
((('Multi_key "Z" "." ))("Ż"))
((('Multi_key "Z" "<" ))("Ž"))
((('Multi_key "^" " " ))("^"))
((('Multi_key "^" "-" ))("¯"))
((('Multi_key "^" "." ))("·"))
((('Multi_key "^" "/" ))("|"))
((('Multi_key "^" "0" ))("°"))
((('Multi_key "^" "1" ))("¹"))
((('Multi_key "^" "2" ))("²"))
((('Multi_key "^" "3" ))("³"))
((('Multi_key "^" "A" ))("Â"))
((('Multi_key "^" "E" ))("Ê"))
((('Multi_key "^" "I" ))("Î"))
((('Multi_key "^" "O" ))("Ô"))
((('Multi_key "^" "U" ))("Û"))
((('Multi_key "^" "W" ))("Ŵ"))
((('Multi_key "^" "Y" ))("Ŷ"))
((('Multi_key "^" "_" ))("¯"))
((('Multi_key "^" "a" ))("â"))
((('Multi_key "^" "e" ))("ê"))
((('Multi_key "^" "i" ))("î"))
((('Multi_key "^" "o" ))("ô"))
((('Multi_key "^" "u" ))("û"))
((('Multi_key "^" "w" ))("ŵ"))
((('Multi_key "^" "y" ))("ŷ"))
((('Multi_key "_" "A" ))("ª"))
((('Multi_key "_" "E" ))("Ē"))
((('Multi_key "_" "I" ))("Ī"))
((('Multi_key "_" "O" ))("º"))
((('Multi_key "_" "U" ))("Ū"))
((('Multi_key "_" "^" ))("¯"))
((('Multi_key "_" "_" ))("¯"))
((('Multi_key "_" "a" ))("ª"))
((('Multi_key "_" "e" ))("ē"))
((('Multi_key "_" "i" ))("ī"))
((('Multi_key "_" "o" ))("º"))
((('Multi_key "_" "u" ))("ū"))
((('Multi_key "`" " " ))("`"))
((('Multi_key "`" "A" ))("À"))
((('Multi_key "`" "E" ))("È"))
((('Multi_key "`" "I" ))("Ì"))
((('Multi_key "`" "O" ))("Ò"))
((('Multi_key "`" "U" ))("Ù"))
((('Multi_key "`" "a" ))("à"))
((('Multi_key "`" "e" ))("è"))
((('Multi_key "`" "i" ))("ì"))
((('Multi_key "`" "o" ))("ò"))
((('Multi_key "`" "u" ))("ù"))
((('Multi_key "a" "\"" ))("ä"))
((('Multi_key "a" "'" ))("á"))
((('Multi_key "a" "(" ))("ă"))
((('Multi_key "a" "*" ))("å"))
((('Multi_key "a" "," ))("ą"))
((('Multi_key "a" "-" ))("ã"))
((('Multi_key "a" ">" ))("â"))
((('Multi_key "a" "^" ))("â"))
((('Multi_key "a" "_" ))("ª"))
((('Multi_key "a" "`" ))("à"))
((('Multi_key "a" "a" ))("å"))
((('Multi_key "a" "e" ))("æ"))
((('Multi_key "a" "~" ))("ã"))
;((('Multi_key "a" "diaeresis" ))("ä"))
;((('Multi_key "a" "acute" ))("á"))
((('Multi_key "b" "." ))("ḃ"))
((('Multi_key "c" "," ))("ç"))
((('Multi_key "c" "." ))("ċ"))
((('Multi_key "c" "/" ))("¢"))
((('Multi_key "c" "0" ))("©"))
((('Multi_key "c" "<" ))("č"))
((('Multi_key "c" "O" ))("©"))
((('Multi_key "c" "o" ))("©"))
((('Multi_key "c" "|" ))("¢"))
((('Multi_key "d" "-" ))("đ"))
((('Multi_key "d" "." ))("ḋ"))
((('Multi_key "d" "<" ))("ď"))
((('Multi_key "e" "\"" ))("ë"))
((('Multi_key "e" "'" ))("é"))
((('Multi_key "e" "," ))("ę"))
((('Multi_key "e" "-" ))("ē"))
((('Multi_key "e" "." ))("ė"))
((('Multi_key "e" "=" ))("€"))
((('Multi_key "e" "<" ))("ě"))
((('Multi_key "e" ">" ))("ê"))
((('Multi_key "e" "^" ))("ê"))
((('Multi_key "e" "_" ))("ē"))
((('Multi_key "e" "`" ))("è"))
;((('Multi_key "e" "diaeresis" ))("ë"))
;((('Multi_key "e" "acute" ))("é"))
((('Multi_key "f" "." ))("ḟ"))
((('Multi_key "g" "(" ))("ğ"))
((('Multi_key "g" "," ))("ģ"))
((('Multi_key "g" "." ))("ġ"))
((('Multi_key "g" "U" ))("ğ"))
;((('Multi_key "g" "breve" ))("ğ"))
((('Multi_key "i" "\"" ))("ï"))
((('Multi_key "i" "'" ))("í"))
((('Multi_key "i" "," ))("į"))
((('Multi_key "i" "-" ))("ī"))
((('Multi_key "i" "." ))("ı"))
((('Multi_key "i" ">" ))("î"))
((('Multi_key "i" "^" ))("î"))
((('Multi_key "i" "_" ))("ī"))
((('Multi_key "i" "`" ))("ì"))
((('Multi_key "i" "~" ))("ĩ"))
;((('Multi_key "i" "diaeresis" ))("ï"))
;((('Multi_key "i" "acute" ))("í"))
((('Multi_key "k" "," ))("ķ"))
((('Multi_key "k" "k" ))("ĸ"))
((('Multi_key "l" "'" ))("ĺ"))
((('Multi_key "l" "," ))("ļ"))
((('Multi_key "l" "-" ))("£"))
((('Multi_key "l" "<" ))("ľ"))
((('Multi_key "l" "=" ))("£"))
((('Multi_key "l" "v" ))("|"))
((('Multi_key "m" "." ))("ṁ"))
((('Multi_key "n" "'" ))("ń"))
((('Multi_key "n" "," ))("ņ"))
((('Multi_key "n" "-" ))("ñ"))
((('Multi_key "n" "<" ))("ň"))
((('Multi_key "n" "g" ))("ŋ"))
((('Multi_key "n" "~" ))("ñ"))
((('Multi_key "o" "\"" ))("ö"))
((('Multi_key "o" "'" ))("ó"))
((('Multi_key "o" "-" ))("õ"))
((('Multi_key "o" "/" ))("ø"))
((('Multi_key "o" ">" ))("ô"))
((('Multi_key "o" "C" ))("©"))
((('Multi_key "o" "X" ))("¤"))
((('Multi_key "o" "^" ))("ô"))
((('Multi_key "o" "_" ))("º"))
((('Multi_key "o" "`" ))("ò"))
((('Multi_key "o" "c" ))("©"))
((('Multi_key "o" "e" ))("œ"))
((('Multi_key "o" "s" ))("§"))
((('Multi_key "o" "x" ))("¤"))
((('Multi_key "o" "~" ))("õ"))
;((('Multi_key "o" "diaeresis" ))("ö"))
;((('Multi_key "o" "acute" ))("ó"))
((('Multi_key "p" "!" ))("¶"))
((('Multi_key "p" "." ))("ṗ"))
((('Multi_key "r" "'" ))("ŕ"))
((('Multi_key "r" "," ))("ŗ"))
((('Multi_key "r" "<" ))("ř"))
((('Multi_key "s" "!" ))("§"))
((('Multi_key "s" "'" ))("ś"))
((('Multi_key "s" "," ))("ş"))
((('Multi_key "s" "." ))("ṡ"))
((('Multi_key "s" "0" ))("§"))
((('Multi_key "s" "1" ))("¹"))
((('Multi_key "s" "2" ))("²"))
((('Multi_key "s" "3" ))("³"))
((('Multi_key "s" "<" ))("š"))
((('Multi_key "s" "o" ))("§"))
((('Multi_key "s" "s" ))("ß"))
;((('Multi_key "s" "cedilla" ))("ş"))
((('Multi_key "t" "-" ))("ŧ"))
((('Multi_key "t" "." ))("ṫ"))
((('Multi_key "t" "/" ))("ŧ"))
((('Multi_key "t" "<" ))("ť"))
((('Multi_key "t" "h" ))("þ"))
((('Multi_key "u" "\"" ))("ü"))
((('Multi_key "u" "'" ))("ú"))
((('Multi_key "u" "*" ))("ů"))
((('Multi_key "u" "," ))("ų"))
((('Multi_key "u" "-" ))("ū"))
((('Multi_key "u" "/" ))("µ"))
((('Multi_key "u" ">" ))("û"))
((('Multi_key "u" "^" ))("û"))
((('Multi_key "u" "_" ))("ū"))
((('Multi_key "u" "`" ))("ù"))
((('Multi_key "u" "~" ))("ũ"))
;((('Multi_key "u" "diaeresis" ))("ü"))
;((('Multi_key "u" "acute" ))("ú"))
((('Multi_key "v" "Z" ))("Ž"))
((('Multi_key "v" "l" ))("|"))
((('Multi_key "v" "z" ))("ž"))
((('Multi_key "w" "^" ))("ŵ"))
((('Multi_key "x" "0" ))("¤"))
((('Multi_key "x" "O" ))("¤"))
((('Multi_key "x" "o" ))("¤"))
((('Multi_key "x" "x" ))("×"))
((('Multi_key "y" "\"" ))("ÿ"))
((('Multi_key "y" "'" ))("ý"))
((('Multi_key "y" "-" ))("¥"))
((('Multi_key "y" "=" ))("¥"))
((('Multi_key "y" "^" ))("ŷ"))
;((('Multi_key "y" "diaeresis" ))("ÿ"))
;((('Multi_key "y" "acute" ))("ý"))
((('Multi_key "z" "'" ))("ź"))
((('Multi_key "z" "." ))("ż"))
((('Multi_key "z" "<" ))("ž"))
((('Multi_key "|" "C" ))("¢"))
((('Multi_key "|" "c" ))("¢"))
((('Multi_key "~" " " ))("~"))
((('Multi_key "~" "A" ))("Ã"))
((('Multi_key "~" "I" ))("Ĩ"))
((('Multi_key "~" "N" ))("Ñ"))
((('Multi_key "~" "O" ))("Õ"))
((('Multi_key "~" "U" ))("Ũ"))
((('Multi_key "~" "a" ))("ã"))
((('Multi_key "~" "i" ))("ĩ"))
((('Multi_key "~" "n" ))("ñ"))
((('Multi_key "~" "o" ))("õ"))
((('Multi_key "~" "u" ))("ũ"))
;((('Multi_key "diaeresis" "A" ))("Ä"))
;((('Multi_key "diaeresis" "E" ))("Ë"))
;((('Multi_key "diaeresis" "I" ))("Ï"))
;((('Multi_key "diaeresis" "O" ))("Ö"))
;((('Multi_key "diaeresis" "U" ))("Ü"))
;((('Multi_key "diaeresis" "Y" ))("Ÿ"))
;((('Multi_key "diaeresis" "a" ))("ä"))
;((('Multi_key "diaeresis" "e" ))("ë"))
;((('Multi_key "diaeresis" "i" ))("ï"))
;((('Multi_key "diaeresis" "o" ))("ö"))
;((('Multi_key "diaeresis" "u" ))("ü"))
;((('Multi_key "diaeresis" "y" ))("ÿ"))
;((('Multi_key "acute" "A" ))("Á"))
;((('Multi_key "acute" "E" ))("É"))
;((('Multi_key "acute" "I" ))("Í"))
;((('Multi_key "acute" "O" ))("Ó"))
;((('Multi_key "acute" "U" ))("Ú"))
;((('Multi_key "acute" "Y" ))("Ý"))
;((('Multi_key "acute" "a" ))("á"))
;((('Multi_key "acute" "e" ))("é"))
;((('Multi_key "acute" "i" ))("í"))
;((('Multi_key "acute" "o" ))("ó"))
;((('Multi_key "acute" "u" ))("ú"))
;((('Multi_key "acute" "y" ))("ý"))
;((('Multi_key "cedilla" "S" ))("Ş"))
;((('Multi_key "cedilla" "s" ))("ş"))
;((('Multi_key "breve" "G" ))("Ğ"))
;((('Multi_key "breve" "g" ))("ğ"))
))
