;;;
;;; Copyright (c) 2003,2004 uim Project http://uim.freedesktop.org/
;;;
;;; All rights reserved.
;;;
;;; Redistribution and use in source and binary forms, with or without
;;; modification, are permitted provided that the following conditions
;;; are met:
;;; 1. Redistributions of source code must retain the above copyright
;;;    notice, this list of conditions and the following disclaimer.
;;; 2. Redistributions in binary form must reproduce the above copyright
;;;    notice, this list of conditions and the following disclaimer in the
;;;    documentation and/or other materials provided with the distribution.
;;; 3. Neither the name of authors nor the names of its contributors
;;;    may be used to endorse or promote products derived from this software
;;;    without specific prior written permission.
;;;
;;; THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
;;; ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
;;; IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
;;; ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
;;; FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
;;; DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
;;; OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
;;; HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
;;; LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
;;; OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
;;; SUCH DAMAGE.
;;;;

;;TODO
;;    ::ñϿ
;;
;;⡼ɰ
;;  ܸϥ⡼(ܸϥ⡼ɤɬס)
;;  ѿ⡼
;;  ѱѿ⡼
;;  
;;ơȰ
;;  *ܸϥ⡼
;;    Ե,Ͼ,Ѵ
;;  *ñϿ⡼
;;    ɤϾ,ñϾ
;;

(require "japanese.scm")
(require "generic-key.scm")
(require "util.scm")

;; configs
(define prime-nr-candidate-max 10)
(define prime-always-show-window? #t)
(define prime-auto-register-mode? #t)
(define prime-pseude-mode-cursor? #t)
(define prime-char-annotation?    #t)

(define prime-preedit-immediate-commit? #f)
(define prime-mask-pending-preedit? #f)

(define prime-engine-command-lookup     "lookup_compact")
(define prime-engine-command-lookup-all "lookup_compact_all")

;; config function
(define prime-dont-use-numeral-key-to-select-cand
  (lambda ()
    (set! prime-cand-select-key?
	  (lambda (key key-state)
	    (and (numeral-char? key)
		 (control-key-mask key-state))))))

;; key
(define-key prime-latin-key?          '("<Control>l" generic-off-key?))
(define-key prime-wide-latin-key?     "<Control>L")
(define-key prime-begin-conv-key?     'generic-begin-conv-key?)
(define-key prime-on-key?         '("<Control>j" "<Control>J" generic-on-key?))
(define-key prime-commit-key?         'generic-commit-key?)
(define-key prime-next-candidate-key? 'generic-next-candidate-key?)
(define-key prime-prev-candidate-key? 'generic-prev-candidate-key?)
(define-key prime-next-page-key?      'generic-next-page-key?)
(define-key prime-prev-page-key?      'generic-prev-page-key?)
(define-key prime-cancel-key?         'generic-cancel-key?)
(define-key prime-backspace-key?      'generic-backspace-key?)
(define-key prime-delete-key?         'generic-delete-key?)
(define-key prime-go-left-key?        'generic-go-left-key?)
(define-key prime-go-right-key?       'generic-go-right-key?)
(define-key prime-go-left-edge-key?   '("<Control>a" "<Control>left"))
(define-key prime-go-right-edge-key?  '("<Control>e" "<Control>right"))
(define-key prime-register-key?       '("<Control>w"))

(define-key prime-space-key?          '(" "))
(define-key prime-altspace-key?       '("<Control> " "<Alt> "))


(define prime-cand-select-key?
  (lambda (key key-state)
    (numeral-char? key)))

(define prime-symbol-key?
  (lambda (key key-state)
    (symbol? key)))

(define prime-with-control-key?
  (lambda (key key-state)
    (control-key-mask key-state)))

(define prime-command-key?
  (lambda (key key-state)
    (and (modifier-key-mask key-state)
	 ;; Pressing a shift key only is not a command key.
	 (not (= (cdr (assoc 'Shift_key key-state-alist)) key-state)))))

(define prime-any-key?
  (lambda (key key-state)
    #t))

(define prime-capital-key?
  (lambda (key key-state)
    (and (shift-key-mask key-state)
	 (alphabet-char? key))))

(define prime-ja-direct-key?
  (lambda (key key-state)
    (ja-direct (charcode->string key))))

;; access
(define prime-context-raw-commit
 (lambda (ac)
   (car (nthcdr 15 ac))))
(define prime-context-set-raw-commit!
  (lambda (ac mode)
    (set-car! (nthcdr 15 ac) mode)))
(define prime-context-immediate-commit ;;Ūprime-preedit-immediate-commit?򥪥դˤ뤫ɤ
 (lambda (ac)
   (car (nthcdr 14 ac))))
(define prime-context-set-immediate-commit!
  (lambda (ac mode)
    (set-car! (nthcdr 14 ac) mode)))
(define prime-context-last-word ;;PRIMEPOBoxѸǤContext
 (lambda (ac)
   (car (nthcdr 13 ac))))
(define prime-context-set-last-word!
  (lambda (ac mode)
    (set-car! (nthcdr 13 ac) mode)))
(define prime-context-mode
 (lambda (ac)
   (car (nthcdr 12 ac))))
(define prime-context-set-mode!
  (lambda (ac mode)
    (set-car! (nthcdr 12 ac) mode)))
(define prime-context-left-string ;;κ¦ˤpreeditʸΥꥹ
 (lambda (ac)
   (car (nthcdr 11 ac))))
(define prime-context-set-left-string!
  (lambda (ac str)
    (set-car! (nthcdr 11 ac) str)))
(define prime-context-right-string
 (lambda (ac)
   (car (nthcdr 10 ac))))
(define prime-context-set-right-string!
  (lambda (ac str)
    (set-car! (nthcdr 10 ac) str)))
(define prime-context-candidates
  (lambda (c)
   (car (nthcdr 9 c))))
(define prime-context-set-candidates!
  (lambda (c cnt)
    (set-car! (nthcdr 9 c) cnt)))
(define prime-context-candidate-window
  (lambda (c)
   (car (nthcdr 8 c))))
(define prime-context-set-candidate-window!
  (lambda (c cnt)
    (set-car! (nthcdr 8 c) cnt)))
(define prime-context-preedit-label
  (lambda (c)
   (car (nthcdr 7 c))))
(define prime-context-set-preedit-label!
  (lambda (c label)
    (set-car! (nthcdr 7 c) label)))
(define prime-context-nth
  (lambda (c)
    (car (nthcdr 6 c))))
(define prime-context-set-nth!
  (lambda (c nth)
    (set-car! (nthcdr 6 c) nth)))
(define prime-context-right-right-strings
  (lambda (c)
    (car (nthcdr 4 c))))
(define prime-context-set-right-right-strings!
  (lambda (c right-right)
    (set-car! (nthcdr 4 c) right-right)))
(define prime-context-left-left-strings
  (lambda (c)
    (car (nthcdr 3 c))))
(define prime-context-set-left-left-strings!
  (lambda (c left-left)
    (set-car! (nthcdr 3 c) left-left)))
(define prime-context-set-learning-word!
  (lambda (c head)
    (set-car! (nthcdr 2 c) head)))
(define prime-context-learning-word
  (lambda (c)
    (car (nthcdr 2 c))))
(define prime-context-state
  (lambda (c)
    (car (nthcdr 0 c))))
(define prime-context-set-state!
  (lambda (c s)
    (set-car! (nthcdr 0 c) s)))

(define prime-mode-latin      0)
(define prime-mode-hiragana   1)
(define prime-mode-wide-latin 2)

(define prime-send-command
  (lambda (command)
    (let ((result (prime-lib-send-command command)))
      (let loop ((res result))
	(if (string=? res "")
	    (loop (prime-lib-send-command ""))
	    res
	    )))))

(define prime-flush
  (lambda (sc)
    (prime-context-set-state! sc 'prime-state-no-preedit)
    (prime-context-set-immediate-commit! sc #t)
    (prime-context-set-left-string! sc '())
    (prime-context-set-right-string! sc '())
    (prime-context-set-left-left-strings! sc '())
    (prime-context-set-right-right-strings! sc '())
    (prime-context-set-nth! sc 0)
    (prime-context-set-candidate-window! sc #f)))


(define prime-context-new
  (lambda ()
    (let ((c 
	   (copy-list 
	    '(prime-state-no-latin #t () () () () 0 () () () () () 0 "" #t #f))))
      (prime-flush c)
      c)))

(define prime-get-nth-candidate
  (lambda (sc n)
    (if (> n (prime-get-nr-candidates sc))
	#f
	(car (cdr (car (nthcdr n (prime-context-candidates sc))))))))

(define prime-get-nr-candidates
  (lambda (sc)
    (length (prime-context-candidates sc))))

(define prime-get-current-candidate
  (lambda (sc)
    (prime-get-nth-candidate
     sc
     (prime-context-nth sc))))

(define prime-get-candidates! ;;⤦äȴؿ̾ɤˤ
  (lambda (sc preedit context)
    (prime-engine-set-context context)
    (prime-context-set-candidates!
     sc
     (prime-engine-lookup prime-engine-command-lookup preedit))
    ))

(define prime-get-all-candidates! ;;⤦äȴؿ̾ɤˤ
  (lambda (sc preedit context)
    (prime-engine-set-context context)
    (prime-context-set-candidates!
     sc
     (prime-engine-lookup prime-engine-command-lookup-all preedit))
    ))


;;;; ------------------------------------------------------------
;;;; prime-util: General purpose functions
;;;; ------------------------------------------------------------

(define prime-util-string-concat 
  (lambda (string-list glue)
    (if (null? (cdr string-list))
	(car string-list)
	(string-append (car string-list)
		       glue
		       (prime-util-string-concat (cdr string-list) glue))
	)))

(define prime-util-assoc-list
  (lambda (lst)
    (mapcar 
     (lambda (str)
       (string-split str "="))
     lst)))

;;;; ------------------------------------------------------------
;;;; prime-engine: Functions to connect with a prime server.
;;;; ------------------------------------------------------------

(define prime-engine-send-command
  (lambda (arg-list)
    (cdr 
     (string-split
      (prime-send-command
       (string-append (prime-util-string-concat arg-list "\t") "\n"))
      "\n"))))

(define prime-engine-lookup
  (lambda (command string)
    (mapcar
     (lambda (string-line)
       (string-split string-line "\t"))
     (delq "" (prime-engine-send-command (list command string))))))

(define prime-engine-set-context
  (lambda (string)
    (if (string=? string "")
	(prime-engine-reset-context)
	(prime-engine-send-command (list "set_context" string)))))

(define prime-engine-reset-context
  (lambda ()
    (prime-engine-send-command (list "reset_context"))))

(define prime-engine-get-label
  (lambda (string)
    (if (string=? string "")
	""
	(car (prime-engine-send-command (list "get_label" string))))))

(define prime-engine-learn-word
  (lambda (pron literal pos context suffix rest)
    (prime-engine-send-command (list "learn_word"
				     pron literal pos context suffix rest))))

(define prime-engine-get-env
  (lambda (env-name)
    (let* ((result (string-split (car (prime-engine-send-command
				       (list "get_env" env-name)))
 				 "\t"))
	   (result-type (car result)))
      (cond
       ((string=? result-type "nil")
	"nil")
       ((string=? result-type "string")
	(nth 1 result))
       ((string=? result-type "array")
	(string-split (cdr result) "\t"))
       ((string=? result-type "boolean")
	(string=? (nth 1 result) "true"))
       (else
	'unknown))
      )))

(define prime-engine-get-env-typing-method
  (lambda ()
    (prime-engine-get-env "typing_method")
    ))

;;;; ------------------------------------------------------------
;;;; prime-command: User commands for general purpose.
;;;; ------------------------------------------------------------
(define prime-command-pass
  (lambda (context key key-state)
    #t))

(define prime-command-commit-raw
  (lambda (context key key-state)
    (let* ((sc (context-data context))
	   (id (context-id   context)))
      (prime-context-set-last-word! sc "")
      (prime-commit-raw sc id)
      (prime-flush sc)
      )))

;;;; prime-command: modes

(define prime-command-japanese-mode
  (lambda (context key key-state)
    (let ((sc (context-data context))
	  (id (context-id   context)))
      (prime-flush sc)
      (prime-context-set-mode! sc prime-mode-hiragana)
      (prime-update-mode id sc)
      )))

(define prime-command-wide-latin-mode
  (lambda (context key key-state)
    (let ((sc (context-data context))
	  (id (context-id   context)))
      (prime-context-set-mode! sc prime-mode-wide-latin)
      (prime-update-mode id sc)
      )))

(define prime-command-latin-mode
  (lambda (context key key-state)
    (let ((sc (context-data context))
	  (id (context-id   context)))
      (prime-context-set-mode! sc prime-mode-latin)
      (prime-update-mode id sc)
      )))

(define prime-command-register-mode
  (lambda (context key key-state)
    (let* ((sc (context-data context))
	   (learning-word (prime-context-learning-word sc)))
      (if (not learning-word)
	  (prime-word-learning-start! sc))
      )))


;;;; ------------------------------------------------------------
;;;; prime-command-latin: User commands in a latin-mode
;;;; ------------------------------------------------------------
(define prime-command-latin-input
  (lambda (context key key-state)
    (prime-command-commit-raw context key key-state)))

;;;; ------------------------------------------------------------
;;;; prime-command-wide-latin: User commands in a wide-latin-mode
;;;; ------------------------------------------------------------
(define prime-command-wide-latin-input
  (lambda (context key key-state)
    (let* ((char   (charcode->string key))
	   (output (or (ja-direct char) (ja-wide char)))
	   (id     (context-id context))
	   (sc     (context-data context)))
      (if (and output
	       (not (prime-command-key? key key-state)))
	  (im-commit id output)
	  (prime-commit-raw sc id)))))

;;;; ------------------------------------------------------------
;;;; prime-command-conv: User commands in a conversion state
;;;; ------------------------------------------------------------
(define prime-command-conv-next
  (lambda (context key key-state)
    (let* ((sc (context-data context))
	   (learning-word (prime-context-learning-word sc)))
      (prime-context-set-nth! sc (+ 1 (prime-context-nth sc)))

      (cond
       ((prime-get-current-candidate sc)
	#f)
       (learning-word
	(prime-context-set-nth! sc 0))
       (prime-auto-register-mode?
	(prime-word-learning-start! sc))
       (else
	(prime-context-set-nth! sc 0)))
      )))

(define prime-command-conv-prev
  (lambda (context key key-state)
    (let ((sc (context-data context)))
      (if (> (prime-context-nth sc) 0)
	  (prime-context-set-nth! sc (- (prime-context-nth       sc) 1))
	  (prime-context-set-nth! sc (- (prime-get-nr-candidates sc) 1)))
      )))

(define prime-command-conv-cancel
  (lambda (context key key-state)
    (let ((sc (context-data context)))
      (prime-context-set-state! sc 'prime-state-preedit)
      (prime-context-set-nth! sc 0)
      (prime-context-set-candidate-window! sc #f)
      )))

(define prime-command-conv-commit
  (lambda (context key key-state)
    (let* ((sc (context-data context))
	   (id (context-id context))
	   (learning-word (prime-context-learning-word sc)))
      (if learning-word
	  (prime-commit-to-left-left
	   sc
	   (string-to-list (prime-get-nth-candidate 
			    sc (prime-context-nth sc))))
	  (begin
	    (im-commit id (prime-get-current-candidate sc))
	    (prime-commit-candidate sc)
	    (prime-flush sc)
	    (prime-update-mode id sc)))
      )))

(define prime-command-conv-select
  (lambda (context key key-state)
    (let* ((sc (context-data context))
	   (id (context-id context))
	   (learning-word (prime-context-learning-word sc))
	   (nth (number->candidate-index (numeral-char->number key)))
	   (cand (prime-get-nth-candidate sc nth)))
      (if cand
	  (if learning-word
	      (begin
		(prime-context-set-nth! sc nth)
		(prime-commit-to-left-left sc (string-to-list cand)))
	      (begin
		(prime-context-set-nth! sc nth)
		(im-commit id cand)
		(prime-commit-candidate sc)
		(prime-flush sc)
		(prime-update-mode id sc))))
      )))

(define prime-command-conv-input
  (lambda (context key key-state)
    (let* ((sc (context-data context))
	   (id (context-id   context))
	   (learning-word (prime-context-learning-word sc)))
      (if learning-word
	  (begin
	    (prime-commit-to-left-left sc (append
					   (prime-context-right-string sc)
					   (prime-context-left-string sc)))
	    (prime-proc-input-no-preedit context key key-state))
	  (begin
	    (im-commit id (prime-get-current-candidate sc))
	    (prime-commit-candidate sc)
	    (prime-flush sc)
	    (prime-update-mode id sc)
	    (prime-proc-input-no-preedit context key key-state)))
      )))

;;;; ------------------------------------------------------------
;;;; prime-command-preedit: User commands in a preedit state.
;;;; ------------------------------------------------------------

(define prime-command-preedit-cancel
  (lambda (context key key-state)
    (let ((sc (context-data context)))
      (prime-context-set-left-string!  sc '())
      (prime-context-set-right-string! sc '())
      (prime-context-set-candidate-window! sc #f) ;FIXME:very dirty hack
      )))

(define prime-command-preedit-backspace
  (lambda (context key key-state)
    (let ((sc (context-data context)))
      (if (prime-context-left-string sc)
	  (prime-context-set-left-string!
	   sc (cdr (prime-context-left-string sc))))
      (prime-context-set-candidate-window! sc #f) ;FIXME:very dirty hack
      )))

(define prime-command-preedit-delete
  (lambda (context key key-state)
    (let ((sc (context-data context)))
      (if (prime-context-right-string sc)
	  (prime-context-set-right-string!
	   sc
	   (reverse (cdr (reverse (prime-context-right-string sc))))))
      (prime-context-set-candidate-window! sc #f) ;FIXME:very dirty hack
      )))

(define prime-command-preedit-commit
  (lambda (context key key-state)
    (let* ((sc (context-data context))
	   (id (context-id   context))
	   (word-committed (prime-preedit-get-string-label sc)))
      (if (prime-context-learning-word sc)
	  (prime-commit-to-left-left sc (string-to-list word-committed))
	  (begin
	    (im-commit id word-committed)
	    (prime-learn-word sc (list (list "basekey" word-committed)
				       (list "base"    word-committed)))
	    (prime-flush sc)
	    (prime-update-mode id sc))))))

(define prime-command-preedit-cursor-left-edge
  (lambda (context key key-state)
    (let ((sc (context-data context)))
      (if (not (null? (prime-context-left-string sc)))
	  (begin
	    ;; FIXME: The internal code of cursor-left should be invoked.
	    ;; FIXME: (2004-06-15) <komatsu@taiyaki.org>
	    (prime-command-preedit-cursor-left      context key key-state)
	    (prime-command-preedit-cursor-left-edge context key key-state)))
      )))

(define prime-command-preedit-cursor-right-edge
  (lambda (context key key-state)
    (let ((sc (context-data context)))
      (if (not (null? (prime-context-right-string sc)))
	  (begin
	    ;; FIXME: The internal code of cursor-right should be invoked.
	    ;; FIXME: (2004-06-15) <komatsu@taiyaki.org>
	    (prime-command-preedit-cursor-right      context key key-state)
	    (prime-command-preedit-cursor-right-edge context key key-state)))
      )))

(define prime-command-preedit-cursor-left
  (lambda (context key key-state)
    (let ((sc (context-data context)))
      (if (prime-context-left-string sc)
	  (let ((trans-char (car (prime-context-left-string sc))))
	    (prime-context-set-left-string!
	     sc (cdr (prime-context-left-string sc)))
	    (prime-context-set-right-string! 
	     sc (append (prime-context-right-string sc) (list trans-char)))
	    )))))

(define prime-command-preedit-cursor-right
  (lambda (context key key-state)
    (let ((sc (context-data context)))
      (if (prime-context-right-string sc)
	  (let ((trans-char (car (reverse (prime-context-right-string sc)))))
	    (prime-context-set-right-string!
	     sc (reverse (cdr (reverse (prime-context-right-string sc)))))
	    (prime-context-set-left-string!
	     sc (cons trans-char (prime-context-left-string sc)))
	    )))))

(define prime-command-preedit-input
  (lambda (context key key-state)
    (let ((sc (context-data context))
	  (id (context-id   context)))
      (prime-context-set-left-string!
       sc (cons (charcode->string key) (prime-context-left-string sc)))
      (prime-context-set-candidate-window! sc #f) ;FIXME:very dirty hack
      (if (and
	   prime-preedit-immediate-commit?
	   (prime-context-immediate-commit sc))
	  (begin
	    (im-commit id (string-list-concat (prime-context-left-string sc)))
	    (prime-flush sc))))))


(define prime-command-preedit-commit-candidate
  (lambda (context key key-state)
    (let* ((sc (context-data context))
	   (id (context-id   context))
	   (learning-word (prime-context-learning-word sc))
	   (nth (number->candidate-index (numeral-char->number key)))
	   (cand (prime-get-nth-candidate sc nth)))
      (if cand
	  (if learning-word
	      (begin
		(prime-context-set-nth! sc nth)
		(prime-commit-to-left-left sc (string-to-list cand)))
	      (begin
		(prime-context-set-nth! sc nth)
		(im-commit id cand)
		(prime-commit-candidate sc)
		(prime-flush sc)
		(prime-update-mode id sc)))))))

(define prime-command-preedit-convert
  (lambda (context key key-state)
    (let ((sc (context-data context))
	  (id (context-id   context)))
      (prime-begin-conversion sc id)
      )))

(define prime-command-preedit-convert-reversely
  (lambda (context key key-state)
    (let ((sc (context-data context))
	  (id (context-id   context)))
      (prime-begin-conversion-reversely sc id)
      )))

;;;; ------------------------------------------------------------
;;;; prime-command-fund: User commands in a fundamental state.
;;;; ------------------------------------------------------------
(define prime-command-fund-wide-latin-mode
  (lambda (context key key-state)
    (let ((sc (context-data context))
	  (id (context-id   context)))
      (prime-context-set-mode! sc prime-mode-wide-latin)
      (prime-update-mode id sc)
      )))

(define prime-command-fund-latin-mode
  (lambda (context key key-state)
    (let ((sc (context-data context))
	  (id (context-id   context)))
      (prime-context-set-mode! sc prime-mode-latin)
      (prime-update-mode id sc)
      )))

(define prime-command-fund-input
  (lambda (context key key-state)
    (let ((sc (context-data context))
	  (id (context-id   context)))
      (if (or (prime-capital-key?     key key-state)
	      (prime-cand-select-key? key key-state))
	  (prime-context-set-immediate-commit! sc #f))
      (prime-proc-input-with-preedit context key key-state)
      )))

(define prime-command-fund-space
  (lambda (context key key-state)
    (let ((id     (context-id   context))
	  (space  (ja-direct " ")))
      (im-commit id space)
      (prime-engine-reset-context)
      )))

(define prime-command-fund-altspace
  (lambda (context key key-state)
    (let ((id     (context-id   context))
	  (space  (if (string=? (ja-direct " ") " ") "" " ")))
      (im-commit id space)
      (prime-engine-reset-context)
      )))

(define prime-command-fund-commit-ja-direct
  (lambda (context key key-state)
    (let ((id     (context-id   context))
	  (direct (ja-direct (charcode->string key))))
      (im-commit id direct)
      (prime-engine-reset-context)
      )))

;;;; ------------------------------------------------------------
;;;; prime-command-register-fund: User commands in a register fundamental state
;;;; ------------------------------------------------------------
(define prime-command-register-fund-backspace
  (lambda (context key key-state)
    (let* ((sc (context-data context))
	   (id (context-id   context)))
      (if (prime-context-left-left-strings sc)
	  (prime-context-set-left-left-strings!
	   sc (cdr (prime-context-left-left-strings sc))))
      )))

(define prime-command-register-fund-delete
  (lambda (context key key-state)
    (let* ((sc (context-data context))
	   (id (context-id   context)))
      (if (prime-context-right-right-strings sc)
	  (prime-context-set-right-right-strings!
	   sc (cdr (prime-context-right-right-strings sc))))
      )))

(define prime-command-register-fund-cancel
  (lambda (context key key-state)
    (let* ((sc (context-data context)))
      (prime-context-set-left-string!
       sc (prime-context-learning-word sc))
      (prime-context-set-learning-word! sc '())
      (prime-context-set-left-left-strings! sc '())
      (prime-context-set-right-right-strings! sc '())

      (prime-context-set-nth! sc 0)
      (prime-context-set-candidate-window! sc #f)
;      (prime-command-conv-cancel context key key-state)
      )))

(define prime-command-register-fund-commit
  (lambda (context key key-state)
    (let* ((sc (context-data context))
	   (id (context-id   context))
	   (learning-word (prime-context-learning-word sc))
	   (registered
	    (string-append
	     (string-list-concat (prime-context-left-left-strings sc))
	     (string-list-concat (prime-context-right-right-strings sc)))))
      (if (not (string=? registered ""))
	  (begin
	    (prime-learn-word
	     sc
	     (list (list "basekey" (string-list-concat learning-word))
		   (list "base"    registered)))
	    (im-commit id registered)
	    (prime-flush sc)
	    (prime-context-set-learning-word! sc '()))))
      ))

(define prime-command-register-fund-cursor-left
  (lambda (context key key-state)
    (let* ((sc (context-data context))
	   (id (context-id   context)))
      (if (prime-context-left-left-strings sc)
	  (let ((c (car (prime-context-left-left-strings sc))))
	    (prime-context-set-left-left-strings!
	     sc (cdr (prime-context-left-left-strings sc)))
	    (prime-context-set-right-right-strings!
	     sc
	     (append (prime-context-right-right-strings sc) (list c)))))
      )))

(define prime-command-register-fund-cursor-right
  (lambda (context key key-state)
    (let* ((sc (context-data context))
	   (id (context-id   context)))
      (if (prime-context-right-right-strings sc)
	  (let ((c (car (reverse (prime-context-right-right-strings sc)))))
	    (prime-context-set-right-right-strings!
	     sc 
	     (reverse (cdr (reverse (prime-context-right-right-strings sc)))))
	    (prime-context-set-left-left-strings!
	     sc
	     (append (list c) (prime-context-left-left-strings sc)))))
      )))

;;;; ------------------------------------------------------------
;;;; prime-keymap: Keymaps binding a key stroke to a command.
;;;; ------------------------------------------------------------

(define prime-keymap-get-command
  (lambda (keymap key key-state)
    (let ((command-key? (car (car keymap)))
	  (command      (cdr (car keymap))))
      (if ((symbol-value command-key?) key key-state)
	  command
	  (if (null? (cdr keymap))
	      #f
	      (prime-keymap-get-command (cdr keymap) key key-state))
      ))))
    
(define prime-keymap-register-fund-state
  '(
   (prime-prev-candidate-key?  . prime-command-register-fund-cancel)
   (prime-next-candidate-key?  . prime-command-register-fund-cancel)
   (prime-wide-latin-key?      . prime-command-fund-wide-latin-mode)
   (prime-latin-key?           . prime-command-fund-latin-mode)
;; FIXME: A register-fund-state also needs the following key bindings
;; FIMXE: as well as a fund-state.
;; FIXME: (2004-06-15) <komatsu@taiyaki.org>

   (prime-space-key?         . prime-command-pass)
   (prime-altspace-key?      . prime-command-pass)
;   (prime-space-key?         . prime-command-fund-space)
;   (prime-altspace-key?    . prime-command-fund-altspace)
;   (prime-ja-direct-key?   . prime-command-fund-commit-ja-direct)
   (prime-backspace-key?    . prime-command-register-fund-backspace)
   (prime-delete-key?       . prime-command-register-fund-delete)
   (prime-cancel-key?       . prime-command-register-fund-cancel)
   (prime-commit-key?       . prime-command-register-fund-commit)
   (prime-go-left-key?      . prime-command-register-fund-cursor-left)
   (prime-go-right-key?     . prime-command-register-fund-cursor-right)
   (prime-with-control-key? . prime-command-commit-raw)
   (prime-symbol-key?       . prime-command-pass)
   (prime-any-key?          . prime-command-fund-input)
   ))

(define prime-keymap-latin-mode
  '(
   (prime-on-key?  . prime-command-japanese-mode)
   (prime-any-key? . prime-command-latin-input)
   ))

(define prime-keymap-wide-latin-mode
  '(
   (prime-on-key?  . prime-command-japanese-mode)
   (prime-any-key? . prime-command-wide-latin-input)
   ))

(define prime-keymap-fund-state
  '(
   (prime-wide-latin-key?   . prime-command-fund-wide-latin-mode)
   (prime-latin-key?        . prime-command-fund-latin-mode)
   (prime-space-key?        . prime-command-fund-space)
   (prime-altspace-key?     . prime-command-fund-altspace)
   (prime-with-control-key? . prime-command-commit-raw)
   (prime-ja-direct-key?    . prime-command-fund-commit-ja-direct)
   (prime-symbol-key?       . prime-command-commit-raw)
   (prime-any-key?          . prime-command-fund-input)
   ))

(define prime-keymap-preedit-state
  '(
   (prime-register-key?       . prime-command-register-mode)
   (prime-begin-conv-key?     . prime-command-preedit-convert)
   (prime-next-candidate-key? . prime-command-preedit-convert)
   (prime-prev-candidate-key? . prime-command-preedit-convert-reversely)
   (prime-delete-key?         . prime-command-preedit-delete)
   (prime-cancel-key?         . prime-command-preedit-cancel)
   (prime-backspace-key?      . prime-command-preedit-backspace)
   (prime-commit-key?         . prime-command-preedit-commit)
   (prime-go-left-edge-key?   . prime-command-preedit-cursor-left-edge)
   (prime-go-right-edge-key?  . prime-command-preedit-cursor-right-edge)
   (prime-go-left-key?        . prime-command-preedit-cursor-left)
   (prime-go-right-key?       . prime-command-preedit-cursor-right)
   ))

(define prime-keymap-conv-state
  '(
   (prime-register-key?       . prime-command-register-mode)
   (prime-next-candidate-key? . prime-command-conv-next)
   (prime-prev-candidate-key? . prime-command-conv-prev)
   (prime-cancel-key?         . prime-command-conv-cancel)
   (prime-backspace-key?      . prime-command-conv-cancel)
   (prime-commit-key?         . prime-command-conv-commit)
   (prime-cand-select-key?    . prime-command-conv-select)
   (prime-symbol-key?         . prime-command-pass)
   (prime-with-control-key?   . prime-command-pass)
   (prime-any-key?            . prime-command-conv-input)
   ))

;;;; ------------------------------------------------------------
;;;; prime-proc:
;;;; ------------------------------------------------------------

(define prime-proc-call-command
  (lambda (keymap context key key-state)
    (let ((command (prime-keymap-get-command keymap key key-state)))
      (if command
	  (begin ((symbol-value command) context key key-state) #t)
	  #f))))

(define prime-proc-fund-state
  (lambda (context key key-state)
    (prime-proc-call-command prime-keymap-fund-state
			     context key key-state)))

(define prime-proc-preedit-state
  (lambda (context key key-state)
    (prime-proc-call-command prime-keymap-preedit-state
			     context key key-state)))

(define prime-proc-conv-state
  (lambda (context key key-state)
    (prime-proc-call-command prime-keymap-conv-state
			     context key key-state)))

(define prime-proc-register-fund-state
  (lambda (context key key-state)
    (prime-proc-call-command prime-keymap-register-fund-state
			     context key key-state)))

(define prime-proc-mode-latin
  (lambda (context key key-state)
    (prime-proc-call-command prime-keymap-latin-mode
			     context key key-state)))

(define prime-proc-mode-wide-latin
  (lambda (context key key-state)
    (prime-proc-call-command prime-keymap-wide-latin-mode
			     context key key-state)))


;; REFINE IT
(define prime-proc-input-no-preedit
  (lambda (c key key-state)
    (let* ((sc (context-data c))
	   (learning-word (prime-context-learning-word sc)))
      (if learning-word
	  (prime-proc-register-fund-state c key key-state)
	  (prime-proc-fund-state          c key key-state))
      )))

;; REFINE IT
(define prime-proc-input-with-preedit
  (lambda (c key key-state)
    (let ((sc (context-data c))
	  (id (context-id c)))
      (cond
       ((prime-proc-preedit-state c key key-state)
	#t)

       ((and (prime-cand-select-key? key key-state)
 	     (prime-context-immediate-commit sc))
;       ((prime-cand-select-key? key key-state)
 	(prime-command-preedit-commit-candidate c key key-state))

       ;; modifiers (excepts shift) => ignore
       ((prime-command-key? key key-state)
	(prime-pass))

       (else
	(prime-command-preedit-input c key key-state))
       ))))

;;;; ------------------------------------------------------------
;;;; prime-preedit:
;;;; ------------------------------------------------------------

(define prime-preedit-get-string-label
  (lambda (sc)
    (prime-engine-get-label
     (prime-preedit-get-string-raw sc))))

(define prime-preedit-get-string-raw
  (lambda (sc)
    (string-append (string-list-concat (prime-context-left-string sc))
		   (string-list-concat (prime-context-right-string sc)))))

(define prime-preedit-mask
  (lambda (preedition)
    (let ((char-list (string-to-list preedition)))
      (if (usual-char? (string->charcode (car char-list)))
	  (string-append (string-list-concat (cdr char-list))
			 "*")
	  preedition))))

;;;; ------------------------------------------------------------
;;;; prime-custom
;;;; ------------------------------------------------------------

(define prime-custom-init
  (lambda ()
    (let ((typing-method (prime-engine-get-env-typing-method)))
      (cond
       ((string=? typing-method "kana")
	(prime-dont-use-numeral-key-to-select-cand))
       ((string=? typing-method "tcode")
	(prime-dont-use-numeral-key-to-select-cand)
	(set! prime-mask-pending-preedit? #t)
	(set! prime-engine-command-lookup     "lookup")
	(set! prime-engine-command-lookup-all "lookup_all")
	)
       ))))

;;;; ------------------------------------------------------------

(define prime-commit-raw
  (lambda (sc id)
    (im-commit-raw id)
    (prime-engine-reset-context)
    (prime-context-set-last-word! sc "")
    (prime-context-set-raw-commit! sc #t)))

(define prime-commit-candidate
  (lambda (sc)
    (let* ((nth (prime-context-nth sc))
	   (assoc-list (prime-util-assoc-list 
			(cdr (cdar (nthcdr nth (prime-context-candidates sc)))))))
      (prime-learn-word sc assoc-list))))

(define prime-learn-word
  (lambda (sc assoc-list)
    (let ((key     (or (cadr (assoc "basekey"     assoc-list)) ""))
	  (value   (or (cadr (assoc "base"        assoc-list)) ""))
	  (part    (or (cadr (assoc "part"        assoc-list)) ""))
	  (context (or (prime-context-last-word sc) ""))
	  (suffix  (or (cadr (assoc "conjugation" assoc-list)) ""))
	  (rest    (or (cadr (assoc "suffix"      assoc-list)) "")))
      
      (prime-engine-learn-word key value part context suffix rest)
      (prime-context-set-last-word! sc (string-append value suffix rest)))))

(define prime-begin-conversion-internal
  (lambda (sc id init-idx)
    (let ((res))
      (prime-get-all-candidates!
       sc
       (string-append (string-list-concat (prime-context-left-string sc))
		      (string-list-concat (prime-context-right-string sc)))
       (prime-context-last-word sc))
      (set! res
	    (prime-get-nth-candidate sc init-idx))
      (if res
	  (begin
	    (prime-context-set-nth! sc init-idx)
	    (prime-context-set-state!
	     sc 'prime-state-converting))
	  (prime-flush sc))
      )))

(define prime-begin-conversion-reversely
  (lambda (sc id)
    (let ((last-idx (- (prime-get-nr-candidates sc)
		       1)))
      (prime-begin-conversion-internal sc id last-idx))))

(define prime-begin-conversion
  (lambda (sc id)
    (prime-begin-conversion-internal sc id 0)))

(define prime-update-preedit
  (lambda (id sc)
    (if (not (prime-context-raw-commit sc))
	(let ((learning-word (prime-context-learning-word sc)))
	  (im-clear-preedit id)
	  (if learning-word
	      (prime-register-state-update-preedit id sc)
	      (prime-preedit-state-update-preedit  id sc))
	  (im-update-preedit id))
	(prime-context-set-raw-commit! sc #f))))

(define prime-register-state-update-preedit
  (lambda (id sc)
    (let ((learning-word (prime-context-learning-word       sc))
	  (left-left     (prime-context-left-left-strings   sc))
	  (right-right   (prime-context-right-right-strings sc)))
	  
      (im-pushback-preedit id preedit-reverse
			   (string-append "ñϿ["
					  ;; FIXME: (2004-06-17)
					  ;; <komatsu@taiyaki.org>
					  (prime-engine-get-label
					   (string-list-concat learning-word))
					  "|"))

      (if left-left
	  (im-pushback-preedit id preedit-none
			       (string-list-concat left-left)))

      (prime-preedit-state-update-preedit id sc)

      (if right-right
	  (im-pushback-preedit id preedit-none
			       (string-list-concat right-right)))

      (im-pushback-preedit id preedit-reverse "]"))))

(define prime-preedit-state-update-preedit
  (lambda (id sc)
    (let ((stat          (prime-context-state               sc))
	  (left          (prime-context-left-string         sc))
	  (right         (prime-context-right-string        sc)))
	  
      (if (= stat 'prime-state-converting)
	  (begin
	    (im-pushback-preedit
	     id preedit-reverse
	     (prime-get-current-candidate sc)))
	  (if (prime-has-preedit? sc)
	      (let ((hl (prime-engine-get-label (string-list-concat left)))
		    (hr (string-list-concat right)))

		(if (not (string=? hl ""))
		    (begin
		      (if prime-mask-pending-preedit?
			  (set! hl (prime-preedit-mask hl)))
		      (im-pushback-preedit id preedit-underline hl)))
		(im-pushback-preedit id preedit-cursor "")
		(if (string? hr)
		    (im-pushback-preedit
		     id preedit-underline
		     hr)))
	      (begin
		(im-pushback-preedit id preedit-cursor "")
		(if (and prime-pseude-mode-cursor?
			 (= (prime-context-mode sc) prime-mode-hiragana))
		    (im-pushback-preedit id preedit-reverse " "))
		)))
      )))

(define prime-update-mode
  (lambda (id sc)
    (let ((mode (prime-context-mode sc)))
      (im-update-mode id mode)
      (prime-update-prop-label id sc))))

(define prime-update-candidate-window
  (lambda (sc id)
    (let ((nth     (prime-context-nth sc))
	  (preedit (prime-preedit-get-string-raw sc))
	  (stat    (prime-context-state sc)))
      (cond
       ((> nth 0)
	(im-select-candidate id nth))
       ((and (= nth 0)
	     (= stat 'prime-state-converting))
	(prime-get-all-candidates!
	 sc
	 preedit
	 (prime-context-last-word sc))
	(im-activate-candidate-selector
	 id (prime-get-nr-candidates sc) prime-nr-candidate-max)
	(im-select-candidate id nth))
       ((and
	 (prime-has-preedit? sc)
	 (not (prime-context-candidate-window sc))
	 (or (not (prime-context-immediate-commit sc))
	     (not prime-preedit-immediate-commit?)))
	(begin
	  (prime-get-candidates!
	   sc
	   preedit
	   (prime-context-last-word sc))
	  
	  (if (> (prime-get-nr-candidates sc) 0)
	      (begin
		(im-activate-candidate-selector
		 id (prime-get-nr-candidates sc) prime-nr-candidate-max)
		(prime-context-set-candidate-window! sc #t))
	      (begin
		(prime-context-set-candidate-window! sc #f)
		(im-deactivate-candidate-selector id)))))
       ((not (prime-has-preedit? sc))
	(begin
	  (prime-context-set-candidate-window! sc #f)
	  (im-deactivate-candidate-selector id)))))))

(define prime-has-preedit?
  (lambda (sc)
    (or
     (> (length (prime-context-left-string sc)) 0)
     (> (length (prime-context-right-string sc)) 0)
     )))

(define prime-word-learning-start!
  (lambda (sc)
    (prime-context-set-learning-word!
     sc
     (append
      (prime-context-right-string sc)
      (prime-context-left-string sc)))
    (prime-context-set-right-string! sc '())
    (prime-context-set-left-string! sc '())
    (prime-context-set-nth! sc 0)
    (prime-context-set-state! sc 'prime-state-no-preedit)
    ))

(define prime-commit-to-left-left
  (lambda (sc lst)
    (prime-context-set-left-left-strings!
     sc (append lst (prime-context-left-left-strings sc)))
    (prime-context-set-right-string! sc '())
    (prime-context-set-left-string! sc '())
    (prime-context-set-nth! sc 0)
    (prime-context-set-state! sc 'prime-state-no-preedit)
    ))


(define prime-push-key
  (lambda (c key key-state)
    (let* ((sc    (context-data c))
	   (state (prime-context-state sc))
	   (mode  (prime-context-mode sc))
	   (fun))
      (cond
       ((= mode prime-mode-latin)
	(set! fun prime-proc-mode-latin))
       ((= mode prime-mode-wide-latin)
	(set! fun prime-proc-mode-wide-latin))
       ((= mode prime-mode-hiragana)
	(begin
	  (if (prime-has-preedit? sc)
	      (set! fun prime-proc-input-with-preedit)
	      (set! fun prime-proc-input-no-preedit))
	  (if (= state 'prime-state-converting)
	      (set! fun prime-proc-conv-state)))))
      (fun c key key-state)
      (prime-update-candidate-window sc (context-id c))
      (prime-update-preedit (context-id c) sc)
      )))

(define prime-init-handler
  (lambda (id arg)
    (let ((c (find-context id)))
      (set! candidate-window-position "left")
      (set-context-data! c
			 (prime-context-new))
      (im-clear-mode-list id)
      (mapcar
       (lambda (data) (im-pushback-mode-list id (nth 2 data))) ; = mode name
       prime-mode)
      (im-update-mode-list id)
      (im-update-mode id prime-mode-latin)

      (prime-update-prop-list id)
      (prime-custom-init)
      )))

(define prime-press-key-handler
  (lambda (id key state)
    (let* ((c (find-context id)))
      (if (control-char? key)
	  (im-commit-raw id)
	  (prime-push-key c key state)))))

(define prime-release-key-handler
  (lambda (id key state)
    (let* ((c (find-context id))
	   (sc (context-data c)))
      (if (or (control-char? key)
	      (= (prime-context-mode sc)
		 prime-mode-latin))
	  (im-commit-raw id)))))

(define prime-reset-handler
  (lambda (id)
    ()))

(define prime-mode-handler
  (lambda (id mode)
    (let* ((c (find-context id))
	   (sc (context-data c)))
      (prime-flush sc)
      (prime-context-set-mode! sc mode)
      (prime-update-preedit id sc)
      ())))

(define prime-get-candidate-handler
  (lambda (id idx accel-enum-hint)
    (let* ((c (find-context id))
	   (sc (context-data c))
	   (cand (prime-get-nth-candidate sc idx))
	   (annotation (assoc cand prime-char-annotation-alist)))
      (if (and prime-char-annotation? annotation)
	  (list (string-append cand "  (" (cdr annotation) ")")
		(digit->string (+ idx 1)))
	  (list cand
		(digit->string (+ idx 1)))))))

(define prime-set-candidate-index-handler
  (lambda (id idx)
    (let* ((c (find-context id))
	   (sc (context-data c)))
      (prime-context-set-nth! sc idx)
      (prime-update-preedit id sc))))

(define prime-prop-handler
  (lambda (id message)
    (let* ((c (find-context id))
	   (sc (context-data c)))
      (prime-flush sc)
      (prime-update-preedit id sc)

      (mapcar
       (lambda (data)
	 (if (string=? message (nth 4 data))             ; = message
	     (prime-context-set-mode! sc (nth 0 data)))) ; = mode number
       prime-mode)

      (prime-update-mode id sc)
      (prime-update-prop-label id sc))))

(define prime-update-prop-label
  (lambda (id sc)
    (let* ((mode (prime-context-mode sc))
	   (str (prime-mode-get-label mode)))
      (im-update-prop-label id str))))

(define prime-update-prop-list
  (lambda (id) 
    (let* ((c (find-context id))
	   (sc (context-data c))
	   (mode (prime-context-mode sc))
	   (str (prime-mode-get-list mode)))
      (im-update-prop-list id str)
      )))

(define prime-mode-latin      0)
(define prime-mode-hiragana   1)
(define prime-mode-wide-latin 2)
(define prime-mode
  '((0 "P"  "ľ" "PRIME " "prop_prime_mode_latin")
    (1 "" "ܸ"   "PRIME " "prop_prime_mode_hiragana")
    (2 "" "ѱѿ" "Ѥ" "prop_prime_mode_wide_latin")
    ))
    
;   '((japanese   "" "ܸ"   "PRIME " "prop_prime_mode_hiragana")
;     (latin      "P"  "ľ" "PRIME " "prop_prime_mode_latin")
;     (wide-latin "" "ѱѿ" "Ѥ" "prop_prime_mode_wide_latin")))

(define prime-mode-get-label
  (lambda (mode)
    (let ((data (assoc mode prime-mode)))
      (string-append (nth 1 data) "\t" (nth 2 data) "\n"))))

(define prime-mode-get-list
  (lambda (mode)
    (string-append
     "branch\t" (prime-mode-get-label mode)

     (prime-util-string-concat
      (mapcar (lambda (data)
		(prime-util-string-concat (cons "leaf" (cdr data)) "\t"))
	      prime-mode)
      "\n")

     "\n")))

(define prime-char-annotation-alist
  '(("-"  . "Ⱦѡ֥ޥʥ")
    ("" . "ѡ֥ޥʥ")
    ("" . "Ĺ")
    ("" . "")
    ("" . "֤")
    ("" . "֥å")
    ("" . "֥ϥե")
    ("x"  . "Ⱦѡ֥å")
    ("X"  . "Ⱦѡ֥å")
    ("" . "ѡ֥å")
    ("" . "ѡ֥å")
    ("" . "֤")
    ("o"  . "Ⱦѡ֥")
    ("O"  . "Ⱦѡ֥")
    ("0"  . "Ⱦѡ֥")
    ("" . "ѡ֥")
    ("" . "ѡ֥")
    ("" . "ѡ֥")
    ("" . "֥")
    ("" . "֤ޤ")
    ("" . "֤ޤ(2)")
    ("" . "ѥ")
    ("" . "֤ˡ")
    ("|"  . "Ⱦ")
    ("" . "")
    ))


(register-im
 'prime
 "ja"
 "EUC-JP"
 #f
 prime-init-handler
 #f
 prime-mode-handler
 prime-press-key-handler
 prime-release-key-handler
 prime-reset-handler
 prime-get-candidate-handler
 prime-set-candidate-index-handler
 prime-prop-handler)
