;;;
;;; Copyright (c) 2003,2004 uim Project http://uim.freedesktop.org/
;;;
;;; All rights reserved.
;;;
;;; Redistribution and use in source and binary forms, with or without
;;; modification, are permitted provided that the following conditions
;;; are met:
;;; 1. Redistributions of source code must retain the above copyright
;;;    notice, this list of conditions and the following disclaimer.
;;; 2. Redistributions in binary form must reproduce the above copyright
;;;    notice, this list of conditions and the following disclaimer in the
;;;    documentation and/or other materials provided with the distribution.
;;; 3. Neither the name of authors nor the names of its contributors
;;;    may be used to endorse or promote products derived from this software
;;;    without specific prior written permission.
;;;
;;; THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
;;; ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
;;; IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
;;; ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
;;; FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
;;; DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
;;; OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
;;; HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
;;; LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
;;; OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
;;; SUCH DAMAGE.
;;;;

(define romaja-rule
  '(
((("D" "d" ))("ㄸ"))
((("D" "d" "o" ))("또"))
((("D" "d" "o" "n" "g" ))("똥"))
((("D" "d" "o" "l" ))("똘"))
((("D" "d" "o" "a" ))("똬"))
((("D" "d" "o" "a" "l" ))("똴"))
((("D" "d" "o" "i" ))("뙤"))
((("D" "d" "o" "i" "n" ))("뙨"))
((("D" "d" "o" "a" "e" ))("뙈"))
((("D" "d" "o" "g" ))("똑"))
((("D" "d" "o" "n" ))("똔"))
((("D" "d" "e" "o" ))("떠"))
((("D" "d" "e" "o" "s" "s" ))("떴"))
((("D" "d" "e" "o" "m" ))("떰"))
((("D" "d" "e" "o" "n" "g" ))("떵"))
((("D" "d" "e" "o" "l" ))("떨"))
((("D" "d" "e" "o" "l" "m" ))("떪"))
((("D" "d" "e" "o" "l" "b" ))("떫"))
((("D" "d" "e" "o" "h" ))("떻"))
((("D" "d" "e" "o" "b" ))("떱"))
((("D" "d" "e" "o" "g" ))("떡"))
((("D" "d" "e" "o" "n" ))("떤"))
((("D" "d" "e" "o" "s" ))("떳"))
((("D" "d" "a" ))("따"))
((("D" "d" "a" "s" "s" ))("땄"))
((("D" "d" "a" "m" ))("땀"))
((("D" "d" "a" "n" "g" ))("땅"))
((("D" "d" "a" "l" ))("딸"))
((("D" "d" "a" "h" ))("땋"))
((("D" "d" "a" "b" ))("땁"))
((("D" "d" "a" "g" ))("딱"))
((("D" "d" "a" "n" ))("딴"))
((("D" "d" "a" "s" ))("땃"))
((("D" "d" "i" ))("띠"))
((("D" "d" "i" "m" ))("띰"))
((("D" "d" "i" "n" "g" ))("띵"))
((("D" "d" "i" "l" ))("띨"))
((("D" "d" "i" "b" ))("띱"))
((("D" "d" "i" "n" ))("띤"))
((("D" "d" "i" "s" ))("띳"))
((("D" "d" "e" "u" ))("뜨"))
((("D" "d" "e" "u" "m" ))("뜸"))
((("D" "d" "e" "u" "d" ))("뜯"))
((("D" "d" "e" "u" "l" ))("뜰"))
((("D" "d" "e" "u" "i" ))("띄"))
((("D" "d" "e" "u" "i" "m" ))("띔"))
((("D" "d" "e" "u" "i" "l" ))("띌"))
((("D" "d" "e" "u" "i" "b" ))("띕"))
((("D" "d" "e" "u" "i" "n" ))("띈"))
((("D" "d" "e" "u" "b" ))("뜹"))
((("D" "d" "e" "u" "g" ))("뜩"))
((("D" "d" "e" "u" "n" ))("뜬"))
((("D" "d" "e" "u" "s" ))("뜻"))
((("D" "d" "u" ))("뚜"))
((("D" "d" "u" "m" ))("뚬"))
((("D" "d" "u" "n" "g" ))("뚱"))
((("D" "d" "u" "l" ))("뚤"))
((("D" "d" "u" "l" "h" ))("뚫"))
((("D" "d" "u" "i" ))("뛰"))
((("D" "d" "u" "i" "m" ))("뜀"))
((("D" "d" "u" "i" "n" "g" ))("뜅"))
((("D" "d" "u" "i" "l" ))("뛸"))
((("D" "d" "u" "i" "b" ))("뜁"))
((("D" "d" "u" "i" "n" ))("뛴"))
((("D" "d" "u" "e" ))("뛔"))
((("D" "d" "u" "g" ))("뚝"))
((("D" "d" "u" "n" ))("뚠"))
((("D" "d" "a" "e" ))("때"))
((("D" "d" "a" "e" "s" "s" ))("땠"))
((("D" "d" "a" "e" "m" ))("땜"))
((("D" "d" "a" "e" "n" "g" ))("땡"))
((("D" "d" "a" "e" "l" ))("땔"))
((("D" "d" "a" "e" "b" ))("땝"))
((("D" "d" "a" "e" "g" ))("땍"))
((("D" "d" "a" "e" "n" ))("땐"))
((("D" "d" "a" "e" "s" ))("땟"))
((("D" "d" "e" ))("떼"))
((("D" "d" "e" "s" "s" ))("뗐"))
((("D" "d" "e" "m" ))("뗌"))
((("D" "d" "e" "n" "g" ))("뗑"))
((("D" "d" "e" "l" ))("뗄"))
((("D" "d" "e" "b" ))("뗍"))
((("D" "d" "e" "g" ))("떽"))
((("D" "d" "e" "n" ))("뗀"))
((("D" "d" "e" "s" ))("뗏"))
((("D" "d" "y" "e" "o" ))("뗘"))
((("D" "d" "y" "e" "o" "s" "s" ))("뗬"))
((("Y" "a" "e" ))("ㅒ"))
((("Y" "a" "e" "s" "s" ))("쟀"))
((("Y" "a" "e" "m" ))("잼"))
((("Y" "a" "e" "n" "g" ))("쟁"))
((("Y" "a" "e" "l" ))("잴"))
((("Y" "a" "e" "b" ))("잽"))
((("Y" "a" "e" "g" ))("잭"))
((("Y" "a" "e" "n" ))("잰"))
((("Y" "a" "e" "s" ))("잿"))
((("B" "b" ))("ㅃ"))
((("B" "b" "y" "u" ))("쀼"))
((("B" "b" "y" "u" "n" "g" ))("쁑"))
((("B" "b" "o" ))("뽀"))
((("B" "b" "o" "m" ))("뽐"))
((("B" "b" "o" "n" "g" ))("뽕"))
((("B" "b" "o" "l" ))("뽈"))
((("B" "b" "o" "i" ))("뾔"))
((("B" "b" "o" "b" ))("뽑"))
((("B" "b" "o" "g" ))("뽁"))
((("B" "b" "o" "n" ))("뽄"))
((("B" "b" "y" "a" ))("뺘"))
((("B" "b" "y" "a" "m" ))("뺨"))
((("B" "b" "y" "a" "g" ))("뺙"))
((("B" "b" "e" "o" ))("뻐"))
((("B" "b" "e" "o" "s" "s" ))("뻤"))
((("B" "b" "e" "o" "m" ))("뻠"))
((("B" "b" "e" "o" "n" "g" ))("뻥"))
((("B" "b" "e" "o" "d" ))("뻗"))
((("B" "b" "e" "o" "l" ))("뻘"))
((("B" "b" "e" "o" "g" ))("뻑"))
((("B" "b" "e" "o" "n" ))("뻔"))
((("B" "b" "e" "o" "s" ))("뻣"))
((("B" "b" "a" ))("빠"))
((("B" "b" "a" "s" "s" ))("빴"))
((("B" "b" "a" "m" ))("빰"))
((("B" "b" "a" "n" "g" ))("빵"))
((("B" "b" "a" "l" ))("빨"))
((("B" "b" "a" "l" "m" ))("빪"))
((("B" "b" "a" "h" ))("빻"))
((("B" "b" "a" "b" ))("빱"))
((("B" "b" "a" "g" ))("빡"))
((("B" "b" "a" "n" ))("빤"))
((("B" "b" "a" "s" ))("빳"))
((("B" "b" "i" ))("삐"))
((("B" "b" "i" "m" ))("삠"))
((("B" "b" "i" "n" "g" ))("삥"))
((("B" "b" "i" "l" ))("삘"))
((("B" "b" "i" "b" ))("삡"))
((("B" "b" "i" "g" ))("삑"))
((("B" "b" "i" "n" ))("삔"))
((("B" "b" "i" "s" ))("삣"))
((("B" "b" "e" "u" ))("쁘"))
((("B" "b" "e" "u" "m" ))("쁨"))
((("B" "b" "e" "u" "l" ))("쁠"))
((("B" "b" "e" "u" "b" ))("쁩"))
((("B" "b" "e" "u" "n" ))("쁜"))
((("B" "b" "u" ))("뿌"))
((("B" "b" "u" "m" ))("뿜"))
((("B" "b" "u" "n" "g" ))("뿡"))
((("B" "b" "u" "l" ))("뿔"))
((("B" "b" "u" "g" ))("뿍"))
((("B" "b" "u" "n" ))("뿐"))
((("B" "b" "u" "s" ))("뿟"))
((("B" "b" "a" "e" ))("빼"))
((("B" "b" "a" "e" "s" "s" ))("뺐"))
((("B" "b" "a" "e" "m" ))("뺌"))
((("B" "b" "a" "e" "n" "g" ))("뺑"))
((("B" "b" "a" "e" "l" ))("뺄"))
((("B" "b" "a" "e" "b" ))("뺍"))
((("B" "b" "a" "e" "g" ))("빽"))
((("B" "b" "a" "e" "n" ))("뺀"))
((("B" "b" "a" "e" "s" ))("뺏"))
((("B" "b" "e" ))("뻬"))
((("B" "b" "e" "n" "g" ))("뼁"))
((("B" "b" "y" "e" "o" ))("뼈"))
((("B" "b" "y" "e" "o" "s" "s" ))("뼜"))
((("B" "b" "y" "e" "o" "m" ))("뼘"))
((("B" "b" "y" "e" "o" "n" "g" ))("뼝"))
((("B" "b" "y" "e" "o" "b" ))("뼙"))
((("B" "b" "y" "e" "o" "g" ))("뼉"))
((("B" "b" "y" "e" "o" "s" ))("뼛"))
((("B" "b" "y" "o" ))("뾰"))
((("B" "b" "y" "o" "n" "g" ))("뿅"))
((("G" "g" ))("ㄲ"))
((("G" "g" "y" "e" ))("꼐"))
((("G" "g" "y" "u" ))("뀨"))
((("G" "g" "o" ))("꼬"))
((("G" "g" "o" "m" ))("꼼"))
((("G" "g" "o" "c" "h" ))("꽃"))
((("G" "g" "o" "n" "g" ))("꽁"))
((("G" "g" "o" "l" ))("꼴"))
((("G" "g" "o" "a" ))("꽈"))
((("G" "g" "o" "a" "s" "s" ))("꽜"))
((("G" "g" "o" "a" "n" "g" ))("꽝"))
((("G" "g" "o" "a" "l" ))("꽐"))
((("G" "g" "o" "a" "g" ))("꽉"))
((("G" "g" "o" "i" ))("꾀"))
((("G" "g" "o" "i" "m" ))("꾐"))
((("G" "g" "o" "i" "n" "g" ))("꾕"))
((("G" "g" "o" "i" "l" ))("꾈"))
((("G" "g" "o" "i" "b" ))("꾑"))
((("G" "g" "o" "i" "n" ))("꾄"))
((("G" "g" "o" "a" "e" ))("꽤"))
((("G" "g" "o" "a" "e" "n" "g" ))("꽹"))
((("G" "g" "o" "a" "e" "g" ))("꽥"))
((("G" "g" "o" "b" ))("꼽"))
((("G" "g" "o" "g" ))("꼭"))
((("G" "g" "o" "n" ))("꼰"))
((("G" "g" "o" "n" "h" ))("꼲"))
((("G" "g" "o" "s" ))("꼿"))
((("G" "g" "o" "j" ))("꽂"))
((("G" "g" "y" "a" ))("꺄"))
((("G" "g" "y" "a" "l" ))("꺌"))
((("G" "g" "y" "a" "g" ))("꺅"))
((("G" "g" "e" "o" ))("꺼"))
((("G" "g" "e" "o" "g" "g" ))("꺾"))
((("G" "g" "e" "o" "s" "s" ))("껐"))
((("G" "g" "e" "o" "m" ))("껌"))
((("G" "g" "e" "o" "n" "g" ))("껑"))
((("G" "g" "e" "o" "l" ))("껄"))
((("G" "g" "e" "o" "b" ))("껍"))
((("G" "g" "e" "o" "g" ))("꺽"))
((("G" "g" "e" "o" "n" ))("껀"))
((("G" "g" "e" "o" "s" ))("껏"))
((("G" "g" "a" ))("까"))
((("G" "g" "a" "g" "g" ))("깎"))
((("G" "g" "a" "s" "s" ))("깠"))
((("G" "g" "a" "m" ))("깜"))
((("G" "g" "a" "n" "g" ))("깡"))
((("G" "g" "a" "l" ))("깔"))
((("G" "g" "a" "l" "m" ))("깖"))
((("G" "g" "a" "b" ))("깝"))
((("G" "g" "a" "g" ))("깍"))
((("G" "g" "a" "n" ))("깐"))
((("G" "g" "a" "s" ))("깟"))
((("G" "g" "a" "t" ))("깥"))
((("G" "g" "i" ))("끼"))
((("G" "g" "i" "m" ))("낌"))
((("G" "g" "i" "n" "g" ))("낑"))
((("G" "g" "i" "l" ))("낄"))
((("G" "g" "i" "b" ))("낍"))
((("G" "g" "i" "g" ))("끽"))
((("G" "g" "i" "n" ))("낀"))
((("G" "g" "i" "s" ))("낏"))
((("G" "g" "e" "u" ))("끄"))
((("G" "g" "e" "u" "m" ))("끔"))
((("G" "g" "e" "u" "n" "g" ))("끙"))
((("G" "g" "e" "u" "l" ))("끌"))
((("G" "g" "e" "u" "l" "m" ))("끎"))
((("G" "g" "e" "u" "l" "h" ))("끓"))
((("G" "g" "e" "u" "b" ))("끕"))
((("G" "g" "e" "u" "g" ))("끅"))
((("G" "g" "e" "u" "n" ))("끈"))
((("G" "g" "e" "u" "n" "h" ))("끊"))
((("G" "g" "e" "u" "s" ))("끗"))
((("G" "g" "e" "u" "t" ))("끝"))
((("G" "g" "u" ))("꾸"))
((("G" "g" "u" "m" ))("꿈"))
((("G" "g" "u" "n" "g" ))("꿍"))
((("G" "g" "u" "l" ))("꿀"))
((("G" "g" "u" "l" "h" ))("꿇"))
((("G" "g" "u" "e" "o" ))("꿔"))
((("G" "g" "u" "e" "o" "s" "s" ))("꿨"))
((("G" "g" "u" "e" "o" "n" "g" ))("꿩"))
((("G" "g" "u" "e" "o" "l" ))("꿜"))
((("G" "g" "u" "i" ))("뀌"))
((("G" "g" "u" "i" "m" ))("뀜"))
((("G" "g" "u" "i" "l" ))("뀔"))
((("G" "g" "u" "i" "b" ))("뀝"))
((("G" "g" "u" "i" "n" ))("뀐"))
((("G" "g" "u" "e" ))("꿰"))
((("G" "g" "u" "e" "s" "s" ))("뀄"))
((("G" "g" "u" "e" "m" ))("뀀"))
((("G" "g" "u" "e" "l" ))("꿸"))
((("G" "g" "u" "e" "b" ))("뀁"))
((("G" "g" "u" "e" "g" ))("꿱"))
((("G" "g" "u" "e" "n" ))("꿴"))
((("G" "g" "u" "b" ))("꿉"))
((("G" "g" "u" "g" ))("꾹"))
((("G" "g" "u" "n" ))("꾼"))
((("G" "g" "u" "s" ))("꿋"))
((("G" "g" "u" "j" ))("꿎"))
((("G" "g" "a" "e" ))("깨"))
((("G" "g" "a" "e" "s" "s" ))("깼"))
((("G" "g" "a" "e" "m" ))("깸"))
((("G" "g" "a" "e" "n" "g" ))("깽"))
((("G" "g" "a" "e" "l" ))("깰"))
((("G" "g" "a" "e" "b" ))("깹"))
((("G" "g" "a" "e" "g" ))("깩"))
((("G" "g" "a" "e" "n" ))("깬"))
((("G" "g" "a" "e" "s" ))("깻"))
((("G" "g" "e" ))("께"))
((("G" "g" "e" "m" ))("껨"))
((("G" "g" "e" "n" "g" ))("껭"))
((("G" "g" "e" "g" ))("껙"))
((("G" "g" "e" "n" ))("껜"))
((("G" "g" "e" "s" ))("껫"))
((("G" "g" "y" "e" "o" ))("껴"))
((("G" "g" "y" "e" "o" "s" "s" ))("꼈"))
((("G" "g" "y" "e" "o" "l" ))("껼"))
((("G" "g" "y" "e" "o" "n" ))("껸"))
((("G" "g" "y" "e" "o" "s" ))("꼇"))
((("G" "g" "y" "e" "o" "t" ))("꼍"))
((("G" "g" "y" "o" ))("꾜"))
((("S" "s" ))("ㅆ"))
((("S" "s" "y" "e" "n" ))("쏀"))
((("S" "s" "y" "u" "n" "g" ))("쓩"))
((("S" "s" "o" ))("쏘"))
((("S" "s" "o" "m" ))("쏨"))
((("S" "s" "o" "n" "g" ))("쏭"))
((("S" "s" "o" "d" ))("쏟"))
((("S" "s" "o" "l" ))("쏠"))
((("S" "s" "o" "l" "m" ))("쏢"))
((("S" "s" "o" "a" ))("쏴"))
((("S" "s" "o" "a" "s" "s" ))("쐈"))
((("S" "s" "o" "a" "g" ))("쏵"))
((("S" "s" "o" "a" "n" ))("쏸"))
((("S" "s" "o" "i" ))("쐬"))
((("S" "s" "o" "i" "m" ))("쐼"))
((("S" "s" "o" "i" "l" ))("쐴"))
((("S" "s" "o" "i" "b" ))("쐽"))
((("S" "s" "o" "i" "n" ))("쐰"))
((("S" "s" "o" "a" "e" ))("쐐"))
((("S" "s" "o" "a" "e" "s" "s" ))("쐤"))
((("S" "s" "o" "b" ))("쏩"))
((("S" "s" "o" "g" ))("쏙"))
((("S" "s" "o" "n" ))("쏜"))
((("S" "s" "y" "a" "n" "g" ))("썅"))
((("S" "s" "e" "o" ))("써"))
((("S" "s" "e" "o" "s" "s" ))("썼"))
((("S" "s" "e" "o" "m" ))("썸"))
((("S" "s" "e" "o" "n" "g" ))("썽"))
((("S" "s" "e" "o" "l" ))("썰"))
((("S" "s" "e" "o" "l" "m" ))("썲"))
((("S" "s" "e" "o" "b" ))("썹"))
((("S" "s" "e" "o" "g" ))("썩"))
((("S" "s" "e" "o" "n" ))("썬"))
((("S" "s" "a" ))("싸"))
((("S" "s" "a" "s" "s" ))("쌌"))
((("S" "s" "a" "m" ))("쌈"))
((("S" "s" "a" "n" "g" ))("쌍"))
((("S" "s" "a" "l" ))("쌀"))
((("S" "s" "a" "h" ))("쌓"))
((("S" "s" "a" "b" ))("쌉"))
((("S" "s" "a" "g" ))("싹"))
((("S" "s" "a" "g" "s" ))("싻"))
((("S" "s" "a" "n" ))("싼"))
((("S" "s" "i" ))("씨"))
((("S" "s" "i" "m" ))("씸"))
((("S" "s" "i" "n" "g" ))("씽"))
((("S" "s" "i" "l" ))("씰"))
((("S" "s" "i" "b" ))("씹"))
((("S" "s" "i" "g" ))("씩"))
((("S" "s" "i" "n" ))("씬"))
((("S" "s" "i" "s" ))("씻"))
((("S" "s" "e" "u" ))("쓰"))
((("S" "s" "e" "u" "m" ))("씀"))
((("S" "s" "e" "u" "l" ))("쓸"))
((("S" "s" "e" "u" "l" "m" ))("쓺"))
((("S" "s" "e" "u" "l" "h" ))("쓿"))
((("S" "s" "e" "u" "i" ))("씌"))
((("S" "s" "e" "u" "i" "m" ))("씜"))
((("S" "s" "e" "u" "i" "l" ))("씔"))
((("S" "s" "e" "u" "i" "n" ))("씐"))
((("S" "s" "e" "u" "b" ))("씁"))
((("S" "s" "e" "u" "g" ))("쓱"))
((("S" "s" "e" "u" "n" ))("쓴"))
((("S" "s" "u" ))("쑤"))
((("S" "s" "u" "m" ))("쑴"))
((("S" "s" "u" "n" "g" ))("쑹"))
((("S" "s" "u" "l" ))("쑬"))
((("S" "s" "u" "e" "o" ))("쒀"))
((("S" "s" "u" "e" "o" "s" "s" ))("쒔"))
((("S" "s" "u" "i" ))("쒸"))
((("S" "s" "u" "i" "n" ))("쒼"))
((("S" "s" "u" "e" ))("쒜"))
((("S" "s" "u" "b" ))("쑵"))
((("S" "s" "u" "g" ))("쑥"))
((("S" "s" "u" "n" ))("쑨"))
((("S" "s" "a" "e" ))("쌔"))
((("S" "s" "a" "e" "s" "s" ))("쌨"))
((("S" "s" "a" "e" "m" ))("쌤"))
((("S" "s" "a" "e" "n" "g" ))("쌩"))
((("S" "s" "a" "e" "l" ))("쌜"))
((("S" "s" "a" "e" "b" ))("쌥"))
((("S" "s" "a" "e" "g" ))("쌕"))
((("S" "s" "a" "e" "n" ))("쌘"))
((("S" "s" "e" ))("쎄"))
((("S" "s" "e" "l" ))("쎌"))
((("S" "s" "e" "n" ))("쎈"))
((("S" "s" "y" "o" ))("쑈"))
((("J" "j" ))("ㅉ"))
((("J" "j" "y" "u" ))("쮸"))
((("J" "j" "o" ))("쪼"))
((("J" "j" "o" "m" ))("쫌"))
((("J" "j" "o" "c" "h" ))("쫓"))
((("J" "j" "o" "n" "g" ))("쫑"))
((("J" "j" "o" "l" ))("쫄"))
((("J" "j" "o" "a" ))("쫘"))
((("J" "j" "o" "a" "s" "s" ))("쫬"))
((("J" "j" "o" "a" "l" ))("쫠"))
((("J" "j" "o" "a" "g" ))("쫙"))
((("J" "j" "o" "i" ))("쬐"))
((("J" "j" "o" "i" "m" ))("쬠"))
((("J" "j" "o" "i" "l" ))("쬘"))
((("J" "j" "o" "i" "b" ))("쬡"))
((("J" "j" "o" "i" "n" ))("쬔"))
((("J" "j" "o" "a" "e" ))("쫴"))
((("J" "j" "o" "a" "e" "s" "s" ))("쬈"))
((("J" "j" "o" "b" ))("쫍"))
((("J" "j" "o" "g" ))("쪽"))
((("J" "j" "o" "n" ))("쫀"))
((("J" "j" "o" "s" ))("쫏"))
((("J" "j" "y" "a" ))("쨔"))
((("J" "j" "y" "a" "n" "g" ))("쨩"))
((("J" "j" "y" "a" "n" ))("쨘"))
((("J" "j" "e" "o" ))("쩌"))
((("J" "j" "e" "o" "s" "s" ))("쩠"))
((("J" "j" "e" "o" "m" ))("쩜"))
((("J" "j" "e" "o" "n" "g" ))("쩡"))
((("J" "j" "e" "o" "l" ))("쩔"))
((("J" "j" "e" "o" "b" ))("쩝"))
((("J" "j" "e" "o" "g" ))("쩍"))
((("J" "j" "e" "o" "n" ))("쩐"))
((("J" "j" "e" "o" "s" ))("쩟"))
((("J" "j" "a" ))("짜"))
((("J" "j" "a" "s" "s" ))("짰"))
((("J" "j" "a" "m" ))("짬"))
((("J" "j" "a" "n" "g" ))("짱"))
((("J" "j" "a" "l" ))("짤"))
((("J" "j" "a" "l" "b" ))("짧"))
((("J" "j" "a" "b" ))("짭"))
((("J" "j" "a" "g" ))("짝"))
((("J" "j" "a" "n" ))("짠"))
((("J" "j" "a" "n" "h" ))("짢"))
((("J" "j" "a" "s" ))("짯"))
((("J" "j" "i" ))("찌"))
((("J" "j" "i" "m" ))("찜"))
((("J" "j" "i" "n" "g" ))("찡"))
((("J" "j" "i" "l" ))("찔"))
((("J" "j" "i" "h" ))("찧"))
((("J" "j" "i" "b" ))("찝"))
((("J" "j" "i" "g" ))("찍"))
((("J" "j" "i" "n" ))("찐"))
((("J" "j" "i" "j" ))("찢"))
((("J" "j" "e" "u" ))("쯔"))
((("J" "j" "e" "u" "m" ))("쯤"))
((("J" "j" "e" "u" "n" "g" ))("쯩"))
((("J" "j" "e" "u" "s" ))("쯧"))
((("J" "j" "u" ))("쭈"))
((("J" "j" "u" "m" ))("쭘"))
((("J" "j" "u" "n" "g" ))("쭝"))
((("J" "j" "u" "l" ))("쭐"))
((("J" "j" "u" "e" "o" ))("쭤"))
((("J" "j" "u" "e" "o" "s" "s" ))("쭸"))
((("J" "j" "u" "e" "o" "n" "g" ))("쭹"))
((("J" "j" "u" "i" ))("쮜"))
((("J" "j" "u" "b" ))("쭙"))
((("J" "j" "u" "g" ))("쭉"))
((("J" "j" "u" "n" ))("쭌"))
((("J" "j" "a" "e" ))("째"))
((("J" "j" "a" "e" "s" "s" ))("쨌"))
((("J" "j" "a" "e" "m" ))("쨈"))
((("J" "j" "a" "e" "n" "g" ))("쨍"))
((("J" "j" "a" "e" "l" ))("쨀"))
((("J" "j" "a" "e" "b" ))("쨉"))
((("J" "j" "a" "e" "g" ))("짹"))
((("J" "j" "a" "e" "n" ))("짼"))
((("J" "j" "a" "e" "s" ))("쨋"))
((("J" "j" "e" ))("쩨"))
((("J" "j" "e" "n" "g" ))("쩽"))
((("J" "j" "y" "e" "o" ))("쪄"))
((("J" "j" "y" "e" "o" "s" "s" ))("쪘"))
((("J" "j" "y" "o" "n" "g" ))("쭁"))
((("M" ))("ㅁ"))
((("M" "y" "e" ))("몌"))
((("M" "y" "u" ))("뮤"))
((("M" "y" "u" "m" ))("뮴"))
((("M" "y" "u" "l" ))("뮬"))
((("M" "y" "u" "n" ))("뮨"))
((("M" "y" "u" "s" ))("뮷"))
((("M" "o" ))("모"))
((("M" "o" "m" ))("몸"))
((("M" "o" "n" "g" ))("몽"))
((("M" "o" "l" ))("몰"))
((("M" "o" "l" "m" ))("몲"))
((("M" "o" "a" ))("뫄"))
((("M" "o" "a" "s" "s" ))("뫘"))
((("M" "o" "a" "n" "g" ))("뫙"))
((("M" "o" "a" "n" ))("뫈"))
((("M" "o" "i" ))("뫼"))
((("M" "o" "i" "n" "g" ))("묑"))
((("M" "o" "i" "l" ))("묄"))
((("M" "o" "i" "b" ))("묍"))
((("M" "o" "i" "n" ))("묀"))
((("M" "o" "i" "s" ))("묏"))
((("M" "o" "b" ))("몹"))
((("M" "o" "g" ))("목"))
((("M" "o" "g" "s" ))("몫"))
((("M" "o" "n" ))("몬"))
((("M" "o" "s" ))("못"))
((("M" "y" "a" ))("먀"))
((("M" "y" "a" "n" "g" ))("먕"))
((("M" "y" "a" "l" ))("먈"))
((("M" "y" "a" "g" ))("먁"))
((("M" "e" "o" ))("머"))
((("M" "e" "o" "m" ))("멈"))
((("M" "e" "o" "n" "g" ))("멍"))
((("M" "e" "o" "l" ))("멀"))
((("M" "e" "o" "l" "m" ))("멂"))
((("M" "e" "o" "h" ))("멓"))
((("M" "e" "o" "b" ))("멉"))
((("M" "e" "o" "g" ))("먹"))
((("M" "e" "o" "n" ))("먼"))
((("M" "e" "o" "s" ))("멋"))
((("M" "e" "o" "j" ))("멎"))
((("M" "a" ))("마"))
((("M" "a" "m" ))("맘"))
((("M" "a" "n" "g" ))("망"))
((("M" "a" "d" ))("맏"))
((("M" "a" "l" ))("말"))
((("M" "a" "l" "m" ))("맒"))
((("M" "a" "l" "g" ))("맑"))
((("M" "a" "h" ))("맣"))
((("M" "a" "b" ))("맙"))
((("M" "a" "g" ))("막"))
((("M" "a" "n" ))("만"))
((("M" "a" "n" "h" ))("많"))
((("M" "a" "s" ))("맛"))
((("M" "a" "j" ))("맞"))
((("M" "a" "t" ))("맡"))
((("M" "i" ))("미"))
((("M" "i" "s" "s" ))("밌"))
((("M" "i" "m" ))("밈"))
((("M" "i" "c" "h" ))("및"))
((("M" "i" "n" "g" ))("밍"))
((("M" "i" "d" ))("믿"))
((("M" "i" "l" ))("밀"))
((("M" "i" "l" "m" ))("밂"))
((("M" "i" "b" ))("밉"))
((("M" "i" "g" ))("믹"))
((("M" "i" "n" ))("민"))
((("M" "i" "s" ))("밋"))
((("M" "i" "t" ))("밑"))
((("M" "e" "u" ))("므"))
((("M" "e" "u" "m" ))("믐"))
((("M" "e" "u" "l" ))("믈"))
((("M" "e" "u" "n" ))("믄"))
((("M" "e" "u" "s" ))("믓"))
((("M" "u" ))("무"))
((("M" "u" "g" "g" ))("묶"))
((("M" "u" "m" ))("뭄"))
((("M" "u" "n" "g" ))("뭉"))
((("M" "u" "d" ))("묻"))
((("M" "u" "l" ))("물"))
((("M" "u" "l" "m" ))("묾"))
((("M" "u" "l" "g" ))("묽"))
((("M" "u" "h" ))("뭏"))
((("M" "u" "e" "o" ))("뭐"))
((("M" "u" "e" "o" "l" ))("뭘"))
((("M" "u" "e" "o" "b" ))("뭡"))
((("M" "u" "e" "o" "n" ))("뭔"))
((("M" "u" "e" "o" "s" ))("뭣"))
((("M" "u" "i" ))("뮈"))
((("M" "u" "i" "l" ))("뮐"))
((("M" "u" "i" "n" ))("뮌"))
((("M" "u" "e" ))("뭬"))
((("M" "u" "b" ))("뭅"))
((("M" "u" "g" ))("묵"))
((("M" "u" "n" ))("문"))
((("M" "u" "s" ))("뭇"))
((("M" "u" "t" ))("뭍"))
((("M" "a" "e" ))("매"))
((("M" "a" "e" "s" "s" ))("맸"))
((("M" "a" "e" "m" ))("맴"))
((("M" "a" "e" "n" "g" ))("맹"))
((("M" "a" "e" "l" ))("맬"))
((("M" "a" "e" "b" ))("맵"))
((("M" "a" "e" "g" ))("맥"))
((("M" "a" "e" "n" ))("맨"))
((("M" "a" "e" "s" ))("맷"))
((("M" "a" "e" "j" ))("맺"))
((("M" "e" ))("메"))
((("M" "e" "s" "s" ))("멨"))
((("M" "e" "m" ))("멤"))
((("M" "e" "n" "g" ))("멩"))
((("M" "e" "l" ))("멜"))
((("M" "e" "b" ))("멥"))
((("M" "e" "g" ))("멕"))
((("M" "e" "n" ))("멘"))
((("M" "e" "s" ))("멧"))
((("M" "y" "e" "o" ))("며"))
((("M" "y" "e" "o" "s" "s" ))("몄"))
((("M" "y" "e" "o" "c" "h" ))("몇"))
((("M" "y" "e" "o" "n" "g" ))("명"))
((("M" "y" "e" "o" "l" ))("멸"))
((("M" "y" "e" "o" "g" ))("멱"))
((("M" "y" "e" "o" "n" ))("면"))
((("M" "y" "e" "o" "s" ))("몃"))
((("M" "y" "o" ))("묘"))
((("M" "y" "o" "l" ))("묠"))
((("M" "y" "o" "b" ))("묩"))
((("M" "y" "o" "n" ))("묜"))
((("M" "y" "o" "s" ))("묫"))
((("C" "h" ))("ㅊ"))
((("C" "h" "y" "e" ))("쳬"))
((("C" "h" "y" "e" "n" "g" ))("촁"))
((("C" "h" "y" "e" "n" ))("쳰"))
((("C" "h" "y" "u" ))("츄"))
((("C" "h" "y" "u" "m" ))("츔"))
((("C" "h" "y" "u" "n" "g" ))("츙"))
((("C" "h" "y" "u" "l" ))("츌"))
((("C" "h" "y" "u" "n" ))("츈"))
((("C" "h" "o" ))("초"))
((("C" "h" "o" "m" ))("촘"))
((("C" "h" "o" "n" "g" ))("총"))
((("C" "h" "o" "l" ))("촐"))
((("C" "h" "o" "a" ))("촤"))
((("C" "h" "o" "a" "n" "g" ))("촹"))
((("C" "h" "o" "a" "l" ))("촬"))
((("C" "h" "o" "a" "n" ))("촨"))
((("C" "h" "o" "i" ))("최"))
((("C" "h" "o" "i" "m" ))("쵬"))
((("C" "h" "o" "i" "n" "g" ))("쵱"))
((("C" "h" "o" "i" "l" ))("쵤"))
((("C" "h" "o" "i" "b" ))("쵭"))
((("C" "h" "o" "i" "n" ))("쵠"))
((("C" "h" "o" "i" "s" ))("쵯"))
((("C" "h" "o" "b" ))("촙"))
((("C" "h" "o" "g" ))("촉"))
((("C" "h" "o" "n" ))("촌"))
((("C" "h" "o" "s" ))("촛"))
((("C" "h" "y" "a" ))("챠"))
((("C" "h" "y" "a" "m" ))("챰"))
((("C" "h" "y" "a" "n" "g" ))("챵"))
((("C" "h" "y" "a" "l" ))("챨"))
((("C" "h" "y" "a" "n" ))("챤"))
((("C" "h" "y" "a" "n" "h" ))("챦"))
((("C" "h" "e" "o" ))("처"))
((("C" "h" "e" "o" "s" "s" ))("첬"))
((("C" "h" "e" "o" "m" ))("첨"))
((("C" "h" "e" "o" "n" "g" ))("청"))
((("C" "h" "e" "o" "l" ))("철"))
((("C" "h" "e" "o" "b" ))("첩"))
((("C" "h" "e" "o" "g" ))("척"))
((("C" "h" "e" "o" "n" ))("천"))
((("C" "h" "e" "o" "s" ))("첫"))
((("C" "h" "a" ))("차"))
((("C" "h" "a" "s" "s" ))("찼"))
((("C" "h" "a" "m" ))("참"))
((("C" "h" "a" "n" "g" ))("창"))
((("C" "h" "a" "l" ))("찰"))
((("C" "h" "a" "b" ))("찹"))
((("C" "h" "a" "g" ))("착"))
((("C" "h" "a" "n" ))("찬"))
((("C" "h" "a" "n" "h" ))("찮"))
((("C" "h" "a" "s" ))("찻"))
((("C" "h" "a" "j" ))("찾"))
((("C" "h" "i" ))("치"))
((("C" "h" "i" "m" ))("침"))
((("C" "h" "i" "n" "g" ))("칭"))
((("C" "h" "i" "d" ))("칟"))
((("C" "h" "i" "l" ))("칠"))
((("C" "h" "i" "l" "g" ))("칡"))
((("C" "h" "i" "b" ))("칩"))
((("C" "h" "i" "g" ))("칙"))
((("C" "h" "i" "n" ))("친"))
((("C" "h" "i" "s" ))("칫"))
((("C" "h" "e" "u" ))("츠"))
((("C" "h" "e" "u" "m" ))("츰"))
((("C" "h" "e" "u" "n" "g" ))("층"))
((("C" "h" "e" "u" "l" ))("츨"))
((("C" "h" "e" "u" "b" ))("츱"))
((("C" "h" "e" "u" "g" ))("측"))
((("C" "h" "e" "u" "n" ))("츤"))
((("C" "h" "e" "u" "s" ))("츳"))
((("C" "h" "u" ))("추"))
((("C" "h" "u" "m" ))("춤"))
((("C" "h" "u" "n" "g" ))("충"))
((("C" "h" "u" "l" ))("출"))
((("C" "h" "u" "e" "o" ))("춰"))
((("C" "h" "u" "e" "o" "s" "s" ))("췄"))
((("C" "h" "u" "i" ))("취"))
((("C" "h" "u" "i" "m" ))("췸"))
((("C" "h" "u" "i" "n" "g" ))("췽"))
((("C" "h" "u" "i" "l" ))("췰"))
((("C" "h" "u" "i" "b" ))("췹"))
((("C" "h" "u" "i" "n" ))("췬"))
((("C" "h" "u" "i" "s" ))("췻"))
((("C" "h" "u" "e" ))("췌"))
((("C" "h" "u" "e" "n" ))("췐"))
((("C" "h" "u" "b" ))("춥"))
((("C" "h" "u" "g" ))("축"))
((("C" "h" "u" "n" ))("춘"))
((("C" "h" "u" "s" ))("춧"))
((("C" "h" "a" "e" ))("채"))
((("C" "h" "a" "e" "s" "s" ))("챘"))
((("C" "h" "a" "e" "m" ))("챔"))
((("C" "h" "a" "e" "n" "g" ))("챙"))
((("C" "h" "a" "e" "l" ))("챌"))
((("C" "h" "a" "e" "b" ))("챕"))
((("C" "h" "a" "e" "g" ))("책"))
((("C" "h" "a" "e" "n" ))("챈"))
((("C" "h" "a" "e" "s" ))("챗"))
((("C" "h" "e" ))("체"))
((("C" "h" "e" "m" ))("쳄"))
((("C" "h" "e" "n" "g" ))("쳉"))
((("C" "h" "e" "l" ))("첼"))
((("C" "h" "e" "b" ))("쳅"))
((("C" "h" "e" "g" ))("첵"))
((("C" "h" "e" "n" ))("첸"))
((("C" "h" "e" "s" ))("쳇"))
((("C" "h" "y" "e" "o" ))("쳐"))
((("C" "h" "y" "e" "o" "s" "s" ))("쳤"))
((("C" "h" "y" "e" "o" "n" ))("쳔"))
((("C" "h" "y" "o" ))("쵸"))
((("C" "h" "y" "o" "m" ))("춈"))
((("N" "g" ))("ㅇ"))
((("Y" "a" "e" ))("얘"))
((("Y" "a" "e" "l" ))("얠"))
((("Y" "a" "e" "b" ))("얩"))
((("Y" "a" "e" "n" ))("얜"))
((("Y" "e" ))("예"))
((("Y" "e" "s" "s" ))("옜"))
((("Y" "e" "m" ))("옘"))
((("Y" "e" "l" ))("옐"))
((("Y" "e" "b" ))("옙"))
((("Y" "e" "n" ))("옌"))
((("Y" "e" "s" ))("옛"))
((("Y" "u" ))("유"))
((("Y" "u" "m" ))("윰"))
((("Y" "u" "c" "h" ))("윷"))
((("Y" "u" "n" "g" ))("융"))
((("Y" "u" "l" ))("율"))
((("Y" "u" "b" ))("윱"))
((("Y" "u" "g" ))("육"))
((("Y" "u" "n" ))("윤"))
((("Y" "u" "s" ))("윳"))
((("O" ))("오"))
((("O" "m" ))("옴"))
((("O" "c" "h" ))("옻"))
((("O" "n" "g" ))("옹"))
((("O" "l" ))("올"))
((("O" "l" "m" ))("옮"))
((("O" "l" "h" ))("옳"))
((("O" "l" "g" ))("옭"))
((("O" "l" "s" ))("옰"))
((("O" "a" ))("와"))
((("O" "a" "s" "s" ))("왔"))
((("O" "a" "m" ))("왐"))
((("O" "a" "n" "g" ))("왕"))
((("O" "a" "l" ))("왈"))
((("O" "a" "b" ))("왑"))
((("O" "a" "g" ))("왁"))
((("O" "a" "n" ))("완"))
((("O" "a" "s" ))("왓"))
((("O" "i" ))("외"))
((("O" "i" "m" ))("욈"))
((("O" "i" "n" "g" ))("욍"))
((("O" "i" "l" ))("욀"))
((("O" "i" "b" ))("욉"))
((("O" "i" "g" ))("왹"))
((("O" "i" "n" ))("왼"))
((("O" "i" "s" ))("욋"))
((("O" "a" "e" ))("왜"))
((("O" "a" "e" "m" ))("왬"))
((("O" "a" "e" "n" "g" ))("왱"))
((("O" "a" "e" "g" ))("왝"))
((("O" "a" "e" "n" ))("왠"))
((("O" "a" "e" "s" ))("왯"))
((("O" "b" ))("옵"))
((("O" "g" ))("옥"))
((("O" "n" ))("온"))
((("O" "s" ))("옷"))
((("Y" "a" ))("야"))
((("Y" "a" "m" ))("얌"))
((("Y" "a" "n" "g" ))("양"))
((("Y" "a" "l" ))("얄"))
((("Y" "a" "l" "b" ))("얇"))
((("Y" "a" "h" ))("얗"))
((("Y" "a" "b" ))("얍"))
((("Y" "a" "g" ))("약"))
((("Y" "a" "n" ))("얀"))
((("Y" "a" "s" ))("얏"))
((("Y" "a" "t" ))("얕"))
((("E" "o" ))("어"))
((("E" "o" "s" "s" ))("었"))
((("E" "o" "m" ))("엄"))
((("E" "o" "n" "g" ))("엉"))
((("E" "o" "d" ))("얻"))
((("E" "o" "l" ))("얼"))
((("E" "o" "l" "m" ))("얾"))
((("E" "o" "l" "g" ))("얽"))
((("E" "o" "b" ))("업"))
((("E" "o" "b" "s" ))("없"))
((("E" "o" "g" ))("억"))
((("E" "o" "n" ))("언"))
((("E" "o" "n" "j" ))("얹"))
((("E" "o" "s" ))("엇"))
((("E" "o" "p" ))("엎"))
((("E" "o" "j" ))("엊"))
((("E" "o" "k" ))("엌"))
((("A" ))("아"))
((("A" "s" "s" ))("았"))
((("A" "m" ))("암"))
((("A" "n" "g" ))("앙"))
((("A" "l" ))("알"))
((("A" "l" "m" ))("앎"))
((("A" "l" "h" ))("앓"))
((("A" "l" "g" ))("앍"))
((("A" "b" ))("압"))
((("A" "g" ))("악"))
((("A" "n" ))("안"))
((("A" "n" "h" ))("않"))
((("A" "n" "j" ))("앉"))
((("A" "s" ))("앗"))
((("A" "p" ))("앞"))
((("A" "t" ))("앝"))
((("I" ))("이"))
((("I" "s" "s" ))("있"))
((("I" "m" ))("임"))
((("I" "n" "g" ))("잉"))
((("I" "l" ))("일"))
((("I" "l" "m" ))("읾"))
((("I" "l" "h" ))("잃"))
((("I" "l" "g" ))("읽"))
((("I" "b" ))("입"))
((("I" "g" ))("익"))
((("I" "n" ))("인"))
((("I" "s" ))("잇"))
((("I" "p" ))("잎"))
((("I" "j" ))("잊"))
((("E" "u" ))("으"))
((("E" "u" "m" ))("음"))
((("E" "u" "c" "h" ))("읓"))
((("E" "u" "n" "g" ))("응"))
((("E" "u" "l" ))("을"))
((("E" "u" "l" "p" ))("읊"))
((("E" "u" "h" ))("읗"))
((("E" "u" "i" ))("의"))
((("E" "u" "i" "m" ))("읨"))
((("E" "u" "i" "l" ))("읠"))
((("E" "u" "i" "n" ))("읜"))
((("E" "u" "i" "s" ))("읫"))
((("E" "u" "b" ))("읍"))
((("E" "u" "g" ))("윽"))
((("E" "u" "n" ))("은"))
((("E" "u" "s" ))("읏"))
((("E" "u" "p" ))("읖"))
((("E" "u" "j" ))("읒"))
((("E" "u" "t" ))("읕"))
((("E" "u" "k" ))("읔"))
((("U" ))("우"))
((("U" "m" ))("움"))
((("U" "n" "g" ))("웅"))
((("U" "l" ))("울"))
((("U" "l" "m" ))("욺"))
((("U" "l" "g" ))("욹"))
((("U" "e" "o" ))("워"))
((("U" "e" "o" "s" "s" ))("웠"))
((("U" "e" "o" "m" ))("웜"))
((("U" "e" "o" "n" "g" ))("웡"))
((("U" "e" "o" "l" ))("월"))
((("U" "e" "o" "b" ))("웝"))
((("U" "e" "o" "g" ))("웍"))
((("U" "e" "o" "n" ))("원"))
((("U" "i" ))("위"))
((("U" "i" "m" ))("윔"))
((("U" "i" "n" "g" ))("윙"))
((("U" "i" "l" ))("윌"))
((("U" "i" "b" ))("윕"))
((("U" "i" "g" ))("윅"))
((("U" "i" "n" ))("윈"))
((("U" "i" "s" ))("윗"))
((("U" "e" ))("웨"))
((("U" "e" "m" ))("웸"))
((("U" "e" "n" "g" ))("웽"))
((("U" "e" "l" ))("웰"))
((("U" "e" "b" ))("웹"))
((("U" "e" "g" ))("웩"))
((("U" "e" "n" ))("웬"))
((("U" "b" ))("웁"))
((("U" "g" ))("욱"))
((("U" "n" ))("운"))
((("U" "s" ))("웃"))
((("A" "e" ))("애"))
((("A" "e" "s" "s" ))("앴"))
((("A" "e" "m" ))("앰"))
((("A" "e" "n" "g" ))("앵"))
((("A" "e" "l" ))("앨"))
((("A" "e" "b" ))("앱"))
((("A" "e" "g" ))("액"))
((("A" "e" "n" ))("앤"))
((("A" "e" "s" ))("앳"))
((("E" ))("에"))
((("E" "m" ))("엠"))
((("E" "n" "g" ))("엥"))
((("E" "l" ))("엘"))
((("E" "b" ))("엡"))
((("E" "g" ))("엑"))
((("E" "n" ))("엔"))
((("E" "s" ))("엣"))
((("Y" "e" "o" ))("여"))
((("Y" "e" "o" "g" "g" ))("엮"))
((("Y" "e" "o" "s" "s" ))("였"))
((("Y" "e" "o" "m" ))("염"))
((("Y" "e" "o" "n" "g" ))("영"))
((("Y" "e" "o" "l" ))("열"))
((("Y" "e" "o" "l" "m" ))("엶"))
((("Y" "e" "o" "l" "b" ))("엷"))
((("Y" "e" "o" "h" ))("옇"))
((("Y" "e" "o" "b" ))("엽"))
((("Y" "e" "o" "b" "s" ))("엾"))
((("Y" "e" "o" "g" ))("역"))
((("Y" "e" "o" "n" ))("연"))
((("Y" "e" "o" "s" ))("엿"))
((("Y" "e" "o" "p" ))("옆"))
((("Y" "e" "o" "t" ))("옅"))
((("Y" "o" ))("요"))
((("Y" "o" "m" ))("욤"))
((("Y" "o" "n" "g" ))("용"))
((("Y" "o" "l" ))("욜"))
((("Y" "o" "b" ))("욥"))
((("Y" "o" "g" ))("욕"))
((("Y" "o" "n" ))("욘"))
((("Y" "o" "s" ))("욧"))
((("D" ))("ㄷ"))
((("D" "y" "e" ))("뎨"))
((("D" "y" "e" "n" ))("뎬"))
((("D" "y" "u" ))("듀"))
((("D" "y" "u" "m" ))("듐"))
((("D" "y" "u" "n" "g" ))("듕"))
((("D" "y" "u" "l" ))("듈"))
((("D" "y" "u" "n" ))("듄"))
((("D" "o" ))("도"))
((("D" "o" "m" ))("돔"))
((("D" "o" "c" "h" ))("돛"))
((("D" "o" "n" "g" ))("동"))
((("D" "o" "d" ))("돋"))
((("D" "o" "l" ))("돌"))
((("D" "o" "l" "m" ))("돎"))
((("D" "o" "l" "s" ))("돐"))
((("D" "o" "a" ))("돠"))
((("D" "o" "a" "l" ))("돨"))
((("D" "o" "a" "n" ))("돤"))
((("D" "o" "i" ))("되"))
((("D" "o" "i" "m" ))("됨"))
((("D" "o" "i" "l" ))("될"))
((("D" "o" "i" "b" ))("됩"))
((("D" "o" "i" "n" ))("된"))
((("D" "o" "i" "s" ))("됫"))
((("D" "o" "a" "e" ))("돼"))
((("D" "o" "a" "e" "s" "s" ))("됐"))
((("D" "o" "b" ))("돕"))
((("D" "o" "g" ))("독"))
((("D" "o" "n" ))("돈"))
((("D" "o" "s" ))("돗"))
((("D" "o" "t" ))("돝"))
((("D" "y" "a" ))("댜"))
((("D" "e" "o" ))("더"))
((("D" "e" "o" "g" "g" ))("덖"))
((("D" "e" "o" "m" ))("덤"))
((("D" "e" "o" "c" "h" ))("덫"))
((("D" "e" "o" "n" "g" ))("덩"))
((("D" "e" "o" "d" ))("덛"))
((("D" "e" "o" "l" ))("덜"))
((("D" "e" "o" "l" "m" ))("덞"))
((("D" "e" "o" "l" "b" ))("덟"))
((("D" "e" "o" "b" ))("덥"))
((("D" "e" "o" "g" ))("덕"))
((("D" "e" "o" "n" ))("던"))
((("D" "e" "o" "s" ))("덧"))
((("D" "e" "o" "p" ))("덮"))
((("D" "a" ))("다"))
((("D" "a" "g" "g" ))("닦"))
((("D" "a" "s" "s" ))("닸"))
((("D" "a" "m" ))("담"))
((("D" "a" "c" "h" ))("닻"))
((("D" "a" "n" "g" ))("당"))
((("D" "a" "d" ))("닫"))
((("D" "a" "l" ))("달"))
((("D" "a" "l" "m" ))("닮"))
((("D" "a" "l" "h" ))("닳"))
((("D" "a" "l" "b" ))("닯"))
((("D" "a" "l" "g" ))("닭"))
((("D" "a" "h" ))("닿"))
((("D" "a" "b" ))("답"))
((("D" "a" "g" ))("닥"))
((("D" "a" "n" ))("단"))
((("D" "a" "s" ))("닷"))
((("D" "a" "j" ))("닺"))
((("D" "i" ))("디"))
((("D" "i" "s" "s" ))("딨"))
((("D" "i" "m" ))("딤"))
((("D" "i" "n" "g" ))("딩"))
((("D" "i" "d" ))("딛"))
((("D" "i" "l" ))("딜"))
((("D" "i" "b" ))("딥"))
((("D" "i" "g" ))("딕"))
((("D" "i" "n" ))("딘"))
((("D" "i" "s" ))("딧"))
((("D" "i" "j" ))("딪"))
((("D" "e" "u" ))("드"))
((("D" "e" "u" "m" ))("듬"))
((("D" "e" "u" "n" "g" ))("등"))
((("D" "e" "u" "d" ))("듣"))
((("D" "e" "u" "l" ))("들"))
((("D" "e" "u" "l" "m" ))("듦"))
((("D" "e" "u" "i" ))("듸"))
((("D" "e" "u" "b" ))("듭"))
((("D" "e" "u" "g" ))("득"))
((("D" "e" "u" "n" ))("든"))
((("D" "e" "u" "s" ))("듯"))
((("D" "u" ))("두"))
((("D" "u" "m" ))("둠"))
((("D" "u" "n" "g" ))("둥"))
((("D" "u" "l" ))("둘"))
((("D" "u" "e" "o" ))("둬"))
((("D" "u" "e" "o" "s" "s" ))("뒀"))
((("D" "u" "i" ))("뒤"))
((("D" "u" "i" "n" "g" ))("뒹"))
((("D" "u" "i" "l" ))("뒬"))
((("D" "u" "i" "b" ))("뒵"))
((("D" "u" "i" "n" ))("뒨"))
((("D" "u" "i" "s" ))("뒷"))
((("D" "u" "e" ))("뒈"))
((("D" "u" "e" "n" "g" ))("뒝"))
((("D" "u" "b" ))("둡"))
((("D" "u" "g" ))("둑"))
((("D" "u" "n" ))("둔"))
((("D" "u" "s" ))("둣"))
((("D" "a" "e" ))("대"))
((("D" "a" "e" "s" "s" ))("댔"))
((("D" "a" "e" "m" ))("댐"))
((("D" "a" "e" "n" "g" ))("댕"))
((("D" "a" "e" "l" ))("댈"))
((("D" "a" "e" "b" ))("댑"))
((("D" "a" "e" "g" ))("댁"))
((("D" "a" "e" "n" ))("댄"))
((("D" "a" "e" "s" ))("댓"))
((("D" "e" ))("데"))
((("D" "e" "s" "s" ))("뎄"))
((("D" "e" "m" ))("뎀"))
((("D" "e" "n" "g" ))("뎅"))
((("D" "e" "l" ))("델"))
((("D" "e" "b" ))("뎁"))
((("D" "e" "g" ))("덱"))
((("D" "e" "n" ))("덴"))
((("D" "e" "s" ))("뎃"))
((("D" "y" "e" "o" ))("뎌"))
((("D" "y" "e" "o" "s" "s" ))("뎠"))
((("D" "y" "e" "o" "n" "g" ))("뎡"))
((("D" "y" "e" "o" "l" ))("뎔"))
((("D" "y" "e" "o" "n" ))("뎐"))
((("D" "y" "o" ))("됴"))
((("L" ))("ㄹ"))
((("L" "y" "e" ))("례"))
((("L" "y" "e" "b" ))("롑"))
((("L" "y" "e" "n" ))("롄"))
((("L" "y" "e" "s" ))("롓"))
((("L" "y" "u" ))("류"))
((("L" "y" "u" "m" ))("륨"))
((("L" "y" "u" "n" "g" ))("륭"))
((("L" "y" "u" "l" ))("률"))
((("L" "y" "u" "b" ))("륩"))
((("L" "y" "u" "g" ))("륙"))
((("L" "y" "u" "n" ))("륜"))
((("L" "y" "u" "s" ))("륫"))
((("L" "o" ))("로"))
((("L" "o" "m" ))("롬"))
((("L" "o" "n" "g" ))("롱"))
((("L" "o" "l" ))("롤"))
((("L" "o" "a" ))("롸"))
((("L" "o" "a" "n" "g" ))("뢍"))
((("L" "o" "a" "n" ))("롼"))
((("L" "o" "i" ))("뢰"))
((("L" "o" "i" "m" ))("룀"))
((("L" "o" "i" "n" "g" ))("룅"))
((("L" "o" "i" "l" ))("뢸"))
((("L" "o" "i" "b" ))("룁"))
((("L" "o" "i" "n" ))("뢴"))
((("L" "o" "i" "s" ))("룃"))
((("L" "o" "a" "e" "s" "s" ))("뢨"))
((("L" "o" "b" ))("롭"))
((("L" "o" "g" ))("록"))
((("L" "o" "n" ))("론"))
((("L" "o" "s" ))("롯"))
((("L" "y" "a" ))("랴"))
((("L" "y" "a" "n" "g" ))("량"))
((("L" "y" "a" "g" ))("략"))
((("L" "y" "a" "n" ))("랸"))
((("L" "y" "a" "s" ))("럇"))
((("L" "e" "o" ))("러"))
((("L" "e" "o" "s" "s" ))("렀"))
((("L" "e" "o" "m" ))("럼"))
((("L" "e" "o" "n" "g" ))("렁"))
((("L" "e" "o" "l" ))("럴"))
((("L" "e" "o" "h" ))("렇"))
((("L" "e" "o" "b" ))("럽"))
((("L" "e" "o" "g" ))("럭"))
((("L" "e" "o" "n" ))("런"))
((("L" "e" "o" "s" ))("럿"))
((("L" "a" ))("라"))
((("L" "a" "s" "s" ))("랐"))
((("L" "a" "m" ))("람"))
((("L" "a" "n" "g" ))("랑"))
((("L" "a" "l" ))("랄"))
((("L" "a" "h" ))("랗"))
((("L" "a" "b" ))("랍"))
((("L" "a" "g" ))("락"))
((("L" "a" "n" ))("란"))
((("L" "a" "s" ))("랏"))
((("L" "a" "p" ))("랖"))
((("L" "a" "j" ))("랒"))
((("L" "i" ))("리"))
((("L" "i" "m" ))("림"))
((("L" "i" "n" "g" ))("링"))
((("L" "i" "l" ))("릴"))
((("L" "i" "b" ))("립"))
((("L" "i" "g" ))("릭"))
((("L" "i" "n" ))("린"))
((("L" "i" "s" ))("릿"))
((("L" "e" "u" ))("르"))
((("L" "e" "u" "m" ))("름"))
((("L" "e" "u" "n" "g" ))("릉"))
((("L" "e" "u" "l" ))("를"))
((("L" "e" "u" "b" ))("릅"))
((("L" "e" "u" "g" ))("륵"))
((("L" "e" "u" "n" ))("른"))
((("L" "e" "u" "s" ))("릇"))
((("L" "e" "u" "p" ))("릎"))
((("L" "e" "u" "j" ))("릊"))
((("L" "e" "u" "t" ))("릍"))
((("L" "u" ))("루"))
((("L" "u" "m" ))("룸"))
((("L" "u" "n" "g" ))("룽"))
((("L" "u" "l" ))("룰"))
((("L" "u" "e" "o" ))("뤄"))
((("L" "u" "e" "o" "s" "s" ))("뤘"))
((("L" "u" "i" ))("뤼"))
((("L" "u" "i" "m" ))("륌"))
((("L" "u" "i" "n" "g" ))("륑"))
((("L" "u" "i" "l" ))("륄"))
((("L" "u" "i" "g" ))("뤽"))
((("L" "u" "i" "n" ))("륀"))
((("L" "u" "i" "s" ))("륏"))
((("L" "u" "e" ))("뤠"))
((("L" "u" "b" ))("룹"))
((("L" "u" "g" ))("룩"))
((("L" "u" "n" ))("룬"))
((("L" "u" "s" ))("룻"))
((("L" "a" "e" ))("래"))
((("L" "a" "e" "s" "s" ))("랬"))
((("L" "a" "e" "m" ))("램"))
((("L" "a" "e" "n" "g" ))("랭"))
((("L" "a" "e" "l" ))("랠"))
((("L" "a" "e" "b" ))("랩"))
((("L" "a" "e" "g" ))("랙"))
((("L" "a" "e" "n" ))("랜"))
((("L" "a" "e" "s" ))("랫"))
((("L" "e" ))("레"))
((("L" "e" "m" ))("렘"))
((("L" "e" "n" "g" ))("렝"))
((("L" "e" "l" ))("렐"))
((("L" "e" "b" ))("렙"))
((("L" "e" "g" ))("렉"))
((("L" "e" "n" ))("렌"))
((("L" "e" "s" ))("렛"))
((("L" "y" "e" "o" ))("려"))
((("L" "y" "e" "o" "s" "s" ))("렸"))
((("L" "y" "e" "o" "m" ))("렴"))
((("L" "y" "e" "o" "n" "g" ))("령"))
((("L" "y" "e" "o" "l" ))("렬"))
((("L" "y" "e" "o" "b" ))("렵"))
((("L" "y" "e" "o" "g" ))("력"))
((("L" "y" "e" "o" "n" ))("련"))
((("L" "y" "e" "o" "s" ))("렷"))
((("L" "y" "o" ))("료"))
((("L" "y" "o" "n" "g" ))("룡"))
((("L" "y" "o" "l" ))("룔"))
((("L" "y" "o" "b" ))("룝"))
((("L" "y" "o" "n" ))("룐"))
((("L" "y" "o" "s" ))("룟"))
((("H" ))("ㅎ"))
((("H" "y" "e" ))("혜"))
((("H" "y" "e" "l" ))("혤"))
((("H" "y" "e" "b" ))("혭"))
((("H" "y" "e" "n" ))("혠"))
((("H" "y" "u" ))("휴"))
((("H" "y" "u" "m" ))("흄"))
((("H" "y" "u" "n" "g" ))("흉"))
((("H" "y" "u" "l" ))("휼"))
((("H" "y" "u" "g" ))("휵"))
((("H" "y" "u" "n" ))("휸"))
((("H" "y" "u" "s" ))("흇"))
((("H" "o" ))("호"))
((("H" "o" "m" ))("홈"))
((("H" "o" "n" "g" ))("홍"))
((("H" "o" "l" ))("홀"))
((("H" "o" "l" "t" ))("홅"))
((("H" "o" "a" ))("화"))
((("H" "o" "a" "n" "g" ))("황"))
((("H" "o" "a" "l" ))("활"))
((("H" "o" "a" "g" ))("확"))
((("H" "o" "a" "n" ))("환"))
((("H" "o" "a" "s" ))("홧"))
((("H" "o" "i" ))("회"))
((("H" "o" "i" "n" "g" ))("횡"))
((("H" "o" "i" "l" ))("횔"))
((("H" "o" "i" "b" ))("횝"))
((("H" "o" "i" "g" ))("획"))
((("H" "o" "i" "n" ))("횐"))
((("H" "o" "i" "s" ))("횟"))
((("H" "o" "a" "e" ))("홰"))
((("H" "o" "a" "e" "n" "g" ))("횅"))
((("H" "o" "a" "e" "g" ))("홱"))
((("H" "o" "a" "e" "n" ))("홴"))
((("H" "o" "a" "e" "s" ))("횃"))
((("H" "o" "b" ))("홉"))
((("H" "o" "g" ))("혹"))
((("H" "o" "n" ))("혼"))
((("H" "o" "s" ))("홋"))
((("H" "o" "t" ))("홑"))
((("H" "y" "a" ))("햐"))
((("H" "y" "a" "n" "g" ))("향"))
((("H" "e" "o" ))("허"))
((("H" "e" "o" "m" ))("험"))
((("H" "e" "o" "n" "g" ))("헝"))
((("H" "e" "o" "l" ))("헐"))
((("H" "e" "o" "l" "m" ))("헒"))
((("H" "e" "o" "b" ))("헙"))
((("H" "e" "o" "g" ))("헉"))
((("H" "e" "o" "n" ))("헌"))
((("H" "e" "o" "s" ))("헛"))
((("H" "a" ))("하"))
((("H" "a" "m" ))("함"))
((("H" "a" "n" "g" ))("항"))
((("H" "a" "l" ))("할"))
((("H" "a" "l" "t" ))("핥"))
((("H" "a" "b" ))("합"))
((("H" "a" "g" ))("학"))
((("H" "a" "n" ))("한"))
((("H" "a" "s" ))("핫"))
((("H" "i" ))("히"))
((("H" "i" "m" ))("힘"))
((("H" "i" "n" "g" ))("힝"))
((("H" "i" "l" ))("힐"))
((("H" "i" "b" ))("힙"))
((("H" "i" "g" ))("힉"))
((("H" "i" "n" ))("힌"))
((("H" "i" "s" ))("힛"))
((("H" "e" "u" ))("흐"))
((("H" "e" "u" "m" ))("흠"))
((("H" "e" "u" "n" "g" ))("흥"))
((("H" "e" "u" "d" ))("흗"))
((("H" "e" "u" "l" ))("흘"))
((("H" "e" "u" "l" "g" ))("흙"))
((("H" "e" "u" "i" ))("희"))
((("H" "e" "u" "i" "m" ))("흼"))
((("H" "e" "u" "i" "n" "g" ))("힁"))
((("H" "e" "u" "i" "l" ))("흴"))
((("H" "e" "u" "i" "b" ))("흽"))
((("H" "e" "u" "i" "n" ))("흰"))
((("H" "e" "u" "b" ))("흡"))
((("H" "e" "u" "g" ))("흑"))
((("H" "e" "u" "n" ))("흔"))
((("H" "e" "u" "n" "h" ))("흖"))
((("H" "e" "u" "s" ))("흣"))
((("H" "e" "u" "t" ))("흩"))
((("H" "u" ))("후"))
((("H" "u" "m" ))("훔"))
((("H" "u" "n" "g" ))("훙"))
((("H" "u" "l" ))("훌"))
((("H" "u" "l" "t" ))("훑"))
((("H" "u" "e" "o" ))("훠"))
((("H" "u" "e" "o" "m" ))("훰"))
((("H" "u" "e" "o" "n" "g" ))("훵"))
((("H" "u" "e" "o" "l" ))("훨"))
((("H" "u" "e" "o" "n" ))("훤"))
((("H" "u" "i" ))("휘"))
((("H" "u" "i" "m" ))("휨"))
((("H" "u" "i" "n" "g" ))("휭"))
((("H" "u" "i" "l" ))("휠"))
((("H" "u" "i" "b" ))("휩"))
((("H" "u" "i" "g" ))("휙"))
((("H" "u" "i" "n" ))("휜"))
((("H" "u" "i" "s" ))("휫"))
((("H" "u" "e" ))("훼"))
((("H" "u" "e" "n" "g" ))("휑"))
((("H" "u" "e" "l" ))("휄"))
((("H" "u" "e" "g" ))("훽"))
((("H" "u" "e" "n" ))("휀"))
((("H" "u" "g" ))("훅"))
((("H" "u" "n" ))("훈"))
((("H" "u" "s" ))("훗"))
((("H" "a" "e" ))("해"))
((("H" "a" "e" "s" "s" ))("했"))
((("H" "a" "e" "m" ))("햄"))
((("H" "a" "e" "n" "g" ))("행"))
((("H" "a" "e" "l" ))("핼"))
((("H" "a" "e" "b" ))("햅"))
((("H" "a" "e" "g" ))("핵"))
((("H" "a" "e" "n" ))("핸"))
((("H" "a" "e" "s" ))("햇"))
((("H" "e" ))("헤"))
((("H" "e" "m" ))("헴"))
((("H" "e" "n" "g" ))("헹"))
((("H" "e" "l" ))("헬"))
((("H" "e" "b" ))("헵"))
((("H" "e" "g" ))("헥"))
((("H" "e" "n" ))("헨"))
((("H" "e" "s" ))("헷"))
((("H" "y" "e" "o" ))("혀"))
((("H" "y" "e" "o" "s" "s" ))("혔"))
((("H" "y" "e" "o" "m" ))("혐"))
((("H" "y" "e" "o" "n" "g" ))("형"))
((("H" "y" "e" "o" "l" ))("혈"))
((("H" "y" "e" "o" "b" ))("협"))
((("H" "y" "e" "o" "g" ))("혁"))
((("H" "y" "e" "o" "n" ))("현"))
((("H" "y" "e" "o" "s" ))("혓"))
((("H" "y" "o" ))("효"))
((("H" "y" "o" "l" ))("횰"))
((("H" "y" "o" "b" ))("횹"))
((("H" "y" "o" "n" ))("횬"))
((("H" "y" "o" "s" ))("횻"))
((("O" ))("ㅗ"))
((("Y" "a" ))("ㅑ"))
((("E" "o" ))("ㅓ"))
((("A" ))("ㅏ"))
((("I" ))("ㅣ"))
((("E" "u" ))("ㅡ"))
((("U" ))("ㅜ"))
((("A" "e" ))("ㅐ"))
((("E" ))("ㅔ"))
((("B" ))("ㅂ"))
((("B" "y" "e" ))("볘"))
((("B" "y" "e" "n" ))("볜"))
((("B" "y" "u" ))("뷰"))
((("B" "y" "u" "m" ))("븀"))
((("B" "y" "u" "n" "g" ))("븅"))
((("B" "y" "u" "l" ))("뷸"))
((("B" "y" "u" "n" ))("뷴"))
((("B" "y" "u" "s" ))("븃"))
((("B" "o" ))("보"))
((("B" "o" "g" "g" ))("볶"))
((("B" "o" "m" ))("봄"))
((("B" "o" "n" "g" ))("봉"))
((("B" "o" "l" ))("볼"))
((("B" "o" "a" ))("봐"))
((("B" "o" "a" "s" "s" ))("봤"))
((("B" "o" "a" "n" ))("봔"))
((("B" "o" "i" ))("뵈"))
((("B" "o" "i" "m" ))("뵘"))
((("B" "o" "i" "l" ))("뵐"))
((("B" "o" "i" "b" ))("뵙"))
((("B" "o" "i" "g" ))("뵉"))
((("B" "o" "i" "n" ))("뵌"))
((("B" "o" "a" "e" ))("봬"))
((("B" "o" "a" "e" "s" "s" ))("뵀"))
((("B" "o" "b" ))("봅"))
((("B" "o" "g" ))("복"))
((("B" "o" "n" ))("본"))
((("B" "o" "s" ))("봇"))
((("B" "y" "a" ))("뱌"))
((("B" "y" "a" "b" ))("뱝"))
((("B" "y" "a" "g" ))("뱍"))
((("B" "y" "a" "n" ))("뱐"))
((("B" "e" "o" ))("버"))
((("B" "e" "o" "m" ))("범"))
((("B" "e" "o" "n" "g" ))("벙"))
((("B" "e" "o" "d" ))("벋"))
((("B" "e" "o" "l" ))("벌"))
((("B" "e" "o" "l" "m" ))("벎"))
((("B" "e" "o" "b" ))("법"))
((("B" "e" "o" "g" ))("벅"))
((("B" "e" "o" "n" ))("번"))
((("B" "e" "o" "s" ))("벗"))
((("B" "e" "o" "j" ))("벚"))
((("B" "a" ))("바"))
((("B" "a" "g" "g" ))("밖"))
((("B" "a" "m" ))("밤"))
((("B" "a" "n" "g" ))("방"))
((("B" "a" "d" ))("받"))
((("B" "a" "l" ))("발"))
((("B" "a" "l" "m" ))("밞"))
((("B" "a" "l" "b" ))("밟"))
((("B" "a" "l" "g" ))("밝"))
((("B" "a" "b" ))("밥"))
((("B" "a" "g" ))("박"))
((("B" "a" "g" "s" ))("밗"))
((("B" "a" "n" ))("반"))
((("B" "a" "s" ))("밧"))
((("B" "a" "t" ))("밭"))
((("B" "i" ))("비"))
((("B" "i" "m" ))("빔"))
((("B" "i" "c" "h" ))("빛"))
((("B" "i" "n" "g" ))("빙"))
((("B" "i" "l" ))("빌"))
((("B" "i" "l" "m" ))("빎"))
((("B" "i" "b" ))("빕"))
((("B" "i" "g" ))("빅"))
((("B" "i" "n" ))("빈"))
((("B" "i" "s" ))("빗"))
((("B" "i" "j" ))("빚"))
((("B" "e" "u" ))("브"))
((("B" "e" "u" "m" ))("븜"))
((("B" "e" "u" "l" ))("블"))
((("B" "e" "u" "b" ))("븝"))
((("B" "e" "u" "g" ))("븍"))
((("B" "e" "u" "n" ))("븐"))
((("B" "e" "u" "s" ))("븟"))
((("B" "u" ))("부"))
((("B" "u" "m" ))("붐"))
((("B" "u" "n" "g" ))("붕"))
((("B" "u" "d" ))("붇"))
((("B" "u" "l" ))("불"))
((("B" "u" "l" "m" ))("붊"))
((("B" "u" "l" "g" ))("붉"))
((("B" "u" "e" "o" ))("붜"))
((("B" "u" "e" "o" "s" "s" ))("붰"))
((("B" "u" "e" "o" "l" ))("붤"))
((("B" "u" "i" ))("뷔"))
((("B" "u" "i" "n" "g" ))("뷩"))
((("B" "u" "i" "l" ))("뷜"))
((("B" "u" "i" "g" ))("뷕"))
((("B" "u" "i" "n" ))("뷘"))
((("B" "u" "e" ))("붸"))
((("B" "u" "b" ))("붑"))
((("B" "u" "g" ))("북"))
((("B" "u" "n" ))("분"))
((("B" "u" "s" ))("붓"))
((("B" "u" "p" ))("붚"))
((("B" "u" "t" ))("붙"))
((("B" "a" "e" ))("배"))
((("B" "a" "e" "s" "s" ))("뱄"))
((("B" "a" "e" "m" ))("뱀"))
((("B" "a" "e" "n" "g" ))("뱅"))
((("B" "a" "e" "l" ))("밸"))
((("B" "a" "e" "b" ))("뱁"))
((("B" "a" "e" "g" ))("백"))
((("B" "a" "e" "n" ))("밴"))
((("B" "a" "e" "s" ))("뱃"))
((("B" "a" "e" "t" ))("뱉"))
((("B" "e" ))("베"))
((("B" "e" "s" "s" ))("벴"))
((("B" "e" "m" ))("벰"))
((("B" "e" "n" "g" ))("벵"))
((("B" "e" "d" ))("벧"))
((("B" "e" "l" ))("벨"))
((("B" "e" "b" ))("벱"))
((("B" "e" "g" ))("벡"))
((("B" "e" "n" ))("벤"))
((("B" "e" "s" ))("벳"))
((("B" "y" "e" "o" ))("벼"))
((("B" "y" "e" "o" "s" "s" ))("볐"))
((("B" "y" "e" "o" "n" "g" ))("병"))
((("B" "y" "e" "o" "l" ))("별"))
((("B" "y" "e" "o" "b" ))("볍"))
((("B" "y" "e" "o" "g" ))("벽"))
((("B" "y" "e" "o" "n" ))("변"))
((("B" "y" "e" "o" "s" ))("볏"))
((("B" "y" "e" "o" "t" ))("볕"))
((("B" "y" "o" ))("뵤"))
((("B" "y" "o" "n" ))("뵨"))
((("G" ))("ㄱ"))
((("G" "y" "a" "e" ))("걔"))
((("G" "y" "a" "e" "l" ))("걜"))
((("G" "y" "a" "e" "n" ))("걘"))
((("G" "y" "e" ))("계"))
((("G" "y" "e" "l" ))("곌"))
((("G" "y" "e" "b" ))("곕"))
((("G" "y" "e" "n" ))("곈"))
((("G" "y" "e" "s" ))("곗"))
((("G" "y" "u" ))("규"))
((("G" "y" "u" "l" ))("귤"))
((("G" "y" "u" "n" ))("균"))
((("G" "o" ))("고"))
((("G" "o" "m" ))("곰"))
((("G" "o" "n" "g" ))("공"))
((("G" "o" "d" ))("곧"))
((("G" "o" "l" ))("골"))
((("G" "o" "l" "m" ))("곪"))
((("G" "o" "l" "h" ))("곯"))
((("G" "o" "l" "s" ))("곬"))
((("G" "o" "a" ))("과"))
((("G" "o" "a" "m" ))("괌"))
((("G" "o" "a" "n" "g" ))("광"))
((("G" "o" "a" "l" ))("괄"))
((("G" "o" "a" "l" "m" "" "g" "o" "a" "b" ))("괆"))
((("G" "o" "a" "b" ))("괍"))
((("G" "o" "a" "g" ))("곽"))
((("G" "o" "a" "n" ))("관"))
((("G" "o" "a" "s" ))("괏"))
((("G" "o" "i" ))("괴"))
((("G" "o" "i" "m" ))("굄"))
((("G" "o" "i" "n" "g" ))("굉"))
((("G" "o" "i" "l" ))("괼"))
((("G" "o" "i" "b" ))("굅"))
((("G" "o" "i" "g" ))("괵"))
((("G" "o" "i" "n" ))("괸"))
((("G" "o" "i" "s" ))("굇"))
((("G" "o" "a" "e" ))("괘"))
((("G" "o" "a" "e" "s" "s" ))("괬"))
((("G" "o" "a" "e" "n" "g" ))("괭"))
((("G" "o" "a" "e" "l" ))("괠"))
((("G" "o" "a" "e" "b" ))("괩"))
((("G" "o" "a" "e" "n" ))("괜"))
((("G" "o" "b" ))("곱"))
((("G" "o" "g" ))("곡"))
((("G" "o" "n" ))("곤"))
((("G" "o" "s" ))("곳"))
((("G" "o" "j" ))("곶"))
((("G" "y" "a" ))("갸"))
((("G" "y" "a" "n" "g" ))("걍"))
((("G" "y" "a" "l" ))("걀"))
((("G" "y" "a" "g" ))("갹"))
((("G" "y" "a" "n" ))("갼"))
((("G" "y" "a" "s" ))("걋"))
((("G" "e" "o" ))("거"))
((("G" "e" "o" "s" "s" ))("겄"))
((("G" "e" "o" "m" ))("검"))
((("G" "e" "o" "n" "g" ))("겅"))
((("G" "e" "o" "d" ))("걷"))
((("G" "e" "o" "l" ))("걸"))
((("G" "e" "o" "l" "m" ))("걺"))
((("G" "e" "o" "h" ))("겋"))
((("G" "e" "o" "b" ))("겁"))
((("G" "e" "o" "g" ))("걱"))
((("G" "e" "o" "n" ))("건"))
((("G" "e" "o" "s" ))("것"))
((("G" "e" "o" "p" ))("겊"))
((("G" "e" "o" "j" ))("겆"))
((("G" "e" "o" "t" ))("겉"))
((("G" "a" ))("가"))
((("G" "a" "s" "s" ))("갔"))
((("G" "a" "m" ))("감"))
((("G" "a" "c" "h" ))("갗"))
((("G" "a" "n" "g" ))("강"))
((("G" "a" "d" ))("갇"))
((("G" "a" "l" ))("갈"))
((("G" "a" "l" "m" ))("갊"))
((("G" "a" "l" "g" ))("갉"))
((("G" "a" "h" ))("갛"))
((("G" "a" "b" ))("갑"))
((("G" "a" "b" "s" ))("값"))
((("G" "a" "g" ))("각"))
((("G" "a" "n" ))("간"))
((("G" "a" "s" ))("갓"))
((("G" "a" "p" ))("갚"))
((("G" "a" "j" ))("갖"))
((("G" "a" "t" ))("같"))
((("G" "i" ))("기"))
((("G" "i" "m" ))("김"))
((("G" "i" "n" "g" ))("깅"))
((("G" "i" "d" ))("긷"))
((("G" "i" "l" ))("길"))
((("G" "i" "l" "m" ))("긺"))
((("G" "i" "b" ))("깁"))
((("G" "i" "g" ))("긱"))
((("G" "i" "n" ))("긴"))
((("G" "i" "s" ))("깃"))
((("G" "i" "p" ))("깊"))
((("G" "i" "j" ))("깆"))
((("G" "e" "u" ))("그"))
((("G" "e" "u" "m" ))("금"))
((("G" "e" "u" "n" "g" ))("긍"))
((("G" "e" "u" "d" ))("귿"))
((("G" "e" "u" "l" ))("글"))
((("G" "e" "u" "l" "g" ))("긁"))
((("G" "e" "u" "i" ))("긔"))
((("G" "e" "u" "b" ))("급"))
((("G" "e" "u" "g" ))("극"))
((("G" "e" "u" "n" ))("근"))
((("G" "e" "u" "s" ))("긋"))
((("G" "u" ))("구"))
((("G" "u" "m" ))("굼"))
((("G" "u" "n" "g" ))("궁"))
((("G" "u" "d" ))("굳"))
((("G" "u" "l" ))("굴"))
((("G" "u" "l" "m" ))("굶"))
((("G" "u" "l" "h" ))("굻"))
((("G" "u" "l" "g" ))("굵"))
((("G" "u" "e" "o" ))("궈"))
((("G" "u" "e" "o" "s" "s" ))("궜"))
((("G" "u" "e" "o" "n" "g" ))("궝"))
((("G" "u" "e" "o" "l" ))("궐"))
((("G" "u" "e" "o" "g" ))("궉"))
((("G" "u" "e" "o" "n" ))("권"))
((("G" "u" "i" ))("귀"))
((("G" "u" "i" "m" ))("귐"))
((("G" "u" "i" "l" ))("귈"))
((("G" "u" "i" "b" ))("귑"))
((("G" "u" "i" "g" ))("귁"))
((("G" "u" "i" "n" ))("귄"))
((("G" "u" "i" "s" ))("귓"))
((("G" "u" "e" ))("궤"))
((("G" "u" "e" "s" ))("궷"))
((("G" "u" "b" ))("굽"))
((("G" "u" "g" ))("국"))
((("G" "u" "n" ))("군"))
((("G" "u" "s" ))("굿"))
((("G" "u" "j" ))("궂"))
((("G" "a" "e" ))("개"))
((("G" "a" "e" "s" "s" ))("갰"))
((("G" "a" "e" "m" ))("갬"))
((("G" "a" "e" "n" "g" ))("갱"))
((("G" "a" "e" "l" ))("갤"))
((("G" "a" "e" "b" ))("갭"))
((("G" "a" "e" "g" ))("객"))
((("G" "a" "e" "n" ))("갠"))
((("G" "a" "e" "s" ))("갯"))
((("G" "e" ))("게"))
((("G" "e" "s" "s" ))("겠"))
((("G" "e" "m" ))("겜"))
((("G" "e" "n" "g" ))("겡"))
((("G" "e" "l" ))("겔"))
((("G" "e" "b" ))("겝"))
((("G" "e" "n" ))("겐"))
((("G" "e" "s" ))("겟"))
((("G" "y" "e" "o" ))("겨"))
((("G" "y" "e" "o" "g" "g" ))("겪"))
((("G" "y" "e" "o" "s" "s" ))("겼"))
((("G" "y" "e" "o" "m" ))("겸"))
((("G" "y" "e" "o" "n" "g" ))("경"))
((("G" "y" "e" "o" "d" ))("겯"))
((("G" "y" "e" "o" "l" ))("결"))
((("G" "y" "e" "o" "b" ))("겹"))
((("G" "y" "e" "o" "g" ))("격"))
((("G" "y" "e" "o" "n" ))("견"))
((("G" "y" "e" "o" "s" ))("겻"))
((("G" "y" "e" "o" "t" ))("곁"))
((("G" "y" "o" ))("교"))
((("G" "y" "o" "l" ))("굘"))
((("G" "y" "o" "b" ))("굡"))
((("G" "y" "o" "n" ))("굔"))
((("G" "y" "o" "s" ))("굣"))
((("N" ))("ㄴ"))
((("N" "y" "e" ))("녜"))
((("N" "y" "e" "n" ))("녠"))
((("N" "y" "u" ))("뉴"))
((("N" "y" "u" "m" ))("늄"))
((("N" "y" "u" "n" "g" ))("늉"))
((("N" "y" "u" "l" ))("뉼"))
((("N" "y" "u" "b" ))("늅"))
((("N" "y" "u" "g" ))("뉵"))
((("N" "o" ))("노"))
((("N" "o" "m" ))("놈"))
((("N" "o" "n" "g" ))("농"))
((("N" "o" "l" ))("놀"))
((("N" "o" "l" "m" ))("놂"))
((("N" "o" "h" ))("놓"))
((("N" "o" "a" ))("놔"))
((("N" "o" "a" "s" "s" ))("놨"))
((("N" "o" "a" "l" ))("놜"))
((("N" "o" "a" "n" ))("놘"))
((("N" "o" "i" ))("뇌"))
((("N" "o" "i" "m" ))("뇜"))
((("N" "o" "i" "l" ))("뇔"))
((("N" "o" "i" "b" ))("뇝"))
((("N" "o" "i" "n" ))("뇐"))
((("N" "o" "i" "s" ))("뇟"))
((("N" "o" "b" ))("놉"))
((("N" "o" "g" ))("녹"))
((("N" "o" "n" ))("논"))
((("N" "o" "s" ))("놋"))
((("N" "o" "p" ))("높"))
((("N" "y" "a" ))("냐"))
((("N" "y" "a" "m" ))("냠"))
((("N" "y" "a" "n" "g" ))("냥"))
((("N" "y" "a" "l" ))("냘"))
((("N" "y" "a" "g" ))("냑"))
((("N" "y" "a" "n" ))("냔"))
((("N" "e" "o" ))("너"))
((("N" "e" "o" "s" "s" ))("넜"))
((("N" "e" "o" "m" ))("넘"))
((("N" "e" "o" "n" "g" ))("넝"))
((("N" "e" "o" "l" ))("널"))
((("N" "e" "o" "l" "m" ))("넒"))
((("N" "e" "o" "l" "b" ))("넓"))
((("N" "e" "o" "h" ))("넣"))
((("N" "e" "o" "b" ))("넙"))
((("N" "e" "o" "g" ))("넉"))
((("N" "e" "o" "g" "s" ))("넋"))
((("N" "e" "o" "n" ))("넌"))
((("N" "e" "o" "s" ))("넛"))
((("N" "a" ))("나"))
((("N" "a" "g" "g" ))("낚"))
((("N" "a" "s" "s" ))("났"))
((("N" "a" "m" ))("남"))
((("N" "a" "c" "h" ))("낯"))
((("N" "a" "n" "g" ))("낭"))
((("N" "a" "d" ))("낟"))
((("N" "a" "l" ))("날"))
((("N" "a" "l" "m" ))("낢"))
((("N" "a" "l" "g" ))("낡"))
((("N" "a" "h" ))("낳"))
((("N" "a" "b" ))("납"))
((("N" "a" "g" ))("낙"))
((("N" "a" "n" ))("난"))
((("N" "a" "s" ))("낫"))
((("N" "a" "j" ))("낮"))
((("N" "a" "t" ))("낱"))
((("N" "i" ))("니"))
((("N" "i" "m" ))("님"))
((("N" "i" "n" "g" ))("닝"))
((("N" "i" "l" ))("닐"))
((("N" "i" "l" "m" ))("닒"))
((("N" "i" "b" ))("닙"))
((("N" "i" "g" ))("닉"))
((("N" "i" "n" ))("닌"))
((("N" "i" "s" ))("닛"))
((("N" "i" "p" ))("닢"))
((("N" "e" "u" ))("느"))
((("N" "e" "u" "m" ))("늠"))
((("N" "e" "u" "n" "g" ))("능"))
((("N" "e" "u" "l" ))("늘"))
((("N" "e" "u" "l" "m" ))("늚"))
((("N" "e" "u" "l" "g" ))("늙"))
((("N" "e" "u" "i" ))("늬"))
((("N" "e" "u" "i" "l" ))("늴"))
((("N" "e" "u" "i" "n" ))("늰"))
((("N" "e" "u" "b" ))("늡"))
((("N" "e" "u" "g" ))("늑"))
((("N" "e" "u" "n" ))("는"))
((("N" "e" "u" "s" ))("늣"))
((("N" "e" "u" "p" ))("늪"))
((("N" "e" "u" "j" ))("늦"))
((("N" "u" ))("누"))
((("N" "u" "m" ))("눔"))
((("N" "u" "n" "g" ))("눙"))
((("N" "u" "d" ))("눋"))
((("N" "u" "l" ))("눌"))
((("N" "u" "e" "o" ))("눠"))
((("N" "u" "e" "o" "s" "s" ))("눴"))
((("N" "u" "i" ))("뉘"))
((("N" "u" "i" "m" ))("뉨"))
((("N" "u" "i" "l" ))("뉠"))
((("N" "u" "i" "b" ))("뉩"))
((("N" "u" "i" "n" ))("뉜"))
((("N" "u" "e" ))("눼"))
((("N" "u" "b" ))("눕"))
((("N" "u" "g" ))("눅"))
((("N" "u" "n" ))("눈"))
((("N" "u" "s" ))("눗"))
((("N" "a" "e" ))("내"))
((("N" "a" "e" "s" "s" ))("냈"))
((("N" "a" "e" "m" ))("냄"))
((("N" "a" "e" "n" "g" ))("냉"))
((("N" "a" "e" "l" ))("낼"))
((("N" "a" "e" "b" ))("냅"))
((("N" "a" "e" "g" ))("낵"))
((("N" "a" "e" "n" ))("낸"))
((("N" "a" "e" "s" ))("냇"))
((("N" "e" ))("네"))
((("N" "e" "s" "s" ))("넸"))
((("N" "e" "m" ))("넴"))
((("N" "e" "n" "g" ))("넹"))
((("N" "e" "l" ))("넬"))
((("N" "e" "b" ))("넵"))
((("N" "e" "g" ))("넥"))
((("N" "e" "n" ))("넨"))
((("N" "e" "s" ))("넷"))
((("N" "y" "e" "o" ))("녀"))
((("N" "y" "e" "o" "s" "s" ))("녔"))
((("N" "y" "e" "o" "m" ))("념"))
((("N" "y" "e" "o" "n" "g" ))("녕"))
((("N" "y" "e" "o" "l" ))("녈"))
((("N" "y" "e" "o" "b" ))("녑"))
((("N" "y" "e" "o" "g" ))("녁"))
((("N" "y" "e" "o" "n" ))("년"))
((("N" "y" "e" "o" "k" ))("녘"))
((("N" "y" "o" ))("뇨"))
((("N" "y" "o" "n" "g" ))("뇽"))
((("N" "y" "o" "l" ))("뇰"))
((("N" "y" "o" "b" ))("뇹"))
((("N" "y" "o" "g" ))("뇩"))
((("N" "y" "o" "n" ))("뇬"))
((("N" "y" "o" "s" ))("뇻"))
((("S" ))("ㅅ"))
((("S" "y" "a" "e" ))("섀"))
((("S" "y" "a" "e" "m" ))("섐"))
((("S" "y" "a" "e" "n" "g" ))("섕"))
((("S" "y" "a" "e" "l" ))("섈"))
((("S" "y" "a" "e" "n" ))("섄"))
((("S" "y" "e" ))("셰"))
((("S" "y" "e" "n" "g" ))("솅"))
((("S" "y" "e" "l" ))("셸"))
((("S" "y" "e" "n" ))("셴"))
((("S" "y" "u" ))("슈"))
((("S" "y" "u" "m" ))("슘"))
((("S" "y" "u" "n" "g" ))("슝"))
((("S" "y" "u" "l" ))("슐"))
((("S" "y" "u" "g" ))("슉"))
((("S" "y" "u" "s" ))("슛"))
((("S" "o" ))("소"))
((("S" "o" "g" "g" ))("솎"))
((("S" "o" "m" ))("솜"))
((("S" "o" "n" "g" ))("송"))
((("S" "o" "l" ))("솔"))
((("S" "o" "l" "m" ))("솖"))
((("S" "o" "a" ))("솨"))
((("S" "o" "a" "n" "g" ))("솽"))
((("S" "o" "a" "l" ))("솰"))
((("S" "o" "a" "g" ))("솩"))
((("S" "o" "a" "n" ))("솬"))
((("S" "o" "i" ))("쇠"))
((("S" "o" "i" "m" ))("쇰"))
((("S" "o" "i" "l" ))("쇨"))
((("S" "o" "i" "b" ))("쇱"))
((("S" "o" "i" "n" ))("쇤"))
((("S" "o" "i" "s" ))("쇳"))
((("S" "o" "a" "e" ))("쇄"))
((("S" "o" "a" "e" "s" "s" ))("쇘"))
((("S" "o" "a" "e" "m" ))("쇔"))
((("S" "o" "a" "e" "l" ))("쇌"))
((("S" "o" "a" "e" "n" ))("쇈"))
((("S" "o" "a" "e" "s" ))("쇗"))
((("S" "o" "b" ))("솝"))
((("S" "o" "g" ))("속"))
((("S" "o" "n" ))("손"))
((("S" "o" "s" ))("솟"))
((("S" "o" "t" ))("솥"))
((("S" "y" "a" ))("샤"))
((("S" "y" "a" "m" ))("샴"))
((("S" "y" "a" "n" "g" ))("샹"))
((("S" "y" "a" "l" ))("샬"))
((("S" "y" "a" "b" ))("샵"))
((("S" "y" "a" "g" ))("샥"))
((("S" "y" "a" "n" ))("샨"))
((("S" "y" "a" "s" ))("샷"))
((("S" "e" "o" ))("서"))
((("S" "e" "o" "g" "g" ))("섞"))
((("S" "e" "o" "s" "s" ))("섰"))
((("S" "e" "o" "m" ))("섬"))
((("S" "e" "o" "n" "g" ))("성"))
((("S" "e" "o" "d" ))("섣"))
((("S" "e" "o" "l" ))("설"))
((("S" "e" "o" "l" "m" ))("섦"))
((("S" "e" "o" "l" "b" ))("섧"))
((("S" "e" "o" "b" ))("섭"))
((("S" "e" "o" "g" ))("석"))
((("S" "e" "o" "g" "s" ))("섟"))
((("S" "e" "o" "n" ))("선"))
((("S" "e" "o" "s" ))("섯"))
((("S" "e" "o" "p" ))("섶"))
((("S" "a" ))("사"))
((("S" "a" "s" "s" ))("샀"))
((("S" "a" "m" ))("삼"))
((("S" "a" "n" "g" ))("상"))
((("S" "a" "d" ))("삳"))
((("S" "a" "l" ))("살"))
((("S" "a" "l" "m" ))("삶"))
((("S" "a" "l" "g" ))("삵"))
((("S" "a" "b" ))("삽"))
((("S" "a" "g" ))("삭"))
((("S" "a" "g" "s" ))("삯"))
((("S" "a" "n" ))("산"))
((("S" "a" "s" ))("삿"))
((("S" "a" "t" ))("샅"))
((("S" "i" ))("시"))
((("S" "i" "m" ))("심"))
((("S" "i" "n" "g" ))("싱"))
((("S" "i" "d" ))("싣"))
((("S" "i" "l" ))("실"))
((("S" "i" "l" "h" ))("싫"))
((("S" "i" "b" ))("십"))
((("S" "i" "g" ))("식"))
((("S" "i" "n" ))("신"))
((("S" "i" "s" ))("싯"))
((("S" "i" "p" ))("싶"))
((("S" "e" "u" ))("스"))
((("S" "e" "u" "m" ))("슴"))
((("S" "e" "u" "n" "g" ))("승"))
((("S" "e" "u" "l" ))("슬"))
((("S" "e" "u" "l" "g" ))("슭"))
((("S" "e" "u" "b" ))("습"))
((("S" "e" "u" "g" ))("슥"))
((("S" "e" "u" "n" ))("슨"))
((("S" "e" "u" "s" ))("슷"))
((("S" "u" ))("수"))
((("S" "u" "m" ))("숨"))
((("S" "u" "c" "h" ))("숯"))
((("S" "u" "n" "g" ))("숭"))
((("S" "u" "d" ))("숟"))
((("S" "u" "l" ))("술"))
((("S" "u" "e" "o" ))("숴"))
((("S" "u" "e" "o" "s" "s" ))("쉈"))
((("S" "u" "i" ))("쉬"))
((("S" "u" "i" "m" ))("쉼"))
((("S" "u" "i" "n" "g" ))("슁"))
((("S" "u" "i" "l" ))("쉴"))
((("S" "u" "i" "b" ))("쉽"))
((("S" "u" "i" "g" ))("쉭"))
((("S" "u" "i" "n" ))("쉰"))
((("S" "u" "i" "s" ))("쉿"))
((("S" "u" "e" ))("쉐"))
((("S" "u" "e" "m" ))("쉠"))
((("S" "u" "e" "n" "g" ))("쉥"))
((("S" "u" "e" "l" ))("쉘"))
((("S" "u" "e" "g" ))("쉑"))
((("S" "u" "e" "n" ))("쉔"))
((("S" "u" "b" ))("숩"))
((("S" "u" "g" ))("숙"))
((("S" "u" "n" ))("순"))
((("S" "u" "s" ))("숫"))
((("S" "u" "p" ))("숲"))
((("S" "u" "t" ))("숱"))
((("S" "a" "e" ))("새"))
((("S" "a" "e" "s" "s" ))("샜"))
((("S" "a" "e" "m" ))("샘"))
((("S" "a" "e" "n" "g" ))("생"))
((("S" "a" "e" "l" ))("샐"))
((("S" "a" "e" "b" ))("샙"))
((("S" "a" "e" "g" ))("색"))
((("S" "a" "e" "n" ))("샌"))
((("S" "a" "e" "s" ))("샛"))
((("S" "e" ))("세"))
((("S" "e" "s" "s" ))("셌"))
((("S" "e" "m" ))("셈"))
((("S" "e" "n" "g" ))("셍"))
((("S" "e" "l" ))("셀"))
((("S" "e" "b" ))("셉"))
((("S" "e" "g" ))("섹"))
((("S" "e" "n" ))("센"))
((("S" "e" "s" ))("셋"))
((("S" "y" "e" "o" ))("셔"))
((("S" "y" "e" "o" "s" "s" ))("셨"))
((("S" "y" "e" "o" "m" ))("셤"))
((("S" "y" "e" "o" "n" "g" ))("셩"))
((("S" "y" "e" "o" "l" ))("셜"))
((("S" "y" "e" "o" "b" ))("셥"))
((("S" "y" "e" "o" "g" ))("셕"))
((("S" "y" "e" "o" "n" ))("션"))
((("S" "y" "e" "o" "s" ))("셧"))
((("S" "y" "o" ))("쇼"))
((("S" "y" "o" "m" ))("숌"))
((("S" "y" "o" "n" "g" ))("숑"))
((("S" "y" "o" "l" ))("숄"))
((("S" "y" "o" "b" ))("숍"))
((("S" "y" "o" "g" ))("쇽"))
((("S" "y" "o" "n" ))("숀"))
((("S" "y" "o" "s" ))("숏"))
((("Y" "e" "o" ))("ㅕ"))
((("P" ))("ㅍ"))
((("P" "y" "e" ))("폐"))
((("P" "y" "e" "l" ))("폘"))
((("P" "y" "e" "b" ))("폡"))
((("P" "y" "e" "s" ))("폣"))
((("P" "y" "u" ))("퓨"))
((("P" "y" "u" "m" ))("퓸"))
((("P" "y" "u" "n" "g" ))("퓽"))
((("P" "y" "u" "l" ))("퓰"))
((("P" "y" "u" "n" ))("퓬"))
((("P" "y" "u" "s" ))("퓻"))
((("P" "o" ))("포"))
((("P" "o" "m" ))("폼"))
((("P" "o" "n" "g" ))("퐁"))
((("P" "o" "l" ))("폴"))
((("P" "o" "a" ))("퐈"))
((("P" "o" "a" "n" "g" ))("퐝"))
((("P" "o" "i" ))("푀"))
((("P" "o" "i" "n" ))("푄"))
((("P" "o" "b" ))("폽"))
((("P" "o" "g" ))("폭"))
((("P" "o" "n" ))("폰"))
((("P" "o" "s" ))("폿"))
((("P" "y" "a" ))("퍄"))
((("P" "y" "a" "g" ))("퍅"))
((("P" "e" "o" ))("퍼"))
((("P" "e" "o" "s" "s" ))("펐"))
((("P" "e" "o" "m" ))("펌"))
((("P" "e" "o" "n" "g" ))("펑"))
((("P" "e" "o" "l" ))("펄"))
((("P" "e" "o" "b" ))("펍"))
((("P" "e" "o" "g" ))("퍽"))
((("P" "e" "o" "n" ))("펀"))
((("P" "e" "o" "s" ))("펏"))
((("P" "a" ))("파"))
((("P" "a" "g" "g" ))("팎"))
((("P" "a" "s" "s" ))("팠"))
((("P" "a" "m" ))("팜"))
((("P" "a" "n" "g" ))("팡"))
((("P" "a" "l" ))("팔"))
((("P" "a" "l" "m" ))("팖"))
((("P" "a" "b" ))("팝"))
((("P" "a" "g" ))("팍"))
((("P" "a" "n" ))("판"))
((("P" "a" "s" ))("팟"))
((("P" "a" "t" ))("팥"))
((("P" "i" ))("피"))
((("P" "i" "m" ))("핌"))
((("P" "i" "n" "g" ))("핑"))
((("P" "i" "l" ))("필"))
((("P" "i" "b" ))("핍"))
((("P" "i" "g" ))("픽"))
((("P" "i" "n" ))("핀"))
((("P" "i" "s" ))("핏"))
((("P" "e" "u" ))("프"))
((("P" "e" "u" "m" ))("픔"))
((("P" "e" "u" "l" ))("플"))
((("P" "e" "u" "b" ))("픕"))
((("P" "e" "u" "n" ))("픈"))
((("P" "e" "u" "s" ))("픗"))
((("P" "u" ))("푸"))
((("P" "u" "m" ))("품"))
((("P" "u" "n" "g" ))("풍"))
((("P" "u" "d" ))("푿"))
((("P" "u" "l" ))("풀"))
((("P" "u" "l" "m" ))("풂"))
((("P" "u" "e" "o" ))("풔"))
((("P" "u" "e" "o" "n" "g" ))("풩"))
((("P" "u" "i" ))("퓌"))
((("P" "u" "i" "m" ))("퓜"))
((("P" "u" "i" "l" ))("퓔"))
((("P" "u" "i" "n" ))("퓐"))
((("P" "u" "i" "s" ))("퓟"))
((("P" "u" "b" ))("풉"))
((("P" "u" "g" ))("푹"))
((("P" "u" "n" ))("푼"))
((("P" "u" "s" ))("풋"))
((("P" "a" "e" ))("패"))
((("P" "a" "e" "s" "s" ))("팼"))
((("P" "a" "e" "m" ))("팸"))
((("P" "a" "e" "n" "g" ))("팽"))
((("P" "a" "e" "l" ))("팰"))
((("P" "a" "e" "b" ))("팹"))
((("P" "a" "e" "g" ))("팩"))
((("P" "a" "e" "n" ))("팬"))
((("P" "a" "e" "s" ))("팻"))
((("P" "e" ))("페"))
((("P" "e" "m" ))("펨"))
((("P" "e" "n" "g" ))("펭"))
((("P" "e" "l" ))("펠"))
((("P" "e" "b" ))("펩"))
((("P" "e" "g" ))("펙"))
((("P" "e" "n" ))("펜"))
((("P" "e" "s" ))("펫"))
((("P" "y" "e" "o" ))("펴"))
((("P" "y" "e" "o" "s" "s" ))("폈"))
((("P" "y" "e" "o" "m" ))("폄"))
((("P" "y" "e" "o" "n" "g" ))("평"))
((("P" "y" "e" "o" "l" ))("펼"))
((("P" "y" "e" "o" "b" ))("폅"))
((("P" "y" "e" "o" "n" ))("편"))
((("P" "y" "o" ))("표"))
((("P" "y" "o" "l" ))("푤"))
((("P" "y" "o" "b" ))("푭"))
((("P" "y" "o" "n" ))("푠"))
((("P" "y" "o" "s" ))("푯"))
((("J" ))("ㅈ"))
((("J" "y" "a" "e" ))("쟤"))
((("J" "y" "a" "e" "l" ))("쟬"))
((("J" "y" "a" "e" "n" ))("쟨"))
((("J" "y" "e" ))("졔"))
((("J" "y" "u" ))("쥬"))
((("J" "y" "u" "m" ))("쥼"))
((("J" "y" "u" "l" ))("쥴"))
((("J" "y" "u" "n" ))("쥰"))
((("J" "o" ))("조"))
((("J" "o" "m" ))("좀"))
((("J" "o" "c" "h" ))("좇"))
((("J" "o" "n" "g" ))("종"))
((("J" "o" "l" ))("졸"))
((("J" "o" "l" "m" ))("졺"))
((("J" "o" "h" ))("좋"))
((("J" "o" "a" ))("좌"))
((("J" "o" "a" "n" "g" ))("좡"))
((("J" "o" "a" "l" ))("좔"))
((("J" "o" "a" "b" ))("좝"))
((("J" "o" "a" "g" ))("좍"))
((("J" "o" "a" "s" ))("좟"))
((("J" "o" "i" ))("죄"))
((("J" "o" "i" "m" ))("죔"))
((("J" "o" "i" "n" "g" ))("죙"))
((("J" "o" "i" "l" ))("죌"))
((("J" "o" "i" "b" ))("죕"))
((("J" "o" "i" "n" ))("죈"))
((("J" "o" "i" "s" ))("죗"))
((("J" "o" "a" "e" ))("좨"))
((("J" "o" "a" "e" "s" "s" ))("좼"))
((("J" "o" "a" "e" "n" "g" ))("좽"))
((("J" "o" "b" ))("좁"))
((("J" "o" "g" ))("족"))
((("J" "o" "n" ))("존"))
((("J" "o" "s" ))("좃"))
((("J" "o" "j" ))("좆"))
((("J" "y" "a" ))("쟈"))
((("J" "y" "a" "m" ))("쟘"))
((("J" "y" "a" "n" "g" ))("쟝"))
((("J" "y" "a" "l" ))("쟐"))
((("J" "y" "a" "g" ))("쟉"))
((("J" "y" "a" "n" ))("쟌"))
((("J" "y" "a" "n" "h" ))("쟎"))
((("J" "e" "o" ))("저"))
((("J" "e" "o" "m" ))("점"))
((("J" "e" "o" "n" "g" ))("정"))
((("J" "e" "o" "l" ))("절"))
((("J" "e" "o" "l" "m" ))("젊"))
((("J" "e" "o" "b" ))("접"))
((("J" "e" "o" "g" ))("적"))
((("J" "e" "o" "n" ))("전"))
((("J" "e" "o" "s" ))("젓"))
((("J" "e" "o" "j" ))("젖"))
((("J" "a" ))("자"))
((("J" "a" "s" "s" ))("잤"))
((("J" "a" "m" ))("잠"))
((("J" "a" "n" "g" ))("장"))
((("J" "a" "d" ))("잗"))
((("J" "a" "l" ))("잘"))
((("J" "a" "l" "m" ))("잚"))
((("J" "a" "b" ))("잡"))
((("J" "a" "g" ))("작"))
((("J" "a" "n" ))("잔"))
((("J" "a" "n" "h" ))("잖"))
((("J" "a" "s" ))("잣"))
((("J" "a" "j" ))("잦"))
((("J" "i" ))("지"))
((("J" "i" "m" ))("짐"))
((("J" "i" "n" "g" ))("징"))
((("J" "i" "d" ))("짇"))
((("J" "i" "l" ))("질"))
((("J" "i" "l" "m" ))("짊"))
((("J" "i" "b" ))("집"))
((("J" "i" "g" ))("직"))
((("J" "i" "n" ))("진"))
((("J" "i" "s" ))("짓"))
((("J" "i" "p" ))("짚"))
((("J" "i" "j" ))("짖"))
((("J" "i" "t" ))("짙"))
((("J" "e" "u" ))("즈"))
((("J" "e" "u" "m" ))("즘"))
((("J" "e" "u" "n" "g" ))("증"))
((("J" "e" "u" "l" ))("즐"))
((("J" "e" "u" "b" ))("즙"))
((("J" "e" "u" "g" ))("즉"))
((("J" "e" "u" "n" ))("즌"))
((("J" "e" "u" "s" ))("즛"))
((("J" "u" ))("주"))
((("J" "u" "m" ))("줌"))
((("J" "u" "n" "g" ))("중"))
((("J" "u" "l" ))("줄"))
((("J" "u" "l" "m" ))("줆"))
((("J" "u" "l" "g" ))("줅"))
((("J" "u" "e" "o" ))("줘"))
((("J" "u" "e" "o" "s" "s" ))("줬"))
((("J" "u" "i" ))("쥐"))
((("J" "u" "i" "m" ))("쥠"))
((("J" "u" "i" "l" ))("쥘"))
((("J" "u" "i" "b" ))("쥡"))
((("J" "u" "i" "g" ))("쥑"))
((("J" "u" "i" "n" ))("쥔"))
((("J" "u" "i" "s" ))("쥣"))
((("J" "u" "e" ))("줴"))
((("J" "u" "b" ))("줍"))
((("J" "u" "g" ))("죽"))
((("J" "u" "n" ))("준"))
((("J" "u" "s" ))("줏"))
((("J" "a" "e" ))("재"))
((("J" "a" "e" "s" "s" ))("쟀"))
((("J" "a" "e" "m" ))("잼"))
((("J" "a" "e" "n" "g" ))("쟁"))
((("J" "a" "e" "l" ))("잴"))
((("J" "a" "e" "b" ))("잽"))
((("J" "a" "e" "g" ))("잭"))
((("J" "a" "e" "n" ))("잰"))
((("J" "a" "e" "s" ))("잿"))
((("J" "e" ))("제"))
((("J" "e" "m" ))("젬"))
((("J" "e" "n" "g" ))("젱"))
((("J" "e" "l" ))("젤"))
((("J" "e" "b" ))("젭"))
((("J" "e" "g" ))("젝"))
((("J" "e" "n" ))("젠"))
((("J" "e" "s" ))("젯"))
((("J" "y" "e" "o" ))("져"))
((("J" "y" "e" "o" "s" "s" ))("졌"))
((("J" "y" "e" "o" "m" ))("졈"))
((("J" "y" "e" "o" "n" "g" ))("졍"))
((("J" "y" "e" "o" "l" ))("졀"))
((("J" "y" "e" "o" "b" ))("졉"))
((("J" "y" "e" "o" "n" ))("젼"))
((("J" "y" "o" ))("죠"))
((("J" "y" "o" "n" "g" ))("죵"))
((("J" "y" "o" "g" ))("죡"))
((("J" "y" "o" "n" ))("죤"))
((("T" ))("ㅌ"))
((("T" "y" "e" ))("톄"))
((("T" "y" "e" "n" ))("톈"))
((("T" "y" "u" ))("튜"))
((("T" "y" "u" "m" ))("튬"))
((("T" "y" "u" "n" "g" ))("튱"))
((("T" "y" "u" "l" ))("튤"))
((("T" "y" "u" "n" ))("튠"))
((("T" "o" ))("토"))
((("T" "o" "m" ))("톰"))
((("T" "o" "n" "g" ))("통"))
((("T" "o" "l" ))("톨"))
((("T" "o" "a" ))("톼"))
((("T" "o" "a" "n" ))("퇀"))
((("T" "o" "i" ))("퇴"))
((("T" "o" "i" "n" "g" ))("툉"))
((("T" "o" "i" "n" ))("퇸"))
((("T" "o" "i" "s" ))("툇"))
((("T" "o" "a" "e" ))("퇘"))
((("T" "o" "b" ))("톱"))
((("T" "o" "g" ))("톡"))
((("T" "o" "n" ))("톤"))
((("T" "o" "s" ))("톳"))
((("T" "o" "p" ))("톺"))
((("T" "y" "a" ))("탸"))
((("T" "y" "a" "n" "g" ))("턍"))
((("T" "e" "o" ))("터"))
((("T" "e" "o" "s" "s" ))("텄"))
((("T" "e" "o" "m" ))("텀"))
((("T" "e" "o" "n" "g" ))("텅"))
((("T" "e" "o" "l" ))("털"))
((("T" "e" "o" "l" "m" ))("턺"))
((("T" "e" "o" "b" ))("텁"))
((("T" "e" "o" "g" ))("턱"))
((("T" "e" "o" "n" ))("턴"))
((("T" "e" "o" "s" ))("텃"))
((("T" "a" ))("타"))
((("T" "a" "s" "s" ))("탔"))
((("T" "a" "m" ))("탐"))
((("T" "a" "n" "g" ))("탕"))
((("T" "a" "l" ))("탈"))
((("T" "a" "l" "g" ))("탉"))
((("T" "a" "b" ))("탑"))
((("T" "a" "g" ))("탁"))
((("T" "a" "n" ))("탄"))
((("T" "a" "s" ))("탓"))
((("T" "i" ))("티"))
((("T" "i" "m" ))("팀"))
((("T" "i" "n" "g" ))("팅"))
((("T" "i" "l" ))("틸"))
((("T" "i" "b" ))("팁"))
((("T" "i" "g" ))("틱"))
((("T" "i" "n" ))("틴"))
((("T" "i" "s" ))("팃"))
((("T" "e" "u" ))("트"))
((("T" "e" "u" "m" ))("틈"))
((("T" "e" "u" "d" ))("튿"))
((("T" "e" "u" "l" ))("틀"))
((("T" "e" "u" "l" "m" ))("틂"))
((("T" "e" "u" "i" ))("틔"))
((("T" "e" "u" "i" "m" ))("틤"))
((("T" "e" "u" "i" "l" ))("틜"))
((("T" "e" "u" "i" "b" ))("틥"))
((("T" "e" "u" "i" "n" ))("틘"))
((("T" "e" "u" "b" ))("틉"))
((("T" "e" "u" "g" ))("특"))
((("T" "e" "u" "n" ))("튼"))
((("T" "e" "u" "s" ))("틋"))
((("T" "u" ))("투"))
((("T" "u" "m" ))("툼"))
((("T" "u" "n" "g" ))("퉁"))
((("T" "u" "l" ))("툴"))
((("T" "u" "e" "o" ))("퉈"))
((("T" "u" "e" "o" "s" "s" ))("퉜"))
((("T" "u" "i" ))("튀"))
((("T" "u" "i" "m" ))("튐"))
((("T" "u" "i" "n" "g" ))("튕"))
((("T" "u" "i" "l" ))("튈"))
((("T" "u" "i" "b" ))("튑"))
((("T" "u" "i" "g" ))("튁"))
((("T" "u" "i" "n" ))("튄"))
((("T" "u" "e" ))("퉤"))
((("T" "u" "b" ))("툽"))
((("T" "u" "g" ))("툭"))
((("T" "u" "n" ))("툰"))
((("T" "u" "s" ))("툿"))
((("T" "a" "e" ))("태"))
((("T" "a" "e" "s" "s" ))("탰"))
((("T" "a" "e" "m" ))("탬"))
((("T" "a" "e" "n" "g" ))("탱"))
((("T" "a" "e" "l" ))("탤"))
((("T" "a" "e" "b" ))("탭"))
((("T" "a" "e" "g" ))("택"))
((("T" "a" "e" "n" ))("탠"))
((("T" "a" "e" "s" ))("탯"))
((("T" "e" ))("테"))
((("T" "e" "m" ))("템"))
((("T" "e" "n" "g" ))("텡"))
((("T" "e" "l" ))("텔"))
((("T" "e" "b" ))("텝"))
((("T" "e" "g" ))("텍"))
((("T" "e" "n" ))("텐"))
((("T" "e" "s" ))("텟"))
((("T" "y" "e" "o" ))("텨"))
((("T" "y" "e" "o" "s" "s" ))("텼"))
((("T" "y" "e" "o" "n" ))("텬"))
((("T" "y" "o" ))("툐"))
((("Y" "o" ))("ㅛ"))
((("K" ))("ㅋ"))
((("K" "y" "e" ))("켸"))
((("K" "y" "u" ))("큐"))
((("K" "y" "u" "m" ))("큠"))
((("K" "y" "u" "l" ))("큘"))
((("K" "y" "u" "n" ))("큔"))
((("K" "o" ))("코"))
((("K" "o" "m" ))("콤"))
((("K" "o" "n" "g" ))("콩"))
((("K" "o" "l" ))("콜"))
((("K" "o" "a" ))("콰"))
((("K" "o" "a" "m" ))("쾀"))
((("K" "o" "a" "n" "g" ))("쾅"))
((("K" "o" "a" "l" ))("콸"))
((("K" "o" "a" "g" ))("콱"))
((("K" "o" "a" "n" ))("콴"))
((("K" "o" "i" ))("쾨"))
((("K" "o" "i" "l" ))("쾰"))
((("K" "o" "a" "e" ))("쾌"))
((("K" "o" "a" "e" "n" "g" ))("쾡"))
((("K" "o" "b" ))("콥"))
((("K" "o" "g" ))("콕"))
((("K" "o" "n" ))("콘"))
((("K" "o" "s" ))("콧"))
((("K" "y" "a" ))("캬"))
((("K" "y" "a" "n" "g" ))("컁"))
((("K" "y" "a" "g" ))("캭"))
((("K" "e" "o" ))("커"))
((("K" "e" "o" "s" "s" ))("컸"))
((("K" "e" "o" "m" ))("컴"))
((("K" "e" "o" "n" "g" ))("컹"))
((("K" "e" "o" "d" ))("컫"))
((("K" "e" "o" "l" ))("컬"))
((("K" "e" "o" "b" ))("컵"))
((("K" "e" "o" "g" ))("컥"))
((("K" "e" "o" "n" ))("컨"))
((("K" "e" "o" "s" ))("컷"))
((("K" "a" ))("카"))
((("K" "a" "m" ))("캄"))
((("K" "a" "n" "g" ))("캉"))
((("K" "a" "l" ))("칼"))
((("K" "a" "b" ))("캅"))
((("K" "a" "g" ))("칵"))
((("K" "a" "n" ))("칸"))
((("K" "a" "s" ))("캇"))
((("K" "i" ))("키"))
((("K" "i" "m" ))("킴"))
((("K" "i" "n" "g" ))("킹"))
((("K" "i" "l" ))("킬"))
((("K" "i" "b" ))("킵"))
((("K" "i" "g" ))("킥"))
((("K" "i" "n" ))("킨"))
((("K" "i" "s" ))("킷"))
((("K" "e" "u" ))("크"))
((("K" "e" "u" "m" ))("큼"))
((("K" "e" "u" "n" "g" ))("킁"))
((("K" "e" "u" "l" ))("클"))
((("K" "e" "u" "b" ))("큽"))
((("K" "e" "u" "g" ))("큭"))
((("K" "e" "u" "n" ))("큰"))
((("K" "u" ))("쿠"))
((("K" "u" "m" ))("쿰"))
((("K" "u" "n" "g" ))("쿵"))
((("K" "u" "l" ))("쿨"))
((("K" "u" "e" "o" ))("쿼"))
((("K" "u" "e" "o" "n" "g" ))("퀑"))
((("K" "u" "e" "o" "l" ))("퀄"))
((("K" "u" "e" "o" "n" ))("퀀"))
((("K" "u" "i" ))("퀴"))
((("K" "u" "i" "m" ))("큄"))
((("K" "u" "i" "n" "g" ))("큉"))
((("K" "u" "i" "l" ))("퀼"))
((("K" "u" "i" "b" ))("큅"))
((("K" "u" "i" "g" ))("퀵"))
((("K" "u" "i" "n" ))("퀸"))
((("K" "u" "i" "s" ))("큇"))
((("K" "u" "e" ))("퀘"))
((("K" "u" "e" "n" "g" ))("퀭"))
((("K" "u" "b" ))("쿱"))
((("K" "u" "g" ))("쿡"))
((("K" "u" "n" ))("쿤"))
((("K" "u" "s" ))("쿳"))
((("K" "a" "e" ))("캐"))
((("K" "a" "e" "s" "s" ))("캤"))
((("K" "a" "e" "m" ))("캠"))
((("K" "a" "e" "n" "g" ))("캥"))
((("K" "a" "e" "l" ))("캘"))
((("K" "a" "e" "b" ))("캡"))
((("K" "a" "e" "g" ))("캑"))
((("K" "a" "e" "n" ))("캔"))
((("K" "a" "e" "s" ))("캣"))
((("K" "e" ))("케"))
((("K" "e" "m" ))("켐"))
((("K" "e" "n" "g" ))("켕"))
((("K" "e" "l" ))("켈"))
((("K" "e" "b" ))("켑"))
((("K" "e" "g" ))("켁"))
((("K" "e" "n" ))("켄"))
((("K" "e" "s" ))("켓"))
((("K" "y" "e" "o" ))("켜"))
((("K" "y" "e" "o" "s" "s" ))("켰"))
((("K" "y" "e" "o" "m" ))("켬"))
((("K" "y" "e" "o" "n" "g" ))("켱"))
((("K" "y" "e" "o" "l" ))("켤"))
((("K" "y" "e" "o" "b" ))("켭"))
((("K" "y" "e" "o" "n" ))("켠"))
((("K" "y" "e" "o" "s" ))("켯"))
((("K" "y" "o" ))("쿄"))
((("D" "d" "o" "r" ))("똘"))
((("D" "d" "o" "a" "r" ))("똴"))
((("D" "d" "e" "o" "r" ))("떨"))
((("D" "d" "e" "o" "r" "m" ))("떪"))
((("D" "d" "e" "o" "r" "b" ))("떫"))
((("D" "d" "a" "r" ))("딸"))
((("D" "d" "i" "r" ))("띨"))
((("D" "d" "e" "u" "r" ))("뜰"))
((("D" "d" "e" "u" "i" "r" ))("띌"))
((("D" "d" "u" "r" ))("뚤"))
((("D" "d" "u" "r" "h" ))("뚫"))
((("D" "d" "u" "i" "r" ))("뛸"))
((("D" "d" "a" "e" "r" ))("땔"))
((("D" "d" "e" "r" ))("뗄"))
((("Y" "a" "e" "r" ))("잴"))
((("B" "b" "o" "r" ))("뽈"))
((("B" "b" "e" "o" "r" ))("뻘"))
((("B" "b" "a" "r" ))("빨"))
((("B" "b" "a" "r" "m" ))("빪"))
((("B" "b" "i" "r" ))("삘"))
((("B" "b" "e" "u" "r" ))("쁠"))
((("B" "b" "u" "r" ))("뿔"))
((("B" "b" "a" "e" "r" ))("뺄"))
((("G" "g" "o" "r" ))("꼴"))
((("G" "g" "o" "a" "r" ))("꽐"))
((("G" "g" "o" "i" "r" ))("꾈"))
((("G" "g" "y" "a" "r" ))("꺌"))
((("G" "g" "e" "o" "r" ))("껄"))
((("G" "g" "a" "r" ))("깔"))
((("G" "g" "a" "r" "m" ))("깖"))
((("G" "g" "i" "r" ))("낄"))
((("G" "g" "e" "u" "r" ))("끌"))
((("G" "g" "e" "u" "r" "m" ))("끎"))
((("G" "g" "e" "u" "r" "h" ))("끓"))
((("G" "g" "u" "r" ))("꿀"))
((("G" "g" "u" "r" "h" ))("꿇"))
((("G" "g" "u" "e" "o" "r" ))("꿜"))
((("G" "g" "u" "i" "r" ))("뀔"))
((("G" "g" "u" "e" "r" ))("꿸"))
((("G" "g" "a" "e" "r" ))("깰"))
((("G" "g" "y" "e" "o" "r" ))("껼"))
((("S" "s" "o" "r" ))("쏠"))
((("S" "s" "o" "r" "m" ))("쏢"))
((("S" "s" "o" "i" "r" ))("쐴"))
((("S" "s" "e" "o" "r" ))("썰"))
((("S" "s" "e" "o" "r" "m" ))("썲"))
((("S" "s" "a" "r" ))("쌀"))
((("S" "s" "i" "r" ))("씰"))
((("S" "s" "e" "u" "r" ))("쓸"))
((("S" "s" "e" "u" "r" "m" ))("쓺"))
((("S" "s" "e" "u" "r" "h" ))("쓿"))
((("S" "s" "e" "u" "i" "r" ))("씔"))
((("S" "s" "u" "r" ))("쑬"))
((("S" "s" "a" "e" "r" ))("쌜"))
((("S" "s" "e" "r" ))("쎌"))
((("J" "j" "o" "r" ))("쫄"))
((("J" "j" "o" "a" "r" ))("쫠"))
((("J" "j" "o" "i" "r" ))("쬘"))
((("J" "j" "e" "o" "r" ))("쩔"))
((("J" "j" "a" "r" ))("짤"))
((("J" "j" "a" "r" "b" ))("짧"))
((("J" "j" "i" "r" ))("찔"))
((("J" "j" "u" "r" ))("쭐"))
((("J" "j" "a" "e" "r" ))("쨀"))
((("M" "y" "u" "r" ))("뮬"))
((("M" "o" "r" ))("몰"))
((("M" "o" "r" "m" ))("몲"))
((("M" "o" "i" "r" ))("묄"))
((("M" "y" "a" "r" ))("먈"))
((("M" "e" "o" "r" ))("멀"))
((("M" "e" "o" "r" "m" ))("멂"))
((("M" "a" "r" ))("말"))
((("M" "a" "r" "m" ))("맒"))
((("M" "a" "r" "g" ))("맑"))
((("M" "i" "r" ))("밀"))
((("M" "i" "r" "m" ))("밂"))
((("M" "e" "u" "r" ))("믈"))
((("M" "u" "r" ))("물"))
((("M" "u" "r" "m" ))("묾"))
((("M" "u" "r" "g" ))("묽"))
((("M" "u" "e" "o" "r" ))("뭘"))
((("M" "u" "i" "r" ))("뮐"))
((("M" "a" "e" "r" ))("맬"))
((("M" "e" "r" ))("멜"))
((("M" "y" "e" "o" "r" ))("멸"))
((("M" "y" "o" "r" ))("묠"))
((("C" "h" "y" "u" "r" ))("츌"))
((("C" "h" "o" "r" ))("촐"))
((("C" "h" "o" "a" "r" ))("촬"))
((("C" "h" "o" "i" "r" ))("쵤"))
((("C" "h" "y" "a" "r" ))("챨"))
((("C" "h" "e" "o" "r" ))("철"))
((("C" "h" "a" "r" ))("찰"))
((("C" "h" "i" "r" ))("칠"))
((("C" "h" "i" "r" "g" ))("칡"))
((("C" "h" "e" "u" "r" ))("츨"))
((("C" "h" "u" "r" ))("출"))
((("C" "h" "u" "i" "r" ))("췰"))
((("C" "h" "a" "e" "r" ))("챌"))
((("C" "h" "e" "r" ))("첼"))
((("Y" "a" "e" "r" ))("얠"))
((("Y" "e" "r" ))("옐"))
((("Y" "u" "r" ))("율"))
((("O" "r" ))("올"))
((("O" "r" "m" ))("옮"))
((("O" "r" "h" ))("옳"))
((("O" "r" "g" ))("옭"))
((("O" "r" "s" ))("옰"))
((("O" "a" "r" ))("왈"))
((("O" "i" "r" ))("욀"))
((("Y" "a" "r" ))("얄"))
((("Y" "a" "r" "b" ))("얇"))
((("E" "o" "r" ))("얼"))
((("E" "o" "r" "m" ))("얾"))
((("E" "o" "r" "g" ))("얽"))
((("A" "r" ))("알"))
((("A" "r" "m" ))("앎"))
((("A" "r" "h" ))("앓"))
((("A" "r" "g" ))("앍"))
((("I" "r" ))("일"))
((("I" "r" "m" ))("읾"))
((("I" "r" "h" ))("잃"))
((("I" "r" "g" ))("읽"))
((("E" "u" "r" ))("을"))
((("E" "u" "r" "p" ))("읊"))
((("E" "u" "i" "r" ))("읠"))
((("U" "r" ))("울"))
((("U" "r" "m" ))("욺"))
((("U" "r" "g" ))("욹"))
((("U" "e" "o" "r" ))("월"))
((("U" "i" "r" ))("윌"))
((("U" "e" "r" ))("웰"))
((("A" "e" "r" ))("앨"))
((("E" "r" ))("엘"))
((("Y" "e" "o" "r" ))("열"))
((("Y" "e" "o" "r" "m" ))("엶"))
((("Y" "e" "o" "r" "b" ))("엷"))
((("Y" "o" "r" ))("욜"))
((("D" "y" "u" "r" ))("듈"))
((("D" "o" "r" ))("돌"))
((("D" "o" "r" "m" ))("돎"))
((("D" "o" "r" "s" ))("돐"))
((("D" "o" "a" "r" ))("돨"))
((("D" "o" "i" "r" ))("될"))
((("D" "e" "o" "r" ))("덜"))
((("D" "e" "o" "r" "m" ))("덞"))
((("D" "e" "o" "r" "b" ))("덟"))
((("D" "a" "r" ))("달"))
((("D" "a" "r" "m" ))("닮"))
((("D" "a" "r" "h" ))("닳"))
((("D" "a" "r" "b" ))("닯"))
((("D" "a" "r" "g" ))("닭"))
((("D" "i" "r" ))("딜"))
((("D" "e" "u" "r" ))("들"))
((("D" "e" "u" "r" "m" ))("듦"))
((("D" "u" "r" ))("둘"))
((("D" "u" "i" "r" ))("뒬"))
((("D" "a" "e" "r" ))("댈"))
((("D" "e" "r" ))("델"))
((("D" "y" "e" "o" "r" ))("뎔"))
((("R" ))("ㄹ"))
((("R" "y" "e" ))("례"))
((("R" "y" "e" "b" ))("롑"))
((("R" "y" "e" "n" ))("롄"))
((("R" "y" "e" "s" ))("롓"))
((("R" "y" "u" ))("류"))
((("R" "y" "u" "m" ))("륨"))
((("R" "y" "u" "n" "g" ))("륭"))
((("R" "y" "u" "r" ))("률"))
((("R" "y" "u" "b" ))("륩"))
((("R" "y" "u" "g" ))("륙"))
((("R" "y" "u" "n" ))("륜"))
((("R" "y" "u" "s" ))("륫"))
((("R" "o" ))("로"))
((("R" "o" "m" ))("롬"))
((("R" "o" "n" "g" ))("롱"))
((("R" "o" "r" ))("롤"))
((("R" "o" "a" ))("롸"))
((("R" "o" "a" "n" "g" ))("뢍"))
((("R" "o" "a" "n" ))("롼"))
((("R" "o" "i" ))("뢰"))
((("R" "o" "i" "m" ))("룀"))
((("R" "o" "i" "n" "g" ))("룅"))
((("R" "o" "i" "r" ))("뢸"))
((("R" "o" "i" "b" ))("룁"))
((("R" "o" "i" "n" ))("뢴"))
((("R" "o" "i" "s" ))("룃"))
((("R" "o" "a" "e" "s" "s" ))("뢨"))
((("R" "o" "b" ))("롭"))
((("R" "o" "g" ))("록"))
((("R" "o" "n" ))("론"))
((("R" "o" "s" ))("롯"))
((("R" "y" "a" ))("랴"))
((("R" "y" "a" "n" "g" ))("량"))
((("R" "y" "a" "g" ))("략"))
((("R" "y" "a" "n" ))("랸"))
((("R" "y" "a" "s" ))("럇"))
((("R" "e" "o" ))("러"))
((("R" "e" "o" "s" "s" ))("렀"))
((("R" "e" "o" "m" ))("럼"))
((("R" "e" "o" "n" "g" ))("렁"))
((("R" "e" "o" "r" ))("럴"))
((("R" "e" "o" "h" ))("렇"))
((("R" "e" "o" "b" ))("럽"))
((("R" "e" "o" "g" ))("럭"))
((("R" "e" "o" "n" ))("런"))
((("R" "e" "o" "s" ))("럿"))
((("R" "a" ))("라"))
((("R" "a" "s" "s" ))("랐"))
((("R" "a" "m" ))("람"))
((("R" "a" "n" "g" ))("랑"))
((("R" "a" "r" ))("랄"))
((("R" "a" "h" ))("랗"))
((("R" "a" "b" ))("랍"))
((("R" "a" "g" ))("락"))
((("R" "a" "n" ))("란"))
((("R" "a" "s" ))("랏"))
((("R" "a" "p" ))("랖"))
((("R" "a" "j" ))("랒"))
((("R" "i" ))("리"))
((("R" "i" "m" ))("림"))
((("R" "i" "n" "g" ))("링"))
((("R" "i" "r" ))("릴"))
((("R" "i" "b" ))("립"))
((("R" "i" "g" ))("릭"))
((("R" "i" "n" ))("린"))
((("R" "i" "s" ))("릿"))
((("R" "e" "u" ))("르"))
((("R" "e" "u" "m" ))("름"))
((("R" "e" "u" "n" "g" ))("릉"))
((("R" "e" "u" "r" ))("를"))
((("R" "e" "u" "b" ))("릅"))
((("R" "e" "u" "g" ))("륵"))
((("R" "e" "u" "n" ))("른"))
((("R" "e" "u" "s" ))("릇"))
((("R" "e" "u" "p" ))("릎"))
((("R" "e" "u" "j" ))("릊"))
((("R" "e" "u" "t" ))("릍"))
((("R" "u" ))("루"))
((("R" "u" "m" ))("룸"))
((("R" "u" "n" "g" ))("룽"))
((("R" "u" "r" ))("룰"))
((("R" "u" "e" "o" ))("뤄"))
((("R" "u" "e" "o" "s" "s" ))("뤘"))
((("R" "u" "i" ))("뤼"))
((("R" "u" "i" "m" ))("륌"))
((("R" "u" "i" "n" "g" ))("륑"))
((("R" "u" "i" "r" ))("륄"))
((("R" "u" "i" "g" ))("뤽"))
((("R" "u" "i" "n" ))("륀"))
((("R" "u" "i" "s" ))("륏"))
((("R" "u" "e" ))("뤠"))
((("R" "u" "b" ))("룹"))
((("R" "u" "g" ))("룩"))
((("R" "u" "n" ))("룬"))
((("R" "u" "s" ))("룻"))
((("R" "a" "e" ))("래"))
((("R" "a" "e" "s" "s" ))("랬"))
((("R" "a" "e" "m" ))("램"))
((("R" "a" "e" "n" "g" ))("랭"))
((("R" "a" "e" "r" ))("랠"))
((("R" "a" "e" "b" ))("랩"))
((("R" "a" "e" "g" ))("랙"))
((("R" "a" "e" "n" ))("랜"))
((("R" "a" "e" "s" ))("랫"))
((("R" "e" ))("레"))
((("R" "e" "m" ))("렘"))
((("R" "e" "n" "g" ))("렝"))
((("R" "e" "r" ))("렐"))
((("R" "e" "b" ))("렙"))
((("R" "e" "g" ))("렉"))
((("R" "e" "n" ))("렌"))
((("R" "e" "s" ))("렛"))
((("R" "y" "e" "o" ))("려"))
((("R" "y" "e" "o" "s" "s" ))("렸"))
((("R" "y" "e" "o" "m" ))("렴"))
((("R" "y" "e" "o" "n" "g" ))("령"))
((("R" "y" "e" "o" "r" ))("렬"))
((("R" "y" "e" "o" "b" ))("렵"))
((("R" "y" "e" "o" "g" ))("력"))
((("R" "y" "e" "o" "n" ))("련"))
((("R" "y" "e" "o" "s" ))("렷"))
((("R" "y" "o" ))("료"))
((("R" "y" "o" "n" "g" ))("룡"))
((("R" "y" "o" "r" ))("룔"))
((("R" "y" "o" "b" ))("룝"))
((("R" "y" "o" "n" ))("룐"))
((("R" "y" "o" "s" ))("룟"))
((("H" "y" "e" "r" ))("혤"))
((("H" "y" "u" "r" ))("휼"))
((("H" "o" "r" ))("홀"))
((("H" "o" "r" "t" ))("홅"))
((("H" "o" "a" "r" ))("활"))
((("H" "o" "i" "r" ))("횔"))
((("H" "e" "o" "r" ))("헐"))
((("H" "e" "o" "r" "m" ))("헒"))
((("H" "a" "r" ))("할"))
((("H" "a" "r" "t" ))("핥"))
((("H" "i" "r" ))("힐"))
((("H" "e" "u" "r" ))("흘"))
((("H" "e" "u" "r" "g" ))("흙"))
((("H" "e" "u" "i" "r" ))("흴"))
((("H" "u" "r" ))("훌"))
((("H" "u" "r" "t" ))("훑"))
((("H" "u" "e" "o" "r" ))("훨"))
((("H" "u" "i" "r" ))("휠"))
((("H" "u" "e" "r" ))("휄"))
((("H" "a" "e" "r" ))("핼"))
((("H" "e" "r" ))("헬"))
((("H" "y" "e" "o" "r" ))("혈"))
((("H" "y" "o" "r" ))("횰"))
((("B" "y" "u" "r" ))("뷸"))
((("B" "o" "r" ))("볼"))
((("B" "o" "i" "r" ))("뵐"))
((("B" "e" "o" "r" ))("벌"))
((("B" "e" "o" "r" "m" ))("벎"))
((("B" "a" "r" ))("발"))
((("B" "a" "r" "m" ))("밞"))
((("B" "a" "r" "b" ))("밟"))
((("B" "a" "r" "g" ))("밝"))
((("B" "i" "r" ))("빌"))
((("B" "i" "r" "m" ))("빎"))
((("B" "e" "u" "r" ))("블"))
((("B" "u" "r" ))("불"))
((("B" "u" "r" "m" ))("붊"))
((("B" "u" "r" "g" ))("붉"))
((("B" "u" "e" "o" "r" ))("붤"))
((("B" "u" "i" "r" ))("뷜"))
((("B" "a" "e" "r" ))("밸"))
((("B" "e" "r" ))("벨"))
((("B" "y" "e" "o" "r" ))("별"))
((("G" "y" "a" "e" "r" ))("걜"))
((("G" "y" "e" "r" ))("곌"))
((("G" "y" "u" "r" ))("귤"))
((("G" "o" "r" ))("골"))
((("G" "o" "r" "m" ))("곪"))
((("G" "o" "r" "h" ))("곯"))
((("G" "o" "r" "s" ))("곬"))
((("G" "o" "a" "r" ))("괄"))
((("G" "o" "a" "r" "m" "" "g" "o" "a" "b" ))("괆"))
((("G" "o" "i" "r" ))("괼"))
((("G" "o" "a" "e" "r" ))("괠"))
((("G" "y" "a" "r" ))("걀"))
((("G" "e" "o" "r" ))("걸"))
((("G" "e" "o" "r" "m" ))("걺"))
((("G" "a" "r" ))("갈"))
((("G" "a" "r" "m" ))("갊"))
((("G" "a" "r" "g" ))("갉"))
((("G" "i" "r" ))("길"))
((("G" "i" "r" "m" ))("긺"))
((("G" "e" "u" "r" ))("글"))
((("G" "e" "u" "r" "g" ))("긁"))
((("G" "u" "r" ))("굴"))
((("G" "u" "r" "m" ))("굶"))
((("G" "u" "r" "h" ))("굻"))
((("G" "u" "r" "g" ))("굵"))
((("G" "u" "e" "o" "r" ))("궐"))
((("G" "u" "i" "r" ))("귈"))
((("G" "a" "e" "r" ))("갤"))
((("G" "e" "r" ))("겔"))
((("G" "y" "e" "o" "r" ))("결"))
((("G" "y" "o" "r" ))("굘"))
((("N" "y" "u" "r" ))("뉼"))
((("N" "o" "r" ))("놀"))
((("N" "o" "r" "m" ))("놂"))
((("N" "o" "a" "r" ))("놜"))
((("N" "o" "i" "r" ))("뇔"))
((("N" "y" "a" "r" ))("냘"))
((("N" "e" "o" "r" ))("널"))
((("N" "e" "o" "r" "m" ))("넒"))
((("N" "e" "o" "r" "b" ))("넓"))
((("N" "a" "r" ))("날"))
((("N" "a" "r" "m" ))("낢"))
((("N" "a" "r" "g" ))("낡"))
((("N" "i" "r" ))("닐"))
((("N" "i" "r" "m" ))("닒"))
((("N" "e" "u" "r" ))("늘"))
((("N" "e" "u" "r" "m" ))("늚"))
((("N" "e" "u" "r" "g" ))("늙"))
((("N" "e" "u" "i" "r" ))("늴"))
((("N" "u" "r" ))("눌"))
((("N" "u" "i" "r" ))("뉠"))
((("N" "a" "e" "r" ))("낼"))
((("N" "e" "r" ))("넬"))
((("N" "y" "e" "o" "r" ))("녈"))
((("N" "y" "o" "r" ))("뇰"))
((("S" "y" "a" "e" "r" ))("섈"))
((("S" "y" "e" "r" ))("셸"))
((("S" "y" "u" "r" ))("슐"))
((("S" "o" "r" ))("솔"))
((("S" "o" "r" "m" ))("솖"))
((("S" "o" "a" "r" ))("솰"))
((("S" "o" "i" "r" ))("쇨"))
((("S" "o" "a" "e" "r" ))("쇌"))
((("S" "y" "a" "r" ))("샬"))
((("S" "e" "o" "r" ))("설"))
((("S" "e" "o" "r" "m" ))("섦"))
((("S" "e" "o" "r" "b" ))("섧"))
((("S" "a" "r" ))("살"))
((("S" "a" "r" "m" ))("삶"))
((("S" "a" "r" "g" ))("삵"))
((("S" "i" "r" ))("실"))
((("S" "i" "r" "h" ))("싫"))
((("S" "e" "u" "r" ))("슬"))
((("S" "e" "u" "r" "g" ))("슭"))
((("S" "u" "r" ))("술"))
((("S" "u" "i" "r" ))("쉴"))
((("S" "u" "e" "r" ))("쉘"))
((("S" "a" "e" "r" ))("샐"))
((("S" "e" "r" ))("셀"))
((("S" "y" "e" "o" "r" ))("셜"))
((("S" "y" "o" "r" ))("숄"))
((("P" "y" "e" "r" ))("폘"))
((("P" "y" "u" "r" ))("퓰"))
((("P" "o" "r" ))("폴"))
((("P" "e" "o" "r" ))("펄"))
((("P" "a" "r" ))("팔"))
((("P" "a" "r" "m" ))("팖"))
((("P" "i" "r" ))("필"))
((("P" "e" "u" "r" ))("플"))
((("P" "u" "r" ))("풀"))
((("P" "u" "r" "m" ))("풂"))
((("P" "u" "i" "r" ))("퓔"))
((("P" "a" "e" "r" ))("팰"))
((("P" "e" "r" ))("펠"))
((("P" "y" "e" "o" "r" ))("펼"))
((("P" "y" "o" "r" ))("푤"))
((("J" "y" "a" "e" "r" ))("쟬"))
((("J" "y" "u" "r" ))("쥴"))
((("J" "o" "r" ))("졸"))
((("J" "o" "r" "m" ))("졺"))
((("J" "o" "a" "r" ))("좔"))
((("J" "o" "i" "r" ))("죌"))
((("J" "y" "a" "r" ))("쟐"))
((("J" "e" "o" "r" ))("절"))
((("J" "e" "o" "r" "m" ))("젊"))
((("J" "a" "r" ))("잘"))
((("J" "a" "r" "m" ))("잚"))
((("J" "i" "r" ))("질"))
((("J" "i" "r" "m" ))("짊"))
((("J" "e" "u" "r" ))("즐"))
((("J" "u" "r" ))("줄"))
((("J" "u" "r" "m" ))("줆"))
((("J" "u" "r" "g" ))("줅"))
((("J" "u" "i" "r" ))("쥘"))
((("J" "a" "e" "r" ))("잴"))
((("J" "e" "r" ))("젤"))
((("J" "y" "e" "o" "r" ))("졀"))
((("T" "y" "u" "r" ))("튤"))
((("T" "o" "r" ))("톨"))
((("T" "e" "o" "r" ))("털"))
((("T" "e" "o" "r" "m" ))("턺"))
((("T" "a" "r" ))("탈"))
((("T" "a" "r" "g" ))("탉"))
((("T" "i" "r" ))("틸"))
((("T" "e" "u" "r" ))("틀"))
((("T" "e" "u" "r" "m" ))("틂"))
((("T" "e" "u" "i" "r" ))("틜"))
((("T" "u" "r" ))("툴"))
((("T" "u" "i" "r" ))("튈"))
((("T" "a" "e" "r" ))("탤"))
((("T" "e" "r" ))("텔"))
((("K" "y" "u" "r" ))("큘"))
((("K" "o" "r" ))("콜"))
((("K" "o" "a" "r" ))("콸"))
((("K" "o" "i" "r" ))("쾰"))
((("K" "e" "o" "r" ))("컬"))
((("K" "a" "r" ))("칼"))
((("K" "i" "r" ))("킬"))
((("K" "e" "u" "r" ))("클"))
((("K" "u" "r" ))("쿨"))
((("K" "u" "e" "o" "r" ))("퀄"))
((("K" "u" "i" "r" ))("퀼"))
((("K" "a" "e" "r" ))("캘"))
((("K" "e" "r" ))("켈"))
((("K" "y" "e" "o" "r" ))("켤"))
((("!" ))("！"))
((("#" ))("＃"))
((("$" ))("＄"))
((("%" ))("％"))
((("&" ))("＆"))
((("'" ))("＇"))
((("(" ))("（"))
(((")" ))("）"))
((("*" ))("＊"))
((("+" ))("＋"))
((("," ))("，"))
((("-" ))("－"))
((("." ))("．"))
((("/" ))("／"))
((("0" ))("０"))
((("1" ))("１"))
((("2" ))("２"))
((("3" ))("３"))
((("4" ))("４"))
((("5" ))("５"))
((("6" ))("６"))
((("7" ))("７"))
((("8" ))("８"))
((("9" ))("９"))
(((":" ))("："))
(((";" ))("；"))
((("<" ))("＜"))
((("=" ))("＝"))
(((">" ))("＞"))
((("?" ))("？"))
((("@" ))("＠"))
((("[" ))("［"))
((("\\" ))("?"))
((("]" ))("］"))
((("^" ))("＾"))
((("^" "-" ))("￣"))
((("_" ))("＿"))
((("`" ))("｀"))
((("{" ))("｛"))
((("|" ))("｜"))
((("}" ))("｝"))

))
